commit 38490622300316a1f02246c39363bf9900d86848
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 31 15:48:15 2006 +0000

    Add quicktime in24 and in32 support (basically s24/32l from what i understand)
    Some testing might be needed
    
    I tried on samples:
     ftp://ftp.funcom.com/media/Dreamfall/final_dreamfall_trailer_funcom_qtmp4.mov
     http://www.movie-update.com/download/11372/sm3_sneak_peek.mov
    
    According to the Mplayer mailing list, there might be endianess issues (i couldn't find s24b equivalent samples ... so i couldn't test). See http://lists.mplayerhq.hu/pipermail/mplayer-dev-eng/2006-March/041206.html

commit 804ba31bc8eaefe786ad3a4241091ac6a214a324
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 31 14:27:10 2006 +0000

    * simplified the xcodebuild part, since VLC doesn't support Darwin 6 aka OSX 10.2 anymore and we therefore don't need to support pbxbuild either

commit 40f6fbfa313d91405a1db832cfdb1942227967a7
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 31 13:45:50 2006 +0000

    * some GUI improvements, which need further work once the vout-filter-rework is completed. this commit needs compatibility checking with current IB releases, especially for the folks interested in compiling on 10.3.

commit bce30eb166ef17b5ca44c40808ee67666e9cd168
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 31 11:44:13 2006 +0000

    * don't add an 'empty folder' if the user hit cancel when asked to enter a name for it

commit a610989cf400aaa7f21ece5512ecef78d5d7091b
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Dec 31 01:21:08 2006 +0000

    transcode.c: reset pointer and size info for extradata when freeing
    the pointer. Fixes #940

commit a454e8931a11ca7c965fe7fe5807e12abe5390dc
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Dec 30 18:42:15 2006 +0000

    live555.cpp: Add support for quicktime specific audio
    doesn't work for the sample stream I tested, but I think that stream
    is bad

commit 3253ef6e96686dfe83c399432dd51f262830a07a
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Dec 30 18:39:45 2006 +0000

    b4s.c: Create meta before using them

commit 4a44b3ab9eaeec688f2997d99f31af3391a63558
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 30 17:39:26 2006 +0000

    * don't apply enable-pic twice. x264 is still broken on future darwin releases though.

commit 600555d4a716984f0572c29f4f65211a8c458b9f
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Dec 30 11:48:53 2006 +0000

    Test for the pointer iso for the pointer to the pointer. Fixes bug with get_aspectRatio().

commit eec7c30f538022a01ec95570a46ee21b99f03b8c
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Dec 30 01:51:23 2006 +0000

    mkv.cpp: Added support for theora in mkv. Fixes #925
    (not particularly beautiful code, but it works)

commit dd400e157bbc2713742214d7a887ade5969b90e5
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Fri Dec 29 19:24:46 2006 +0000

    - make pthreads-win32 build on MinGW/cygwin

commit a79208b6dcdd445e2900c37d57225588439d6df4
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 28 19:36:57 2006 +0000

    * very first step to support future darwin releases

commit e4fbdca535fbec5d48ea99980590efb124f68bcc
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Dec 28 11:50:15 2006 +0000

    Use RFC4648 test vectors

commit 93fc205217e742345bca680a0a3d057c8306abd1
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Dec 27 10:27:09 2006 +0000

    Forget to set a default

commit 8afa1caa4fb8922e320e51f2c59985e9c9694cc9
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Dec 27 10:23:05 2006 +0000

    Add Id svn:keywords

commit 1e89271e8fd2f1fa9541c4468f20caefe027d225
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Dec 27 10:21:13 2006 +0000

    Make gnome-vlc-default.sh script work on FC4/5/6 too.

commit 1bc5e07bc39a380f8b4648009820f33887938c62
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Dec 27 10:07:24 2006 +0000

    Add Torsten's Spindler contribution to the THANKS file.

commit 0eecb210eb8fd91592847fad7592e0cccacaeff1
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Dec 27 10:06:08 2006 +0000

    Script to set vlc as default player on GNOME desktops. Patch by Torsten Spindler <spindler _at_ tspindler _dot_ de>

commit 43bff21b9c68b3b05d64ee280e48a20dd38a9fd4
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Tue Dec 26 16:41:21 2006 +0000

    Make audio functions compliant with current libvlc

commit c17c4753356adfca64a01c2e7ad0dad2f9c32ed7
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 26 13:22:37 2006 +0000

    * be more accurate when fading in and out (refs #913 and hopefully fixes it)

commit adfd51f8dc80704169b47d8e1c1507c595960a28
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Dec 25 23:49:07 2006 +0000

    Add missing *

commit 7d185504c6bc671904ff8a8bcbbb6e8066a3ee1b
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Dec 25 22:28:45 2006 +0000

    * add some locking the the video filter2 handling code in video output core. Fix #945 (untested)

commit f0fbcbd59a9d6e7382f0c5e9f7782965c7fe9aea
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sun Dec 24 22:03:02 2006 +0000

    * modules/access/dshow/dshow.cpp: Typo specfic -> specific.

commit 80fde19dfe7b9e5875e0f891fe29aa0f6c0ec82e
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 24 14:18:21 2006 +0000

    More cleanup

commit eedba76b51be5583dabed93222b570a8bc05cabe
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 24 13:50:47 2006 +0000

    A bit of cleanup here and there

commit 8e315515cc6ed2e55399ccfe57650f3b6822b279
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 23 15:40:20 2006 +0000

    Hopefully correct tokenization of open strings

commit aeb39123d4939d680f63c0c81f8bd1afbf526f19
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Dec 23 15:12:01 2006 +0000

    Don't transform tavs to 4 spaces in Makefiles.

commit cb4a2b8048646712a3e5d3279fffe6e097116222
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 23 14:18:49 2006 +0000

    Unlock the playlist while waiting for input to finish so that input can freely use signal on the playlist whatever the context is (Closes:#937)

commit 11a1940be86bf0edc1d99ff4234c8c768e091623
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 23 12:20:23 2006 +0000

    Add extra debug to chase #934

commit 253460107b425df38ae34d3e3e401955adaa972a
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 23 11:53:20 2006 +0000

    * Ensure garbage collector is called when disabling a video track (Closes:#935)
    * Possible (not probable) fix for 934. Can't fix as building vlc on win32 is almost impossible

commit 514e325d50ea0f061dbcd7779a722bf50f95f50d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 23 10:37:03 2006 +0000

    Fix "File already exists" failure with moc (closes #941)

commit 1ceb9aa1a870cebc7ea738e894eb657b7e9545f8
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 23 10:36:47 2006 +0000

    Wtf ?

commit 1be77d50ab47b8e4b17522a12266e935fce04a21
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 23 10:36:24 2006 +0000

    * Only allow playlist files in open playlist (Refs:#940)
    * For the time being, hide simple open. Better three clicks than confusing
      things :)

commit 952f1805c2994ef0e18288013b698fd950ed7191
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sat Dec 23 00:32:58 2006 +0000

    * modules/gui/qt4/dialogs/extended.cpp: Typo Eqqualizer -> Equalizer.

commit a1066b72e4bc3cdd3edcecc2e2482de378a11b7c
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Dec 22 21:34:23 2006 +0000

    Cleanup control and parser threads handling. Might fix #917

commit 65d2183365ccbd6321ecb8fcbf8bbf42362ca1ba
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Dec 22 21:14:11 2006 +0000

    Add facilities to report and enrich error messages.
    
    The idea is that a given error should be reported only once to the user.
    At the moment, for example, we can get:
    - "no suitable access module" (printed by module_Need)
     - "unable to create access" (printed by input/access)
     - "unable to open stream" (printed by input/input)
     - ...
    
    The facilities provided here are:
    * msg_StackSet( code, message ) : "throw" a new error
    * msg_StackAdd( message ) : Append a message allowing to trace the message
    * msg_StackMsg() : Retrieve the message
    
    So, in the previous example, module_Need would msg_StackSet( code, "no
    suitable access module"), then input/input would add "unable to create
    access" and finally, input/input can print the "unable to open stream:
    unable to create access: no suitable module" message.
    
    The three functions are context-free, you don't need a vlc_object, so
    that we can add verbose error reporting everywhere.

commit 7e5c6ea5492fb3167fee4670c323601e06661c24
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Fri Dec 22 16:24:21 2006 +0000

    AUTHORS: e-mail address fix

commit 4ec5943cb3cc86dc97d84213ad121710e6196a0e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Dec 21 18:18:08 2006 +0000

    Take program-transform-name into account when creating vlc symlinks

commit 9891939276a25c0e41b988ccd23e8b35de91e83c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Dec 21 18:05:54 2006 +0000

    Escape antislash in CONFIGURE_LINE properly (I hope you like antislashes).
                                       ^^^^^^^^
                       As far as I checked (sed guru required).

commit c9958ed21646465252d2d196e24beac4d1e91d02
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Thu Dec 21 15:00:04 2006 +0000

    python bindings: svn propset svn:keywords

commit a315f6348f5932244c9b395cd0330652faa9baeb
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Thu Dec 21 11:02:31 2006 +0000

    python bindings: completed libvlc bindings

commit a77fdc28e0573179dd369475bb1cb58ce403b641
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Thu Dec 21 09:58:22 2006 +0000

    include/vlc/libvlc.h: comment fixes

commit b9390c0206380db64183d2cabca004e6b8a79214
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 21 09:20:26 2006 +0000

    * Updating NEWS for VP60/VP61 . Ref [18408]

commit acafac958ca53fccdde8770c6c07ad021daa397d
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Thu Dec 21 01:22:05 2006 +0000

    src/video_output/video_output.c: Fixed double free in filter removal
    code
    qt4/components/extended_panels.cpp: Improved some dagerous string
    parsing code. This whole function looks very ad hoc to me at the
    moment and should be rewritten in a more robust way. In particular
    this function will misbehave if a video filter exists whose name is a
    substring of another video filter. This change here just makes it less
    likely to crash...

commit bf4ae068b451c5c86bc2ca402b1e023caa107ea5
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Thu Dec 21 00:07:11 2006 +0000

    fix out of buffer read in equalizer code

commit 2dfa55bd53357dc8bfcb6c94ec9a204dc9d3fe65
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Dec 20 22:11:54 2006 +0000

    Audio track and channel support for JavaScript API. The ActiveX vlc.audio.channel interface still has a bug left.

commit b2009aee6f2c6892c3c48bd85a147ae1c1ba8ac0
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Dec 20 17:22:53 2006 +0000

    Add a plugins/bindings line to the summary

commit e249f6a3d98f18cd9a167853f58427d99ac90046
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Dec 20 17:01:34 2006 +0000

    Fix a small bug in header detection for Activex

commit 9b499eae7bce2d3554ad82ff66838278e5b13fe7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 20 14:58:33 2006 +0000

    Adding Open Menu entries.

commit bf38fbd08fe8f79d5bca1231545834b3fabc5102
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Dec 19 22:23:59 2006 +0000

    Make static a bunch of functions

commit 4eb9b935f8b18d1bfe780aa3b09202d7e3a06667
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Dec 19 22:01:34 2006 +0000

    make update-po

commit 93202a752b903d92c30c3f2bd2897ca9eaef5d22
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Dec 19 21:27:57 2006 +0000

    Do not assume that CXXFLAGS and OBJCFLAGS accept anything that CFLAGS does

commit a58c71cce7596127e7a57997f1900f5e8ec79603
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Dec 19 21:26:46 2006 +0000

    Fix implicit declaration problem

commit f6773c993f008bf31855ffffc2bac50e08e008f4
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Dec 19 20:18:55 2006 +0000

    Don't use pic on win32. it confuses nasm

commit 2e4b79c9a2c5c6ae8a4c82685a17b3692faff320
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Dec 19 19:58:54 2006 +0000

    Manual install for pthread

commit d586a8d0070036d19259d0259f5822e89785869f
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Dec 19 19:45:35 2006 +0000

    Refresh x264 patch and use pthread for x264 in win32

commit f81e64f1499acc9382a6993644101369f84ab4d0
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Dec 19 17:42:01 2006 +0000

    pthread for win

commit 7297e3b228500c2217948ce3c7513ce008bfe172
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 19 17:34:26 2006 +0000

    * gui behaviour change: the textfields are no longer disabled if another protocol is enabled through the knobs. the user can click the fields now to switch the protocol. I'm unsure whether this could and should be done in the disc tab as well. closes #914

commit 10a72995eef2e2db8343f346fc3ba48af3701ca1
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Dec 19 14:16:37 2006 +0000

    Fix win32 compilation

commit 55c10e2ca8a3c7fffc7ac0b1e8e3562b22bed32c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 19 10:53:09 2006 +0000

    Dionoea's commit :D

commit 9203b45213836283e87089ca72ead34a637d52e6
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 18 23:22:55 2006 +0000

    * hide the fspanel if VLC looses its front app state in fullscreen mode (by using the app switcher, etc.)

commit b28e41253458f84e5003ad62ae0feb12083d0e3e
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Dec 18 22:03:30 2006 +0000

    A bit of cleanup in libvlc playlist API. Preliminary work for: Refs:#457

commit 49a7dec5d6f8f2ca73b937badc50a8a3b6146666
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Dec 18 21:53:26 2006 +0000

    Untested states thread and gnu portable threads implementation of tls
    Fix Win32 implementation

commit 651078ecf9be6d0bb9c2323023ebb7fbd7f0d145
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Dec 18 21:40:12 2006 +0000

    Added initial support for TLS (Thread Local Storage) variables

commit 965e95ec654de6c1f1067086e0f1e7da74a6ecad
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Dec 18 21:14:53 2006 +0000

    * extract now uses sqrt.

commit fa9ca79b19e5989640666113483c015a89b2ae48
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Dec 18 21:13:07 2006 +0000

    * Remove comments left in cut & paste.

commit 0d895d8ecd05dd4290cae5781671599812f5e421
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Dec 18 21:08:11 2006 +0000

    * Make it possible to extract any color component from the video. (Red, Green and Blue are still hardcoded) Example: ./vlc ~/media/Muse-Concert.mpg --video-filter "extract{component=0xFFFF00}" will get you the yellow stuff.

commit 54b8b0121a13e9b38c0e51e253a3440e71212f45
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 18 20:44:07 2006 +0000

    SuSE spec file thanks to DimStar, Dominique Leuenberger

commit 98924203a6b0607fd995b8165fbb52cbdef18f90
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 18 11:34:46 2006 +0000

    * added an option to disable the fspanel

commit b77357693ca23d0682f0c2d436eb238f4003ecea
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sun Dec 17 23:53:49 2006 +0000

    * modules/codec/ffmpeg/ffmpeg.c and modules/demux/nsv.c: Add support for decoding VP60 and VP61

commit 2ac1e59908bc1ff2885d6ed3f0c6960501738e2c
Author: Pavlov Konstantin <thresh@videolan.org>
Date:   Sun Dec 17 23:32:24 2006 +0000

    Default disable gnomevfs access plugin as it doesn't work anyway

commit 03f9f5fec66fb1a0dc1c5f924793bd939d3358d0
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 17 20:42:32 2006 +0000

     * New color extraction video filter. Can be used to extract the Red, Green or Blue component from a video.
     * Add stuff about motiondetect and extract in the News (even though motiondetect isn't finished)

commit dfc8b3df2513b8400383e3eb0539532f2c18c718
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 17 17:58:21 2006 +0000

    Rewrite motion detect filter. It currently draws a white rectangle arround moving objects (on fixed backgrounds). I still need to add code to make it possible to trigger an action when movement is detected (i.e. a VLM command to start recording).

commit 52fbb24bf70ffc9629cbd0382d4663e7ec710d75
Author: Philippe Morin <phmo95@videolan.org>
Date:   Sun Dec 17 16:09:00 2006 +0000

    Fix include for WIN32 version.

commit 116f3a23ac8209172ad78363ebd7aeff0c83a231
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 16 14:54:54 2006 +0000

    Add video filters panel
    Fix size of preference tree items

commit f17ac07e8f7702ae86748852cf2df18c9ea45920
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sat Dec 16 11:05:17 2006 +0000

    bindings for new audio functions, thanks to Philippe Morin

commit 24977cae04bfbff8d685dfb6cc7e660afcfd71c3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 16 00:20:42 2006 +0000

    Include fixing for snapshot.c

commit 3103bc6257da7d832544945ecacb6d8d26c078bf
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 15 23:50:28 2006 +0000

    Include repairing for dc1394

commit 0fd5011bae51389f0100b8a0f665704b4d1b0648
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Dec 15 23:38:33 2006 +0000

    2nd argument of playlist_Viewplay is not a boolean

commit acf462d72a4c5ecf73aa9f70e6b6df569f6548e1
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Dec 15 23:21:27 2006 +0000

    Rework dicts as macros for type-independance

commit 9a55e8384d5115113f5623b98d66660ae2a89972
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 15 14:16:08 2006 +0000

    Simpler UTF-8 check functions + rudimentary unit test

commit d2dff4466b7e125a3734a3e83f3f0e476dc623e8
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Dec 14 20:56:18 2006 +0000

    * More compiler warning fixes (const mostly)

commit fe12c564e835d961d197216fc2e0c08cc8636353
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Thu Dec 14 13:53:31 2006 +0000

    - bootstrap: patch libtool on cygwin to prevent linking shared library as '.dll.exe' files

commit 71c0c5cbf613d616d4c45bc1a3fce31d740d5823
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Thu Dec 14 13:18:53 2006 +0000

    src/controler/mediacontrol_audio_video.c: make mediacontrol_showtext static

commit f05d228de8d867731ce8ffff5146021c82725e0e
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Thu Dec 14 13:18:27 2006 +0000

    include/vlc/mediacontrol.h: define mediacontrol_playlist_next_item prototype

commit f386482a47893c15e4e63fb257256ef26976bdad
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Thu Dec 14 11:57:03 2006 +0000

    - activex: few fixes, generate latest tlb

commit 1e4db902f9abb4157e4a5b26643b01fd66c950ed
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Dec 14 00:14:37 2006 +0000

    * Fix a couple of const, static and other warnings

commit d9d80e10fbf2cd2406c62f980f06e1f5e0dc853a
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Dec 13 14:43:57 2006 +0000

    Use more sensible error message that says: settting audio track failed.

commit 0459ac1dfb23f64a228fc0631e6ed54c36f604d7
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Dec 13 11:41:15 2006 +0000

    .h and .cpp are not executable files

commit 05040562fe014b36a474c572e77bdf8ac0c6560d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Dec 13 01:11:55 2006 +0000

    * Add support for HD DVBsub closes #896
    * Added some comments
    * Set the b_pausable flage and remove the b_fade/b_stop flags from the dvbsubs.
      They are ephemer and if you need these options set, then figure out another way.

commit 442219bea0a03df2e2947e437652f336c5916f48
Author: Philippe Morin <phmo95@videolan.org>
Date:   Tue Dec 12 21:08:50 2006 +0000

    Fix typos for WIN32 compilation of Java bindings.

commit 3a38faa2fc71582db79c9f9441e7cfc4831d7b1b
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Tue Dec 12 21:05:53 2006 +0000

    eclipse project creation script updated.

commit 84a89ef4abb5c9b46fa58a74e414b9e3db2f4b82
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 12 19:46:17 2006 +0000

    * switched the middle arrow buttons from faster/slower to backward/forward to reflect the same functionality as the usual controller window, thus a more consistent GUI. Thanks to the6thReplicant from the forum for the hint.

commit dc1ce7981b386493dbcfff474ab747c7d977b3fb
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Dec 12 11:18:38 2006 +0000

    Add support to the activex, mozilla, firefox, safari plugin for changing audio track and audio output channel (reverse, stereo, left, right, dolby).

commit 53a76832ce6af9cd1680e6b6f06a718586aa7fce
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Dec 12 09:26:26 2006 +0000

    Fix compilation warnings

commit 7acc0ba62d6ba4a18d8c3f068f1d1bf11e1ab193
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Dec 12 09:23:58 2006 +0000

    Small readability enhancement

commit e0a738e5829868ff3c7c622f33ef5aa572b11cea
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Dec 12 09:23:10 2006 +0000

    Don't use register keyword, leave it up to compiler to optimize this.

commit 3a409569e7b8387ade34f6bee815d859f3a95bae
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Mon Dec 11 22:19:56 2006 +0000

     * skins2/vars/equalizer.cpp: Fixed an invalid memory read, potential crasher
     * skins2/src/generic_layout.cpp: Fixed an old memory leak
    This is a forwardport of [18282]

commit 402d93f759a306d16e62cd2d5d4e1f6735596f3f
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Dec 11 21:06:55 2006 +0000

    Makefile.am: tweack win32 packaging rules

commit 075b16473cfe41bcf7135f7c93b96e5f2afd528b
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 11 20:55:22 2006 +0000

    * Some more const warning fixes

commit 18f3b1e3d9ccdaab0c3757d871fb7c5e59d58024
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Mon Dec 11 20:22:47 2006 +0000

    helper script to ease jvlc development with eclipse

commit d90bffc9b952f607dcb7359c86028524db2a0e4e
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 11 20:04:55 2006 +0000

    * grah one more compile issue

commit 60eb0b52cf5aac64c1411c480e1b54091b8f5393
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 11 17:34:07 2006 +0000

    * one more closedir fix

commit 4d5ae9ec5a38da20673076d9ca12c71ab520abb0
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 11 17:29:49 2006 +0000

    * another closedir fix

commit ae6af36087215d55b3b05313d04e3b12ec5ccb4f
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 11 17:22:20 2006 +0000

    * motion_detect: use playlist_Control's "lock" argument
    * const string fixes
    * make a couple of functions static

commit 94a01b369b1e70d554d87d29a09939aca1082a38
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Dec 11 17:04:56 2006 +0000

    Don't call removed target.

commit 911511bda6deff7ae9c42c7b0931461170820f15
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 11 16:56:21 2006 +0000

    - WTF?! Do not use non-existant vlc_closedir_wrapper
    - Do not leak result from utf8_readdir (ALWAYS strdup'ed).

commit 65c24e0dcf322793ca3a4817554225a461599da0
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 11 16:53:08 2006 +0000

    Fix compilation

commit 83a754136e96b512efa13fd5a6d4dbc4464b8d70
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 11 16:25:29 2006 +0000

    * Fix utf8_scandir (wasn't using vlc_closedir_wrapper)
    * Add some doxygen comments to some of these functions that warn about vlc_closedir_wrapper and LocaleFree

commit d59f9b354c873e267857dc53dd737cf08dc9eacb
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 11 16:22:45 2006 +0000

    * forwardport: [18328]-[18330]
      * utf8_fopen for: galaktos and snapshots
      * vlc_closedir_wrapper for: webintf, mkv, ncurses and gnutls

commit 8ef2385833c0c327407d61ef28f641c72063ce68
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 11 16:17:44 2006 +0000

    * forwardport [18332]:
      - don't compile pngtest, it's not SDK compatible
      - enable sdk on contrib again

commit 55da3392db2e955ceb230b6ba354463c3854bc47
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 11 16:16:33 2006 +0000

    * forwardport [18335]: Compile x264 with --enable-pic

commit 74cbdba8dc2482bf88cba3326a8ddb47cee532ee
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 11 16:13:24 2006 +0000

    * forwardport [18336]:
     - Only try Real RTSP in case of rtsp:// realrtsp:// or pnm://
     - Don't use fprintf

commit 9822f1942cb8e8aa6fe498900052bc35ff95d7fb
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 11 16:04:32 2006 +0000

    * forwardport the 0.8.6 NEWS

commit 48c1a9f20fe4721dc7fa482ef96daad1b62e2808
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 11 16:03:34 2006 +0000

    * forwardport [18346]: LocaleFree() a utf8_readdir entry instead of using free()

commit 45d22a77854809ab0293310d86b94e2ac5ef5809
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 11 15:32:01 2006 +0000

    * forwardport [18350] libtiff linking in VLC OS X

commit dba4eb43527ff90639108bb338ac3a04e4f6fcbb
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 11 15:30:46 2006 +0000

    * marq.c: const strings

commit f6c86f7a08dcd0f397cf1a2be052268b993d2fe2
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 11 12:16:39 2006 +0000

    Remove -z defs to fix FreeBSD linking.
    Someone (I?) ought to work on a better solution

commit 96249f8f98879a156c7577a66f32ada36fae98fe
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 10 20:02:03 2006 +0000

    Do not redefine vlc_wclosedir (Close #893)

commit a7a199e30770d5f3d3aa56105320a4af5a85d1fe
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 10 19:57:01 2006 +0000

    Forgot this file

commit 6ed527e81716d8d7dea81f26ccfa7771ad67f6a6
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 10 19:56:13 2006 +0000

    Use shared libvlc on Win32

commit 98b71c2564df05348d4615870caf2b147530dc3f
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 10 15:28:12 2006 +0000

    Simplify a bit strings handling

commit f986994e6aafcaad63780958d7ba3c39229ffbc3
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 10 15:24:01 2006 +0000

    Fix wrong object release

commit 1f8c859dbed5ac385ae176519a141903edcf8bd0
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 10 15:20:26 2006 +0000

    Don't attach playlist twice

commit 1ab643d4ee141f485344f6b949bba42fb5332ed9
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 10 15:15:50 2006 +0000

    Fix corruption in SD parser (Closes:#889)

commit 496a54201d383dc056767a10b79e2a0354512e53
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 10 14:00:54 2006 +0000

    * Do not take and release the structure lock for each element of the list while
      releasing it. mutex locks /= 20 on a standard preparse run
    * Only create absolutely necessary variables while preparsing
    --> Preparse speed *= 4 (with item in disk cache of course)
    
    * Do not rebuild playlist too much while adding a directory. Add a new flag
      to NodeCreate and Add to control this behaviour

commit dbcaeb30c2a9ec5ab42c7a708d873b8e9a2228de
Author: Marian Durkovic <md@videolan.org>
Date:   Sat Dec 9 20:24:50 2006 +0000

    Fix for non-working DELETE key in Playlist on Win32
    For some unknown reason, wxwidgets 2.6.3 always return WXK_NUMPAD_DELETE
    even in case normal Delete key was pressed
    
    Please consider backporting just for Win32 binaries.

commit 26b332584348ab9ed62ca0e629e538204051fe90
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 9 20:19:20 2006 +0000

    * prevent the preferences from crashing. they aren't shown again yet, though

commit 41e68d846d07df2195f2629f8bc63643897e2082
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 9 20:10:28 2006 +0000

    Fix

commit afb4a0fd73533d0de63696de29225d56167984a5
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 9 19:59:45 2006 +0000

    * improved previous b_autoplay implementation

commit a7d57cdf5742cb68908cad3d3ee349a479f7dbc8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 9 19:57:48 2006 +0000

    * make sure that the opened media is always enqueueded, if macosx-autoplay is false

commit a94647f04b28484b49f16ce252523b38343b6b58
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 9 18:12:05 2006 +0000

    Misc cleanups in Qt4. (Closes:#736)
    Fix m3u export

commit ff5e7fa774f237f3a8d1204cd9a5b61c1df93079
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Dec 7 22:46:45 2006 +0000

    * Don't redraw the window when going to fullscreen. refs #668 and refs #751
    This might not fix it, but it surely should eleviate the problem.
    forwardport of [18324]

commit 85812c06725e6a21a206b844fa89e251a7f4fef4
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Dec 7 22:38:20 2006 +0000

    * forwardport: [18319], [18320]
      - fspanel centering on right screen
      - fspanel don't hide if mousepointer is over fspanel

commit b99b38eb831f1247b95d987a0d80505fa107994e
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Thu Dec 7 20:19:52 2006 +0000

    Forward port [18313] and [18314]. compile fix

commit e8da76c97ff90125ef5637045408fc2b81e27839
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Thu Dec 7 20:10:55 2006 +0000

    * Cleanup that file a bit

commit 718c752ff05d5bb9f8f499e18e7f5c9c869c6cf8
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Thu Dec 7 13:35:25 2006 +0000

    fix for libvlc_input_get_fps. maybe there's a better way to do it.

commit 8186a95af8f99e0716c7c3bda5a6e902b605ead1
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Dec 7 11:25:09 2006 +0000

    Remove redumdant function call

commit f2cf7af4b4bc46b43b652971a289310aa88e9c92
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Dec 7 09:29:45 2006 +0000

    Remove old TODO

commit aaaea383ca9188d7b138f7bb81d26859b7196234
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Dec 7 08:46:01 2006 +0000

    Prefer EDH-RSA over plain RSA

commit d645efe275622d10c519095fc6bfb302f4daab5f
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Dec 7 08:39:45 2006 +0000

    Handle fatal errors properly past TLS handshake (close #887)

commit 454b19b86a8dd610a3b6f20e0b81dab8afb4ba39
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Thu Dec 7 00:31:14 2006 +0000

    - mozilla, activex, directx: more backporting from 0.8.6

commit ec077666e9ff20ecc6f9f626a28bf243bcd59ceb
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Thu Dec 7 00:29:57 2006 +0000

    mozilla: backporting from 0.8.6

commit fc9b8e56966b81ebe9852b1e8a1cd4b4842135ee
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Thu Dec 7 00:29:02 2006 +0000

    - activex: backporting from 0.8.6

commit 344289ceca2caa3ede3dbc0c443907c265d0c2b2
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Wed Dec 6 23:39:18 2006 +0000

    - dshow: backporting from 0.8.6

commit 4b482440894c591c8c3c4ddbdf9fac212280102e
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Wed Dec 6 23:38:27 2006 +0000

    - backporting from 0.8.6

commit 3b44fa8c182bfeae208bacc16c4195b88fcb6c12
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Dec 6 22:57:37 2006 +0000

    sub_fps is a float and need to be a float. Don't loose precision if the subtitles dialog is opened.

commit 1ce34fd00faf71b85242237cb775970df9d64433
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Wed Dec 6 22:26:23 2006 +0000

    - removed commented out lines in [18277], not really necessary to keep them

commit ddbcb2f208c12dce8514ff5ace181e046441bbe0
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Wed Dec 6 22:22:36 2006 +0000

    - vlc.win32.nsi.in: backporting from [18288]

commit b1738c8d8d53b11ec1c0fae05a10f4120116274c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 6 21:59:39 2006 +0000

    Enable AES 256 with TLS.
    
    DISCLAIMER: libgcrypt includes various strong cryptographic ciphers.
    VLC now has 256-bits ciphers, and already had 128-bits ciphers for some
    time. Please check with your lawyer and country-specific homeland
    security bureau. In France, *usage* is completely free. Supply, import
    and export are not.

commit 839bc0fb62b46c3fcd2d7ccc4201b2a3771062d7
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Dec 6 21:27:32 2006 +0000

    Fix path.

commit 1e5190c13885c64800d02075e310f30845a602b3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 6 21:12:53 2006 +0000

    Do not try to distribute non-existant kludges

commit d36cc944ca82b247b580d0488934287a7fb9293a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 6 20:48:09 2006 +0000

    Support for TLSv1.1 deflate compression

commit 82f9a191bb09d12425b3e3d1a2ac087f43587136
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 6 20:22:56 2006 +0000

     - support for TLSv1.1
     - rationalize var_CreateGet*() and config_Get*() usage

commit b80738a23869a83e9d8a9618642fe2e0e116cfdd
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 6 18:44:19 2006 +0000

    Do not retry to HTTP connection with version 1.0 instead of 1.1...
    ...when the lower layer failed (ie TCP or SSL errors)

commit c16fe33f620415da6e98d0eaeff9395ba0351aaf
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 6 18:31:53 2006 +0000

    Make some constant data table static

commit c53808689f7ea5a02905d7baba3a9660ae39c3ba
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 6 16:47:10 2006 +0000

    Work-around window-on-top + fullscreen deadlock (refs #882)
    
    FIXME FIXME FIXME FIXME: EXPLICIT HACK.
    On the one hand, we cannot hold the lock while triggering a callback, as
    it causes a deadlock with video-on-top handling. On the other hand, we
    have to lock while triggering the callback to:
     1/ make sure video-on-top remains in sync with fullscreen (i.e.
        unlocking creates a race condition if fullscreen is switched on and
        off VERY FAST).
     2/ avoid possible corruption bugs if another thread gets the mutex and
        modifies our data in-between (though it does not seem like it could really
        do much harm in this particular case).
    
    This is obviously contradictory. Correct solutions may include:
     - putting the fullscreen NAND video-on-top logic out of libvlc,
       back into the video output plugins (ugly code duplication...),
     - serializing fullscreen and video-on-top handling properly instead of
       using the fullscreen callback. That's got to be the correct one.

commit 4b8daf879c576d7d49762f06cd2b5c362e87aade
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 6 16:41:19 2006 +0000

    Provides libvlc.sym

commit 449a9c760e853e8424f6b39a8126b5dd3824963a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 6 16:29:20 2006 +0000

    Minor code simplification

commit 6c464c3ce2e3cf54eb47fd6679d3ad7d1ba0af67
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 6 15:02:37 2006 +0000

    Simplification of one-instance mode
    It now checks if a capable "Media Player" is running, not only VLC.

commit 9dc29b4fa1e75c0fb0066f540f0ec4210e62335b
Author: Marian Durkovic <md@videolan.org>
Date:   Wed Dec 6 09:55:17 2006 +0000

    Remove duplicate code. The new Unescape() is already doing this.

commit 461fd44cfe7e3892bec1af9a5575ff46037a4928
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 6 00:52:04 2006 +0000

    D-Bus module now uses new specification
    TODO: playlist management

commit 33d29c3eb02ca07e9bece4cf3c1efa0d73aed23e
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Dec 6 00:31:08 2006 +0000

    make update-po

commit 85d419a39e03f6f67402f32a8241403936bc49c4
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Tue Dec 5 23:45:36 2006 +0000

    Java bindings update: various enhancements; paint system changed; reparenting works again.

commit a10792f2b6e2d7a4184d2a3a48454ccfc2693a99
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Tue Dec 5 23:42:58 2006 +0000

    libvlc_input_has_vout more consistent with function aim

commit 7a6f4c91aae3e6cc1d15ce61261b84734989eba7
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Tue Dec 5 23:20:18 2006 +0000

    - libvlc target, removed uneeded libs target previously for for external libvlc compilation

commit aa70c0cf8976fb6f5ec294f71f0d1c119e5bcd81
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Tue Dec 5 17:29:07 2006 +0000

     activex: when linking against the shared lib DLL, it looks like the linker is picking the DLL name from inside the file, rather than the filename itself. in most cases, this is not a problem, as both are usually the same. Unfortunately, since libtool has a bug on cygwin, whereby the ouput name is libvlc.dll.exe rather than libvlc.dll, the wrong name 'libvlc.dll.exe' is used by the linker rather than the corrected filename. Using the import lib libvlc.dll.a instead fixes that problem. the proper fix should probably a patch to libtool

commit f0f2eefeb04463f52d6ec23c3abae41f06041ccb
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Dec 5 17:05:20 2006 +0000

    * Expand the ugly hack to also let automake define OBJCLINK and friends

commit 9e687edccedf1c11f74922eac5a0d6b5cbb5456e
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Tue Dec 5 10:22:25 2006 +0000

    - mozilla, activex: vlc-config vlc -> libvlc changes

commit 04773a76777492eb48a8a1cfc05835ff70279fa3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 4 21:17:32 2006 +0000

    configure.ac: fix build when libtool is disabled.

commit 11f445090a95fce4fdeb380e23b524f7ac814050
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Dec 4 21:12:19 2006 +0000

    Don't install mozilla plugin in recommended/default settings on windows. The NSIS stuff needs to be backported to 0.8.6 before we release (and tested). Could someone do that please?

commit c59b99775c8c9c8f1c9b76773b16fdc7ba2c45b4
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Mon Dec 4 19:08:31 2006 +0000

    - vlc -> libvlc for linking shared libvlc.dll

commit e5d47d29ef9860e47156adc13877a788632dfec8
Author: Marian Durkovic <md@videolan.org>
Date:   Mon Dec 4 14:02:14 2006 +0000

    Don't escape single quotes since it's not needed anymore

commit f88bf2c190ee358defaea7d81d6fc415098ad11b
Author: Marian Durkovic <md@videolan.org>
Date:   Mon Dec 4 10:14:26 2006 +0000

    Add quotes to all VLM commands requested by VLM wx panel

commit 85e000fa79ec7631d06fbf99fbc737ac27672b8c
Author: Marian Durkovic <md@videolan.org>
Date:   Mon Dec 4 10:06:23 2006 +0000

    VLM quoting magic for partially quoted strings

commit a658df6d37a988362c30ff574abbd2053482d3fd
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 3 21:00:42 2006 +0000

    Fix searching in tree playlists (doesn't hide a node's children if the children match but the node doesn't). Thanks to zorglub for the fix.

commit 1839dc50111af13ef537c7904b45c0ee837b95da
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 3 20:56:28 2006 +0000

    Don't duplicate backslashes in VLM HTTP interface anymore. Could someone confirm that this works?

commit 8a55a20ac3649f0976210eeee7d8c432a74bac6a
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 3 20:44:10 2006 +0000

    * vlc_variables.h: remove unused VLC_VAR_ISLIST define

commit 696f7c1d5b3d9b331540be75047d2488f237b30b
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 3 20:36:24 2006 +0000

    * vlc_variables.h: remove unused VLC_VAR_ISCONFIG define
    * objects.c: some more vars command stuff

commit 459565334a754804162c1580c2aad0414bc840be
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 3 20:33:02 2006 +0000

    * Made open and sout QDialogs
    * Added a minimal streaming feature

commit 0f36081763e7d533de58dd4172dfc62d675bec83
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 3 20:05:54 2006 +0000

    Tweaks vars command a bit.

commit 64339830bce50f49b15b365d27ee4c709cb0c106
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 3 19:49:26 2006 +0000

    Add "vars" command to display the list of variables owned by an object. (ex: vars 1)

commit 044050423418803fc9765b6b19656b78d1f455cf
Author: Marian Durkovic <md@videolan.org>
Date:   Sun Dec 3 19:44:54 2006 +0000

    Implement shell-style escaping also for double quotes and fix bugs.

commit c1acae62b49a0ee0df2eb563700a6383a71468cb
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 3 19:07:22 2006 +0000

    Also show telnet specific commands when using "help" command in the telnet interface.

commit 82fd7dc7b390598ce2e3767eaf403649b834cd9e
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 3 19:04:31 2006 +0000

    Looks like we need to add function exports here too now.

commit d7ea734063980b8231d4db1613abd83b84a326d4
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 3 19:00:59 2006 +0000

    Export vlm_MessageNew and vlm_MessageAdd.

commit ba5411566d5b9ad63075f31d0422b8a3bc7d684f
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 3 18:54:03 2006 +0000

    Fix memleaks

commit be18bca0c5d3afe281028776d1a75ac3bffffbe6
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 3 18:37:22 2006 +0000

    Also print the object's parent id (makes it easier to "climb" the object tree)

commit d158d8926195d8f6a417c2b2a47405d8d041c175
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 3 18:15:03 2006 +0000

    Make module_LoadMain static

commit 567cf942d9e107530d4378746184c48586eaafc8
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 3 18:14:37 2006 +0000

    Buffer was too small.

commit 271fcd86a5ca6639be10bdc0909f9f5f4b7c414f
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 3 18:05:23 2006 +0000

    Sync default options in NSIS installer with recommended preset. I still don't like installing the activex and mozilla plugins by default as they often override other plugins and make it impossible to view videos on some/many websites.

commit 4475aeda1a449436710c3b4548bad06a77410afe
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 3 18:02:03 2006 +0000

    Be a little less pessimistic

commit e954457bf4c81f2ac87e948b4ad9eca7dec8e4f7
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sun Dec 3 18:01:13 2006 +0000

    use program-prefix="" all the times

commit d47063eabbe6ce08a87bbbaaefd286360e522813
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 3 17:57:54 2006 +0000

    Fix memleak (oups)

commit 4ab1c77190c0c8a4ada68309e2bc39b9bd27839f
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 3 17:53:51 2006 +0000

    Oops (at least it wasn't a regression ;) )

commit a1d07250a11a0f872bba679ad620ff86792ea9d2
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 3 17:30:48 2006 +0000

    Same as previous commit, for invalid MMS URLs

commit 866583cd50152cbcd181faada2d8d6339bcbc8b8
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 3 17:30:31 2006 +0000

    Don't display "Unknown command!" when the command is known.

commit de163952203896af7cf89bf498b170ce9d525eb1
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 3 17:29:25 2006 +0000

    Fix über memleak when falling back to MMS/HTTP

commit 712038209a4358a0be3a88c836799f8f6fa15eff
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 3 17:27:13 2006 +0000

    Cosmetics and small fix

commit be06db8e7f11249b5baa20dc86681dadf0153c2c
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 3 17:19:24 2006 +0000

    Simplify callback registration.

commit 8ac0d5a75507f8c8eede20eb99add590b3b72076
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 3 17:09:48 2006 +0000

    Fix [17577]. Removing 200 lines of code is nice. Replacing them with lines that does the same thing as before is better.

commit 58891156aa047ba821a8b0a5e51d8d00eb9ea452
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sun Dec 3 17:03:22 2006 +0000

    Don't prefix the binaries and config scripts with $HOST.

commit de90c15151187e74ce4d2e89a34d68fd64b8735f
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 3 17:02:02 2006 +0000

    Fix small memleak

commit 346350ee6036a43f482cdd3088d75010f30052ed
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 3 16:34:00 2006 +0000

    M3U: fallback to local code page if UTF-8 fails (close #862)

commit 27bf7df312256c6d879cea4e521cfd321502af6b
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 3 16:31:08 2006 +0000

    Release notes

commit bc32a19e72326154fdf8267d8ad4c909f5aa707e
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 3 16:13:40 2006 +0000

    * Fix preparse of directories
    * Add right-click "info" item in qt4 playlist

commit bb97f8e0620e612353d9555d05db6ae300a8ec9c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 3 16:03:40 2006 +0000

    Undo unintended changeset

commit a4d1fdfc024b594a26d1d83386893aa2b6dae8ce
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 3 15:57:27 2006 +0000

    Unbreak a bit windows

commit 4ee2908cb34bd854efc2d2b530d0ecce33cc3366
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 3 15:03:14 2006 +0000

    Missing libvlc flags on win32

commit c13f9fc955acf4504a5336752feebea388773702
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 3 14:52:21 2006 +0000

    Fix libtool and shared builds

commit 5af47d3b1cc46b624e013cc0968fd0d6ad5fa201
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 3 14:35:17 2006 +0000

    Do not autogenerate libvlc.sym.
    The scheme I used sucked big times.

commit 03c8a66bfe90b8bb9ca90eeceaacc110ce77853a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 3 14:23:52 2006 +0000

    Forgot this file

commit 7c8c88f6a5306ffd385384491419b2cb72ab6305
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 3 14:23:40 2006 +0000

    - fix input memleak
    - move vlm to input/
    - remove unused libvlc export

commit 6aabccecf83b251bdf0a2dfdb647603c0e70f5c3
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 3 14:06:06 2006 +0000

    forward port [18125]
    Compile glx plugin only if all required headers are present

commit 133d57fe883de115e7d10ce29411a3f7097f79ad
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 3 13:52:04 2006 +0000

    Don't write R/O memory + clean up

commit fbf4c8060d35617e39b50ae739307152d02ed951
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 3 13:48:21 2006 +0000

    A bit of vlc/libvlc cleanup:
    * libvlc sources and plugins now define __LIBVLC__ and headers exported to
      plugins (ie, include/vlc_*.h) check for this
    * libvlc sources use the value of the "libvlc" component in vlc-config instead
      of vlc
    * Apply flags directly to "libvlc" in configure.ac - might temporarily break win32 :)

commit d64b61183029647e41f0a6fa4ea66de5d04eb716
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 3 13:32:55 2006 +0000

    Use a MEANINGFUL (hopefully) debug message

commit 8e938c63b75fe1b54fda27ff3975e1214abdd3b9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 3 13:16:03 2006 +0000

    * use the current x264 revisions and Xcode's native nasm on x86-OSX. This requires Xcode 2.4.1 or later. Patch by Brian Raymond <braymond --a-t- echostorm net>
    
    I second his request to include this in 0.8.6 as well, since this update improves the performance on PowerPC-based Macs by 20% without breaking compatibility with our module.

commit 8fdb157ff5004fdf1f2947b63b420b638cfba347
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 3 11:45:57 2006 +0000

    - Only unescape VLM parameter when quoted with " ", do not unescape with ' '
    - Remove opening and closing quote when unescaping

commit 9040f4ed0657bfe365af82a4dcf8044c7a33e290
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 3 09:56:46 2006 +0000

    Qt4 open:
    * Implement MRL handling for file, disc and network
    * Moved input slave option to the global dialog (not file specific and
      avoid cluttering the file subpanel)
    * Initial implementation of the network panel based on ideas and work by
      Leo Spalteholz. Thanks !
    * Improve layouting and handling of the advanced options subpanel
    
    --This line, and those below, will beignored--
    
    M    modules/gui/qt4/dialogs/open.cpp
    M    modules/gui/qt4/dialogs/open.hpp
    M    modules/gui/qt4/components/open.cpp
    M    modules/gui/qt4/components/open.hpp
    M    modules/gui/qt4/ui/open_net.ui
    M    modules/gui/qt4/ui/open_disk.ui
    M    modules/gui/qt4/ui/open_file.ui
    M    modules/gui/qt4/ui/open.ui

commit c256165fe408cbc2f515ace7e8c02ba93c24aa6e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 3 08:07:53 2006 +0000

    Save a few allocations

commit d1930468299584c23b34d8e56d755610d7019b0f
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 3 07:28:41 2006 +0000

    ACL: remove potentially harmful macro conditional definition

commit e0bebcefb451c4f2f4b593ce1f3e49171ca3a1f7
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 3 07:05:21 2006 +0000

    New VLM quoting and escaping logic that is more like the usual C one[1]
    - Do not validate quotes recursively (there is no reason to do that)
      and it is really unlike anything else.
    - Do not allow escaping non-ASCII (to avoid UTF-8 breakages)
      or non-printable characters.
    [1] we don't support every features of C escaping though

commit d3cd1b4db0be7fd42126e77ad4163bc64b83f292
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 2 18:40:40 2006 +0000

    Rewrite comment.
    It reads like some sort of English now, though it could be further improved.

commit 5445c74648ab7cba2d73689eae47afdd7150712b
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 2 18:34:06 2006 +0000

    Safe default for HTTP .hosts file

commit 8a26156e24f953bb7abed914d8e0363a9a6eaf47
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Dec 2 15:02:36 2006 +0000

    * forwardport [18201]
      fixes a big crasher in the DestroyFilter of the logo video filter

commit c638a67c52980404d2aa6f6851b455743a898820
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 2 10:58:51 2006 +0000

    Improved autocropping by Cedric Cocquebert

commit 53dee835ddd1eb45f488fe7de2e06b0829d1f9c9
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Fri Dec 1 23:18:11 2006 +0000

    NEWS: Sync with the 0.8.6-rc1 NEWS so that the link on the developers site is uptodate as well.

commit 2fac2b1d070cdb9dd9f6ba5fa4977c148cf12600
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 1 20:26:05 2006 +0000

    Hide httpd_t and httpd_host_t within httpd.c

commit 17853c532cf3f3aebd4eb454b7d5f50dde889f03
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 1 20:13:46 2006 +0000

    Rename libvlc.h to libvlc-module.c
    It made little sense to have an header that can only be included
    in a single file.
    Re-use libvlc.h for generic libvlc internal declarations.

commit a5ed35c9b0d7588e63e41e05c938f31a96277b9e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 1 20:04:13 2006 +0000

    Remove unused variable

commit f7115564ce2bf24dfe480a5b7fc0cf37b0d794a2
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 1 19:48:43 2006 +0000

    Support for creating object with custom type name and size.
    This help suppress dependency of src/misc/modules.c
    upon some structs typedefs just for the sake of sizeof.

commit 5d10806a802531229498178360ca122984f3857c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 1 18:54:34 2006 +0000

    Hide some httpd structures from modules

commit bc73810b6215db6710cb6ee39a01422b5535a8ba
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 1 18:38:59 2006 +0000

    Don't initialize a variable twice

commit e9c68c47d18ae45fa79f480cbf779dec27df3161
Author: Marian Durkovic <md@videolan.org>
Date:   Fri Dec 1 16:09:45 2006 +0000

    Add a FIXME

commit 5364ae678b8ee94b65921ea51ab8b3b1e181191e
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Dec 1 09:45:24 2006 +0000

    Simplification of Advanced Open
    Control & Playback buttons have the same size

commit 326164980192a146cfbf444afd4e6ff2de81d580
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Thu Nov 30 22:41:48 2006 +0000

    Apply the alignment patch on BeOS also.

commit 63bd1abd4772e00a175fa965312bfea18b62586d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 30 22:18:36 2006 +0000

    * fix commit [18178]

commit 3ea46905da32046b18395e884a8d34ab010f0a22
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 30 21:52:58 2006 +0000

    * Fix YUV422, YUY2, YUYV mappings in V4L.
    * Don't immediatly overwrite our driver retrieved video palette value with 0.

commit 4d1f3123b77f081ab7a964c8d89b7cbb8cb783e8
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 30 20:46:23 2006 +0000

    forwardport [18177]
    * microDVD should use the framerate of the movie if that is known, before falling back to 25fps

commit 7f75b3a346a86cd6c00ec34021b30465f73a1125
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 30 14:39:52 2006 +0000

    Uses correct buffer size with OSS output

commit 7e40556bc3fc852a68f8c3378b5d52ad59739776
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Thu Nov 30 14:27:36 2006 +0000

    Link with libebml_pic if avaivable

commit d9f60cd7287eff119b4531327e3e9cb05992f32e
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Thu Nov 30 08:15:23 2006 +0000

    modules/video_output/snapshot.c: remove ref. to snapshot.h, whose data has been moved to vlc_vout.h

commit 71abca728d56bd80220bea148ac664158c4b63e0
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Wed Nov 29 23:48:24 2006 +0000

    vlc.win32.nsi.in: Add shortcut for Direct3D with no hardware acceleration. YUV->RGB hardware accelaration should normally be enabled except on some buggy NVidia cards/drivers?

commit 7aec98e903533bd9fdf6517656a9c69e795ac729
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Wed Nov 29 23:24:44 2006 +0000

    vlc.win32.nsi.in: Make sure hardware acceleration is always set in certain DirectX shortcuts.

commit e979fa23d09574d9b27c9c43f2638b15c3c4b854
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Wed Nov 29 22:55:24 2006 +0000

    vlc.win32.nsi.in: Renamed Utilities to Quick Settings. Added separate shortcuts for no overlay and no hardware accelleration and seperate folders for Audio, Video and Interface.

commit b71fdec3e886d080214779e374bb98aec8fc1f91
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 29 21:13:07 2006 +0000

    * const and a few other casting fixes

commit 0ed4ebdf4c3bae3f2ef2be410a9f68ab63983734
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 29 21:11:57 2006 +0000

    * cdda: update due to input_GetItem

commit d32ac4687b5fb89fc75271b80628753772cda927
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 29 20:37:57 2006 +0000

    Qt4: Small corrections on previous commit.

commit e9735ab2e5770cac554623dfba0e623d7e2f0911
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 29 20:17:08 2006 +0000

    Qt4: Please help...
    Adds an help menu with help and about.
    Dialogs are still empty.

commit 3501cab9fb4fc12d0adb27e97110bd240e467488
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 29 13:35:23 2006 +0000

    Disable D-Bus if installed version is < 1.0.0 and warns the user.
    Adds an option to force D-Bus support to be enabled anyway.

commit 7cf5fbe82cc18155433046cde85e01cf218e17cd
Author: Marian Durkovic <md@videolan.org>
Date:   Wed Nov 29 10:02:42 2006 +0000

    Forwardport [18136]: Fixed RecursiveDeleteSelection() to prevent destroying the
    whole playlist

commit 979719c9b4019ce515b6ffb938b8445721be5722
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 29 03:35:26 2006 +0000

    Qt4 : Some work on OpenDialog. Does not work with files with spaces... More work to do.

commit 016036ccbff45302515f9dc62091260f05ecb1b2
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Nov 28 23:07:54 2006 +0000

    do not show started-from-file in the prefs

commit 8ea0368184910732fa49a8802abec249736fcc22
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 28 23:04:54 2006 +0000

    Detects too old automake version using 1.X-pY versioning

commit 06e7c958298d05805f80cde1b35257db194d7dd4
Author: Philippe Morin <phmo95@videolan.org>
Date:   Tue Nov 28 21:49:28 2006 +0000

    Fix missing output directory in JNI header generation in win32 part.

commit 60672abc1c666289ee98f13f3b5ef9ee22c1e05e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 28 20:27:33 2006 +0000

    Avoid duplicate memory allocation

commit a9ac3e9e17a136f4114f27f99dae976a81bac7e2
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 28 17:05:31 2006 +0000

    Uses file:// MRL only files, don't bug when recursively adding directories

commit 8d433f3dfe45d73ff5344173563d596ec8b54758
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 28 15:34:08 2006 +0000

    Add a method to export playlists

commit c5543363e67c7c4504ce9f1b45ee2bec549cb395
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 28 14:53:50 2006 +0000

    Fixes buffer overflow introduced in [18129]

commit a167893085215026aa50f6c65e6a74566fdf145d
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 28 13:20:13 2006 +0000

    Uses file:// MRLs for items added by directory access

commit f0975acb533d12e19e429b9fd8fd8f4521e9e978
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Nov 28 03:29:43 2006 +0000

    * const warning fixes. formatting fixes (squash them tabs)

commit b087885b82938dd1eb06542968f45749a877e502
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Nov 28 02:18:48 2006 +0000

    * Some cast magic to get around a gazillion of warnings during the OSX build. If your OS has similiar warnings, feel free to add yourself to the define list :D. Solution thanks to Sam.
    
    ../include/vlc_threads_funcs.h:501: warning: cast from function call of type 'pthread_t' to non-matching type 'int'

commit 7bcd728f1d30933b7e658ad8d700015325e12f5a
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Nov 28 01:26:46 2006 +0000

    * playlist/* When telling the playlist to play the node, don't check for i_children. The playlist might still have to process the request of the add and i_children may not be accurate yet. (this fixes a bug where 1 item playlists would not start playing).

commit 67c7c31e1d2a3c2b1c4cdd8c77643b356770891c
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Nov 27 22:36:14 2006 +0000

    Make update-po

commit c2ec5e5fcec0e222a411c1b311509fd40b6b0315
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Nov 27 21:30:13 2006 +0000

    * mp4: fix memleak in mov ref. files handling

commit 639a14dc07fefaea6d1a1b07845d712185a8daba
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Nov 27 21:23:29 2006 +0000

    * more info about the applescript addition:
    
    you can also do the following now:
    
    <tell app "VLC" to set fullscreen mode to true>, thus you also got write access ;)
    
    
    Sorry, I just forgot to commit these obvious files in [18115].

commit 92c362106fb9166bfa16f79ec0b16a7de5b8b086
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Nov 27 21:20:23 2006 +0000

    * various improvements to the AppleRemote support by Martin Kahr <martin -attt-> martinkahr com> feat. the following changes:
        - holding +/- continuously increases/decreases volume
        - pressing Play twice toggles fullscreen mode
        -  a press on Menu shows the "Position" overlay (like pressing the key
    't')
    
    This updates our copy of Martin's unofficial framework to the latest version released.

commit b8e3c1eaad02b695b6e5bbebef41de21ae623c04
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Nov 27 21:11:47 2006 +0000

    * added an option to the apple script binding to check for windowed or fullscreen mode. Patch by Martin Kahr <martin --att-- martinkahr com>

commit ca2dd2749742a26cad59e4f23ff9eca05904505a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Nov 27 18:46:44 2006 +0000

    * dc1394 cosmetics (forward-porting [18096])

commit bd894c1b4dd21303ce56c5858338c4e853a171ea
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 27 17:44:00 2006 +0000

    Qt4: Some cosmetic work and design by Leo Spalteholz

commit f01e2a91944574598b8235a34f334270e77a23e8
Author: Marian Durkovic <md@videolan.org>
Date:   Mon Nov 27 09:59:45 2006 +0000

    Comment on IPv6 SSM

commit 97b3335a04da42b56fc81439a4f057a311dc37fa
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Nov 27 09:01:09 2006 +0000

    Digital Cameras (firewire/1394) support by Andreas Guzzo (xant at xant dot net). I left out the rotation code, because in vlc-trunk there is already a rotation video filter2.

commit faaec5e9b1449eb8d9c3b4f083d3fab4eecf4033
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Nov 27 07:23:25 2006 +0000

    Fix for missing resizing in sout dialog.
    Patch by Leo Spalteholz, thanks.

commit adb1e8730507bfe650c5834216846c0cbb14b31d
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 27 01:54:50 2006 +0000

    Enables audioscrobbler by default as it should be bugs free

commit cde6146fc6c110ee42e2686c3c82617b098b4d51
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Nov 27 01:44:14 2006 +0000

    * Correct and probably also faster EOL detection in UTF16 or UTF32 files

commit c2ec30b423d074da6feb53c9c01e800ef9bcb286
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 27 01:42:48 2006 +0000

    Merge 2 functions for reading meta data
    Simplify interval checking
    Sleeps 10 seconds more
    Releases input 1 time instead of 2

commit 7ac42ed10d35c37ecf2e3dbde47fa904df608200
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Nov 27 00:57:42 2006 +0000

    * Remove duplicate mutex_destroy added in [18009]

commit a232e032fc0952531bbb8d417c0783501ffae98f
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 26 23:28:05 2006 +0000

    Don't ask me why this fixes the java binding compilation

commit 4e0282a7fa28a5bb8273bc37b2604a65bc3f10fa
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 26 23:25:40 2006 +0000

    Revert messup while doing the video filter2 port.

commit 3f92a6295b6a36188ee79091e1be04d57467c5f7
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 26 23:09:09 2006 +0000

    Fix small mixup between artist and title in MSN plugin.

commit 6266986274cf2d8ff847c2e5751172a9f567fdd6
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 26 22:29:33 2006 +0000

    Pick IPv6 scope ID from group address, instead of source address
    Fix possible segfault as a side-effect

commit 30b350355b2253baf8d5bafb250ac57b580888f1
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 26 22:17:41 2006 +0000

    Fix unitialized interface for old-style IPv4 joins

commit 30f4531b43954821a0beb408bcf2438f9b477eac
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 26 22:16:00 2006 +0000

    * centre fspanel in the lower third of the screen. additionally, switched style mask to allow dragging in the entire window area (forward-porting [18092])

commit aa59948dfe8d25bf9fe378c45e2c0dd3276aaec6
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 26 21:35:08 2006 +0000

    Implement disc chapter selection widget

commit 496b1f5fc878edde8e21bb749c76495ca5cfa4ab
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 26 19:48:39 2006 +0000

    * missing file in previous commit

commit 21445d780fe5e8a1ed786bdb15aaebca46b6841d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 26 19:43:20 2006 +0000

    * fspanel usability fixes (forward-port of [18077]) plus some further clean up

commit 7614e4ee8618c05d37b1612d2d01741c250d49f5
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 26 19:21:54 2006 +0000

    * the remaining compilation fixes plus a bit of clean up here and there. vout.m needs further fixing and everything needs quite some testing

commit 45e123dca9f69067060a562d6293c8c49cfdca7e
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 26 19:07:37 2006 +0000

    Should fix win32

commit d81d5e5fcee94d98880b89ca9c539070af0a6150
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 26 18:59:52 2006 +0000

    Merge all fixed-point and floating-point audio format converters

commit 1c808907903f9539e0469c1289dd50fae5885f5d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 26 18:08:23 2006 +0000

    * first round of compilation fixes, more to come

commit 4e26c57f6f737fa61036f08d7e5818dcad01cfcf
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 26 17:49:17 2006 +0000

    Remove trailing spaces.

commit 9ce72981b5df1177e9e1b701698e992ca4437b0e
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 26 17:29:57 2006 +0000

    use pf_mem{set,cpy} when possible

commit 3fada58d1eddf3a17434acf0e106bac0a7ac9372
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 26 17:27:16 2006 +0000

    Make the global b_can_pace_control flag public

commit ea6f725b4132d9ee338513d1cbd50d26890ce10b
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 26 17:22:54 2006 +0000

    Ah Ah

commit 93236cd63cf1c8dde138281bef097aee8976f2db
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 26 17:18:09 2006 +0000

    Remove printf

commit cf525b7194767acb09727d2007b4a1a0085cd4a7
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 26 16:37:06 2006 +0000

    First and probably only attempt at fixing os x interface :)

commit d1947759256e9a3b46c685663525ebf5270f81fb
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 26 16:28:50 2006 +0000

    svn:ignore

commit 42b8c573fecc5748cee38272327f5658c689c797
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 26 16:26:44 2006 +0000

    Pwet pwet

commit 1afa10099843ddfe068ee747047442849c8d6ffa
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 26 16:26:34 2006 +0000

    svn:ignore

commit 047df8f7f4c0dad6656aedfa191cabd6dce83151
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 26 16:26:09 2006 +0000

    svn:ignore

commit d61447f8e3faeae6c1b19b5e3b1a57db92efdfac
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 26 16:25:07 2006 +0000

    svn:ignore

commit 50459be7c8d97e3afb3df8236f5f9ac84be2d418
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 26 16:11:28 2006 +0000

    Fix dbus compilation

commit ea82a404e991564ff7eb41929b2c1d912d347d1a
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 26 16:01:31 2006 +0000

    Nicer commits, faster breaking time and better-looking headers
    That's not just the vlc service, thats *your* vlc service !
    So remember the new number ! 0118 999 881 999 119 725...3

commit a29a4e2e57c454027d791cdd8c69948ed03643e0
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 26 15:36:01 2006 +0000

    Did I loose the count ?

commit 105e1851a7e7ead3e3fc89a084c222aa65437612
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 26 15:21:04 2006 +0000

    * Port motion blur to "video filter2".
    * Add "blur-persistant" option to use previous result instead of previous clean image for next iteration.

commit 89daefdd88a57df39cb071e4cb16046b92afa8d0
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 26 15:11:16 2006 +0000

    « En essayant continuellement on finit par réussir. Donc : plus ça rate, plus on a de chances que ça marche. »

commit 05f57ec95e1535df282146c9d0964913d1a2f6d9
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 26 14:59:36 2006 +0000

    Round 3 :)

commit ae32c1462a95890624827bd0b191046895b6526c
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 26 14:49:31 2006 +0000

    Round 2

commit 3a6b3918c3b8c2ef6b0bc0c2a8216f846b2dc176
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 26 14:39:39 2006 +0000

    Compile fixes, round 1

commit d3fe7f28797d4dba65ffcdd60bf932e758a48a9e
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 26 14:20:34 2006 +0000

    A bit of headers cleanup
    
    * Headers in include must contain the structures and prototypes needed
      by the plugins and should be named vlc_*.
    * Headers in include/vlc must contain the structures and prototypes
      needed by external libvlc clients
    
    * Moved and renamed some things in headers.
       - Removed vlc_cpu.h, vlc_error.h (merged in vlc_common)
       - Removed snapshot.h (merged in vlc_vout.h)
       - Removed vlc_spu.h (merged in vlc_osd.h)
       - Removed intf_eject.h and vlc_interaction.h (merged in vlc_interface)
       - Moved all internal headers to src
       - Merged vlc_video.h and video_output.h and move private things to src
       - Removed vlc/intf.h, vlc/aout.h, vlc/vout.h, vlc/decoder.h and vlc/input.h
         (meta headers for use in modules, and often implying too large
         dependencies)
    * Removed some useless dependencies
    * Unexported a bunch of functions and structures used only in src/
      (--> Still some work here)
    * Finally made input_thread_t and input_source_t (mostly) private.
      Added input_GetItem to fetch the input_item of an input_thread
    * Cleaned up deprecated entries in vlc_symbols.h and bumped up symbol
      prefix
    
    This commit has a 99% probability of breaking the build, 0.1% of killing
    your cat and 0% of getting you hot chicks.

commit 720fac7f5abf939fa7d1eb7c5ec816ec523ac10a
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 26 06:18:25 2006 +0000

    Fixes order of operands in a substraction.
    courmisch, you make too much, it's time to have a rest

commit 33cae44285f2b67f366bb45df46f50a5063a3114
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 25 22:38:49 2006 +0000

    Fixes cross compilation of libgcrypt on MacOSX

commit 7237e4e4a92018e22078ede81cb157c72de0eae7
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 25 18:51:11 2006 +0000

    Remove leftover FIXME

commit f05163dc9723d8dfb1c86c7fb178914ff86110b0
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 25 16:19:30 2006 +0000

    Split Win32 performance timer frequency adjustment division carefully
    in two halves to avoid integer overflows after 29 days.

commit 0d2e22a5410b19b3206b575359cbe56c54a1d3fb
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 25 16:06:33 2006 +0000

    Compile fix

commit 03bccb3e4d7d53f6d83c3ad942760321822a8166
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 25 15:42:36 2006 +0000

    Fix very unlikely race condition

commit 2f7f70b37fe512a140cdeb6237ca242942fd8448
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 25 15:38:10 2006 +0000

    Factorize mwait() code,
    except for POSIX timers case, which is currently the only natively absolute
    timers implementation on LibVLC.

commit 61d872f559ebffc1a4e0768a77d3631523c60d71
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 25 15:07:40 2006 +0000

    Add note for FreeBSD 4

commit 9ca47af17d757cb69c87cd1dece56db2c65732b1
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 25 14:49:31 2006 +0000

    update-po again (cheap one!)

commit 4dfdeb4a1a2929b6db5d740f9184b4f7b0306f6a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 25 14:38:54 2006 +0000

    Use utf8 directory wrappers

commit 9f30d0acf049cccdc34b7992f6b3298f5fd0ba1d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 25 14:19:50 2006 +0000

    Non-libtool fix attempt

commit 424681e5dc7cf19bde9ed5512e4e3a1e51799610
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 25 14:10:59 2006 +0000

    Skins2 theme loader:
     - use utf8_(read|open)dir
     - do not assume that stat() succeeds (tiny race condition)

commit 6491b05b4e09cdc01ce32402f4ea91e4057b766b
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 25 13:38:09 2006 +0000

    Fix a few warnings and remove extra white spaces

commit 03e6fec230ec47add31cc2483434a1dee377c3aa
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 25 13:25:03 2006 +0000

    mkv: use (open|read)dir wrappers

commit 9abfe146a198130fd925be47bcd7e84c98ac82d3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 25 13:24:40 2006 +0000

    Fix precompiler warning

commit 4d49ad699140c0059fd8104a4d966f48fa84bb14
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Nov 25 12:56:51 2006 +0000

    * added numerous casts to silence compilation warnings introduced with const chars in module_config_t. still needs severe testing on other Macs.

commit 721f2cb11ea8b7865267b139aa6bb3ea6ae6d93e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 25 11:25:45 2006 +0000

    Try to fix linking

commit 9917621417b2f17a504f0bb1b567d965d95b8732
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Nov 25 11:15:25 2006 +0000

    Add puzzle to the news

commit 2f68055094e8d77611774e5c2ec1bcfadc9c592e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 25 09:59:49 2006 +0000

    Attempt to use wide directory indexing on Win32
    Might break stuff, but I cannot test much because of DBus vs Win32 breakage(!)

commit 63883f0c2f583996e34845345c3f536e5912627c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 25 09:50:25 2006 +0000

    Temporarily fix Win32 at the expense of IPv6 SSM

commit f6771081b8cebbe095fb3125d9d56d10213d9ad0
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 25 09:47:40 2006 +0000

    Fix Win32 compilation warning

commit 853edfd0ea8f134b390028892f96f82da58de60d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 25 09:11:20 2006 +0000

    Don't export externally unused symbols

commit 4df95cf6ca743087556c6dc14ede5b46ccd8f53a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 25 09:06:54 2006 +0000

    Continuation of previous commit

commit 9583fbe0872045afbadf4e822ab8881932e7c057
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 25 09:03:44 2006 +0000

    Fix invalid mix of closedir and free on Win32.

commit 4466cc4ffaa424dd4b6c19e70d7a6e886253aa5f
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Nov 25 02:22:38 2006 +0000

    * Fix an accidental change from [18009] and add a mutex destroy I forgot to commit

commit 2ff5876f175757849e55e27a09307da677d97c6c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Nov 25 02:11:57 2006 +0000

    * Fix the gnutls win32 patch
      if !defined _WIN32 should be either ifndef _WIN32 or if !defined(_WIN32)

commit 7c449e47d4e9ecf1054ad4ee18e52e065909f30d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Nov 25 02:06:52 2006 +0000

    * gnutls win32 patch breaks on non win32 builds

commit 00ba59b08b3b34f6b2d5fdf39c9cdc49cac79e07
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 24 20:43:18 2006 +0000

    We have a problem here.

commit 28c2a1ce8b600bb8423d0b1f1016bb3f168935a4
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 24 20:42:44 2006 +0000

    Remove some dead code

commit 7a689266b2bd7c332a36a95c6125102b4e1f1fa3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 24 20:33:26 2006 +0000

    Darwin compile fix

commit b7110f8e4912bb8934a4e66a72a6fcedb3383a94
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 24 20:10:36 2006 +0000

    - Port net_OpenUDP to the agnostic network core
    - and merge some ASM/SSM code

commit ef705615765e78bedf97dcdedc22858ef1bab96f
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Nov 24 19:50:37 2006 +0000

    Use LOW_DELAY only with MPEG1/2. Closes #864

commit 6aa2db7869be21144bde77387c2c2a9d48fc7c3a
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Nov 24 18:26:34 2006 +0000

    swscale is modern so with a .pc. so only test for swscale.h inside the pkg-config block.

commit 1533f6878493f79211a7efb8309e6369e944f830
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 24 17:27:39 2006 +0000

    Sync PO files to fix distcheck

commit 2cad86262f6f3c1e7d2aec08a1aa8f1a1015f413
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 24 16:35:23 2006 +0000

    platform check -> feature check

commit f4d4898c075b1f65e8f91dcb827d06f385262e2d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 24 15:46:43 2006 +0000

    Factorize HTTPd error messages

commit 9ad4af7c881e8ebbc5d6127a48e54c9514b133df
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 24 15:16:18 2006 +0000

    Const fixes

commit 6f1095eb49a731f39aa89856815ba06745af6210
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 23 16:06:13 2006 +0000

    * destroy some mutex'es once in a while to prevent memleaks. Suggested by a forumuser, name pending.

commit 19bd050ae72ccda43b47464278136c3163e29068
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Thu Nov 23 15:25:35 2006 +0000

    - compile fix

commit 6cecc60ac189cb7ec6726320908851413f27f7e6
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 23 15:20:06 2006 +0000

    * Fix playlist play of mp4 ref files.

commit fbe63757e1d860824f643b78bdb67f235073a0d3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 23 14:57:19 2006 +0000

    Remove extra annoying deps

commit eee67efd0325fe48bb4b082cb27a69a887e4a36b
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 23 14:01:56 2006 +0000

    Don't clean contribs

commit f15e3d7d656dbea29926b7c72092c1c84f0eb212
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 23 13:37:45 2006 +0000

    Qt4: This would be better. And should now be fine.

commit f7166b8bd7a46cdd8175fbe4169f5162f287f74d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 23 13:33:05 2006 +0000

    Qt4: forgotten files in parent directory. Sorry!

commit acd82620b3ccd68388239e108e32a159b25d5974
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 23 13:12:31 2006 +0000

    Qt4 : Rename streaminfo => mediainfo

commit 06b826ba7f0406f3126dec0bddfbbbd7dfc56dc4
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Thu Nov 23 12:32:57 2006 +0000

    activex: make CATID redefinitions static & private to avoid symbol conflicts

commit 14c730976ce1784e0c3504242b5362ed7f8ce5e9
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 23 12:07:54 2006 +0000

    Remove dead code

commit a1fe3a136a419d8fc99c4f7439a879d2e9e081a1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 23 11:59:39 2006 +0000

    Qt4 : Various changes especially about StreamInfo => MediaInfo

commit 2ddfa868b5c8cdc1a5ef9396b8577ad0523cb7b3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 23 11:52:11 2006 +0000

    Check for error (not that I expect one)

commit e106ff309866ceb88017f49df0a362afce55db65
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 23 11:48:32 2006 +0000

    Try to use dual-stack when needed, and warn user if it failed.

commit d17cf7bf4f491aae769bed12c0efa9308108252d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 23 11:22:15 2006 +0000

    If there is no local neither remote endpoint, default to listening

commit b0dafd61f7f865155bde7d518a9349453181b119
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 23 11:21:29 2006 +0000

    Suppress the v6only kludge

commit aa49a989d1957f5b198886c5a7ce0b617d5eca99
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 23 11:12:49 2006 +0000

    Use net_ListenUDP1 and net_ConnectUDP when possible

commit 3c0cdc7975790622cde033ca81b7ca9508c70fc6
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Thu Nov 23 11:10:15 2006 +0000

    - latest mingw headers removed some category definitions

commit 0c32d8532c713f1029af37f265fa0c66d9ec2f34
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 23 10:04:48 2006 +0000

    Fix plugin cache - close #860

commit 94a2201cb2627bf677d341333af20dab540c3b38
Author: Marian Durkovic <md@videolan.org>
Date:   Thu Nov 23 09:44:39 2006 +0000

    Compile fix

commit bea071185469b6536ae344df06f18cd6584bf68d
Author: Marian Durkovic <md@videolan.org>
Date:   Thu Nov 23 09:21:16 2006 +0000

    Completely replace all ANSI CP dependend mb_str()
    with mb_str(wxConvUTF8)

commit d8674c50bfc543608b99b76ec910b5fb489b337d
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 22 23:25:15 2006 +0000

    Ignore gai_strerror check on win32.
    Should be fixed at configure stage

commit 04d2e753785590249713ef9f6a45326a06c020cb
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 22 22:57:07 2006 +0000

    add a check to lrintf for systems that define it in libm

commit c2725e1ee4c63cd2f186ccf10f0c002b25090095
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Nov 22 22:51:54 2006 +0000

    Adapt to the new config_item_t.

commit c22b45294c9ffdd2ba2965e95c298e87b0502b7a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 22 22:09:59 2006 +0000

    SONAME change. Muahahahahahahahahahahahahahahahahahahahahahahahahahahahahahah!
    (vlc 0.9.0 is definitely not going to be ABI-compatible with 0.8.6).

commit 6b836bf7b57f23d260c4c8904c346878c247642c
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 22 22:06:26 2006 +0000

    Updates tremor patch

commit b2b33745bffcff9c16aa8c1dd55fa3809fe41a01
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 22 22:05:58 2006 +0000

    Increase ABI revision

commit 72fd0ad449240aaadcede9c9a810d4d72d567f7d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 22 22:00:21 2006 +0000

    Don't try IPv6 SSM if not defined

commit e9d7d37ca0a9c62ad5998d2ce12a02438bcc3a2b
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 22 21:58:42 2006 +0000

    Read configuration file in a single pass (instead of one per module).
    (I get about hundred time faster config load here, but right, there are
     much slower operations in libvlc startup anyway
     -- and the plugin cache breakage is not going to help).

commit 0737693098b2f1deda50703dfb0b1636def758e4
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Nov 22 21:27:50 2006 +0000

    * enable GCC99 compatiblity for ObjC code

commit 909cfe7cc64e598fc06c235fa06eb46ce101f61d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Nov 22 21:26:21 2006 +0000

    * compilation fixes to address courmisch's API changes. need massive testing and more fixes to handle various strings

commit 1affc74d28708348e3aaa466f0fd6b62310bc7a2
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Nov 22 21:02:28 2006 +0000

    Add libraw1394 and libcd1394 to the contrib build system. The libraries are needed for DV support.

commit c0c771beeaac57f82ca1bb0d2a91b82a4b98a9fb
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 22 20:42:25 2006 +0000

    Factorize code to open configuration file

commit e219a0855762a9c0f6f28532d8c60ee2095142a9
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 22 20:00:19 2006 +0000

    Move encoding and language stuff to their own directory

commit 218990780ed565d4f2ccf5a424e3abce11a84db0
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 22 19:50:58 2006 +0000

    int16_t needs <inttypes.h>. Should fix FreeBSD unhapiness with addPCM().

commit cd8a7d210eb8c1073bf6cd6a91df990cceed1013
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 22 19:38:16 2006 +0000

    Never use empty help text for plugin variable - close #859

commit e7bbecabddc51d1bfa61d34ca5ba0a2f1244e4a4
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 22 18:56:16 2006 +0000

    Use correct patch syntax

commit 7616ec41f68eb0e06aa176772dc4c35976c41dee
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 22 18:56:13 2006 +0000

    Fix warning

commit 56e063c9066ba8b5f5fd25fb9483d4119c36cd2f
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 22 18:53:17 2006 +0000

    Qt4 compilation fix

commit 93ec3e577095aee012432b84cb1ee11163b1050c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 22 18:42:57 2006 +0000

    Partial compilation fix

commit fcf496027b7cdcf975e8d4fe98acae2663d7a587
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 22 18:15:56 2006 +0000

    - Fix today's regression in plugin cache
    - Fix one more old crasher in the plugin cache loader

commit a053437da963d1dd9fe2ee640e42d1b5130c27b3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 22 18:11:07 2006 +0000

    Work around for core target

commit 45a65d46267b0bd074044e67d86a91c314b7223a
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Wed Nov 22 17:45:58 2006 +0000

    vlc.win32.nsi.in: Remove whitespace.

commit 00b8684e7d9f9401cf1fdc73062626f47ffb0f83
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 22 17:40:47 2006 +0000

    Fix module entry error handling

commit 8dcd943c03cf3c621aaa22cff4c7b24f39249f4d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 22 17:35:08 2006 +0000

    Fix warning

commit 92290c9d7485934444efcfbb61c27f3bc94a61d3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 22 17:13:24 2006 +0000

    Attempt to fix C++ compilation

commit 51ae5f27fa4722e50d6d2ce15e50944261e1cfc2
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 22 16:06:15 2006 +0000

    Fix a bunch of old crashers in the plugin cache

commit b66d681ac20f49f2ed4c52a7c35fac83f7114406
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 22 15:50:29 2006 +0000

    A more space conservative module_config_t

commit 879312dbed4417ed5e08d20178f1ade68475e453
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 22 15:49:35 2006 +0000

    svn:ignore

commit 4bdc0be290317560ef4733521805cc3031eb5bef
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 22 13:28:40 2006 +0000

    Code simplification

commit 9ff4e8e74ec27bc2434c7b0b8b2641839ca92d2c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 22 13:14:17 2006 +0000

    - Fix compiler warning
    - Fix directory separator on Windows
    - Some cleanup

commit d5caf653096b7864a1298f82119572b397ebb8a1
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Wed Nov 22 13:10:57 2006 +0000

    - fix for locale SUBLANG definitions which conflicts with mingw headers

commit ec12def87344b1712c263974a9978d5ea8246d39
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 22 13:04:00 2006 +0000

    Fix libvlc.la dependencies

commit 04d60a3e9038967d6580f1962ff8e61d407d6169
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 22 12:57:04 2006 +0000

    Generate libvlc.sym separately from vlc_symbols.h

commit 3ebd0d5b746998045e4651822c7bbe78e66967cc
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Wed Nov 22 12:48:17 2006 +0000

    - better fix for DIR typedef error

commit acaff8c82f059724ddbbcd29a9a61c097211abdc
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Wed Nov 22 11:41:59 2006 +0000

    it is good pratice to specify headers that define custom types

commit af91d7b522d2119f0aa9ebb198d626ee668a1fe3
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Nov 22 11:30:30 2006 +0000

    io.h on mingw contains a bunch of old functions *for compatibility* which break with the way we deine close at closesocket. So disable all those old stuff.

commit 3cff68a4f1fb8e75fdffac74b3d43e13bd108843
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Nov 21 23:08:31 2006 +0000

    Disable building rtcp stream output module for now.

commit 59c76196d7a4189c3a5cc837871dff538ba8f715
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Tue Nov 21 22:38:11 2006 +0000

    NEWS: Add note that Windows 9x/ME is no longer supported and include info on MSLU.

commit 300b9f27fa7ab92f11edfd709d49d381d05eeb82
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 21 22:07:45 2006 +0000

    - Save config file as UTF-8, starting with Byte-Order-Mark.
    - Leverage fputc().

commit b01009b85443c6a59cd62b567ee808b970e7669b
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 21 21:59:08 2006 +0000

    Look for Byte Order Mark (UTF-8 only) while loading config file.
    If present, assume everything is UTF-8 (obviously);
    if not, assume locale charset.

commit f45f15735b928fca485b34426ffb7b06edc7cd56
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 21 21:55:59 2006 +0000

    Some code cleanup

commit 0f7dd9f908badfd128cdcd4c83de7e395b6e86a1
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 21 21:13:42 2006 +0000

    Reenables D-Bus one instance code, without needing to modify libvlc structs
    Outputs an error and continue if D-Bus control isn't enabled on the first instance
    Removes unneeded NewInstance signal
    Closes #505

commit b12d3db747ff6444a91dfab14ed137d58b4f9577
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 21 21:05:50 2006 +0000

    Cosmetic fixes

commit 8e2481d34e8f823682ce68e222f37ce2f346c1de
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 21 20:43:47 2006 +0000

    Qt4: Small change in order to not have Sout and Stream Info open when you click on Info...

commit b8ddca0134e007d0947a090a5070d00c53e66f90
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 21 20:42:33 2006 +0000

    Return DIR from utf8_open to avoid casting bugs

commit a46cc88f28f7853368ca68841a865d55a73aa520
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 21 20:37:44 2006 +0000

    Some more cleanup

commit 9c8fe7aafd073ab50b9e708dbcfdb0278a68829a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 21 20:34:51 2006 +0000

    Do not define constant manually without platform check!
    (and even, it pretty much sucks as we have seen already)
    Should fix compilation on FreeBSD+glibc.

commit 1e8c1d91d227c0b3e8d167318c534ccb62406d96
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 21 18:44:12 2006 +0000

    Suppress duplicated msleep() code

commit edb8e5098aff9a24ab8c52f9e6c875ecb582a097
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 21 18:40:42 2006 +0000

    Fix the absolute POSIX timer and use it

commit c7357344d7e75632d9461e9ddfd42621a38bebbb
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 21 18:23:55 2006 +0000

    Fix segmentation fault at ffmpeg startup (fixes #858)

commit 90e3a296a118d0f76959cb9c7256ee04379094f7
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 21 17:08:45 2006 +0000

    Add missing header

commit 05a1f4d7b373e3743be03e4cbd21d98e787b199a
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 21 17:05:38 2006 +0000

    Don't use an infinite number of timers
    Fixes dialog size, add tooltip

commit 9bdc7906d6e862d65f2267ae8feab80d31745c32
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 21 17:04:07 2006 +0000

    Fix typo

commit 0a5bd1230338866cfb154dda20425d046f205a67
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 21 16:55:36 2006 +0000

    Fix warning, and make config_end constant

commit 5593777b3f5a3fbf9c710870646d35bf3d543cc1
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 21 16:47:14 2006 +0000

    Revert [17878], that must not be made in libvlc, but rather in vlc
    Need to get command line options in vlc.c (ref #505)

commit a3f3ad4635058ca4c8367219d9aa3fcf9ff64838
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 21 16:46:49 2006 +0000

    Fix abusive redefinition of implicit make rules

commit 957b3e9d0daf0f1c287bb6178c5e5851fd447780
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 21 16:42:07 2006 +0000

    Fix automake directory variable (actually remove superfluous definition).
    You cannot create directory variable that way and expect it to work;
    if you *actually* need a directory variable, it would have to be fooexecdir
    rather than foodir otherwise automake thinks it's a data directory.

commit b0774bb9b16e05ac60cd80ad42d2a2ff9034e92c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 21 16:39:59 2006 +0000

    Cleanup

commit 720f8276dd97fe570234958772669febc47dabba
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 21 16:34:02 2006 +0000

    Unref D-Bus connections when not using them anymore

commit 05c276b04d8ed08e049d84586afe92c557a1d4f7
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 21 15:59:50 2006 +0000

    Fixes input position display

commit 79aedbd56409f7a664f8fb4fb122fbda29bd6cfc
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 21 15:58:36 2006 +0000

    Revert [17900] as it doesn't harm to specify --target

commit 84e8490d4ac6056ce1e7172bc4cd4c2a4ce76c62
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 21 15:54:38 2006 +0000

    Fixes, kill, and bury #857

commit 482eca7cb90fe618e451075cdf603a0dc823dd20
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 21 14:33:31 2006 +0000

    Uses dbus flags to build libvlc (fixes #857)

commit 7930c1b31a196cad6faca4f4e5d0dd18838073ea
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 21 14:31:01 2006 +0000

    Implement input position control

commit e7bcc6803fe92f02df716b748ba0d766366e7352
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 21 12:46:06 2006 +0000

    Revert broken [17908:17910]

commit 8808f2f00382381aee410f4b6af310920fe3f217
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 21 12:06:37 2006 +0000

    Implement Volume control

commit 4d243c1d7853c7021befe5edd0ac4e051193ae8a
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Nov 21 10:46:12 2006 +0000

    Rewrote internal RTCP to support multiple client connections. TODO: rtcp scheduling function, server socket, hooking it up with RTP stream_out connections.

commit cec120d523341b08cdc3cba2674fb014f9e99a49
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 21 10:26:29 2006 +0000

    Use only wide char functions, on win9x too
    win9x testers, raise your hand

commit 3d1a131f61ce2c52997128178a55f708e10ca793
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 21 06:26:41 2006 +0000

    Use non wide char functions on windows 9x

commit 08936b3bbeae3b93615fa665683c540de4eb8d23
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 21 05:58:55 2006 +0000

    Unicode support in directory access on windows. Patch by xxcv. Untested.

commit e77b5163a51dde46815bea3ae41537525498d4c4
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 21 05:40:58 2006 +0000

    Correct method signature

commit 2d6d64d40eaed29224bead936f613e8461977c04
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 21 03:53:22 2006 +0000

    Debug messages shouldn't be shown with printf

commit 4eb6e55cb2fa3828da9bc5d6b3ac2dbea15099bf
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 21 02:20:46 2006 +0000

    *Qt4-Open: Hide by defaults.

commit f709d3f8ce4069ecd23b10b1275de6041b4856f8
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 21 02:15:09 2006 +0000

    Removes vorbis header since taglib isn't used to parse ogg vorbis meta data at the moment

commit f68dfa08da0e45f39656ddaeb92cc7df95c4854d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 21 02:15:04 2006 +0000

    Qt4: ExtraAudioToggle

commit a4d92cb2e25036d610a9513b9265d33828e5092a
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 21 02:13:48 2006 +0000

    Corrects indentation

commit d96a4490ce83b79abd9d4cce9bfb471c0d585bfb
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 21 01:57:47 2006 +0000

    Artist, Album and Track musicbrainz IDs detection

commit 81ace57188169791269a0378b1b1a64ec761295f
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 21 01:00:38 2006 +0000

    --target is only used when building a compiler

commit 8d7b5884edb1fe5d02e914ebda06a1adca19e09a
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Nov 20 22:16:35 2006 +0000

    Add a flag for config option to mark it as unsaveable. Refs #856 (Still need to test on a win box).

commit c059148cac128999e0bda54c98f78aa1e6a39bb0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 20 19:38:21 2006 +0000

    Qt4: Just a toggle test for the advanced Panel.

commit 24c3c1a33ff534b42d9030d3d50a33a83253dfa7
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Mon Nov 20 15:22:37 2006 +0000

    oops, tab expansion is a bad thing on Makefile

commit 25b118dd94795c8e28e03ac88da3662c5e66692a
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Mon Nov 20 15:16:54 2006 +0000

    contribs: force --target, --build and --host whether cross compiling or not to get around some configure script bugs

commit 3251bacd0f9346db8e8940514e77e92c08d3f433
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 20 10:34:33 2006 +0000

    Add dbus-vlc.py to dist

commit 133e47d14379c2be5de4812d85e847967fbde303
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 20 10:22:50 2006 +0000

    Include sample D-Bus controller

commit 12225395399fe67fffe642fb23993ac13bbb9bc6
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Nov 20 10:03:22 2006 +0000

    Include xvmc plugin in the build system

commit b0845c6ea2ad40bf7f469f70cb81997de14534c9
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 20 09:21:33 2006 +0000

    Uses playlist facilities
    Doesn't lock the playlist if unneeded

commit 9a6ee7237a4b15cbe9809d7e3be8f9f6e225da41
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 20 06:41:52 2006 +0000

    Filters '/' characters in tags, to create valid filenames

commit d223913f0ab1f9408ddb9e84f2ba2c240e6d49fd
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 20 05:28:45 2006 +0000

    Updates old documentation a bit

commit f94dbb3eaeef0ca764fe9cd029da79cab45be7ca
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Mon Nov 20 05:09:23 2006 +0000

    * Quick fix when transcoding and resampling mono audio tracks.
    * The transcode module should be reviewed: all the the fields in p
    _enc->fmt_in are not set, it seems

commit 6a42724746cf15ac038540451a04f62bca3b5629
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 20 04:49:59 2006 +0000

    Ignore empty vorbis comments (closes #704)
    Comment unusued artist & album musicbrainz ids

commit a743fab8519640d289eddf2bf3c5df932d5ba24a
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 20 03:54:23 2006 +0000

    Fixes broken D-Bus detection
    Thanks to Daniel Stränger

commit 058bc838a6d24a2ed355a0b818fd504c96549de9
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 20 03:53:22 2006 +0000

    Remove Audio cds and their tracks at ejection
    Detect audio and video on CD-R and DVD-R mediums

commit aad95f66de8caf1b20bcf2c39709c3b314efaf9b
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 20 02:39:32 2006 +0000

    Wxwidgets playlist fix

commit 75c86db7cdc5a32b337aebbba77f0c9fefba9bd8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 20 01:52:35 2006 +0000

    * Qt4: added network and disk UIs to Open
    
    Still not functionnal and ugly code.

commit 4b9be2f78e6a1884d4c9fec790abbe7533cdbf83
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sun Nov 19 23:18:13 2006 +0000

    Make update-po

commit 89fafa9a57ce304fcecc3b77c7a669240cf9ab7e
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sun Nov 19 23:07:33 2006 +0000

    i18n fixes

commit 213f7a989174eae6070595cbb5565b3a40b8c8f8
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 19 22:48:48 2006 +0000

    removes already done "todo"

commit ade91b27959ceb6396e95477f6b35e41a4f2926d
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 19 22:46:25 2006 +0000

    Initial support of one instance mode on systems running D-Bus

commit 6443ce82795740d8d778affa5e190a718663ea56
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Nov 19 22:22:14 2006 +0000

    * Don't Warn on VP62 video in NSV. It's supported now, so no need to print useless info about it.

commit 33e36e85b384903860162912c2ff12b1e81afc47
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Nov 19 22:05:53 2006 +0000

    * Fix shoutcast SD Delete. playlist is not locked.

commit 9c96cd8925477fa369f0b0d1f8dbfeaa022b2550
Author: Pavlov Konstantin <thresh@videolan.org>
Date:   Sun Nov 19 21:51:02 2006 +0000

    added normal looking playlist icon (converted to png from wx module)

commit 38ebd66f92090b1b7403137dda38b08ede9ed1ac
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Nov 19 21:44:16 2006 +0000

    * Fix OSX GUI after playlist API update

commit 750ec8a01ef0fe940cf1cceb19d9fe6cb0f18e3b
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Nov 19 21:34:01 2006 +0000

    * subtitle.c: const warning fixes

commit e55c4747a48eeb906f97f6b8d232c2ec25bc27e9
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Nov 19 21:28:10 2006 +0000

    * Fix CDDA module after playlist API updates
    * + a const fix

commit 01dee6cea8ed65b24810e90631689ae97e02b669
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 19 18:04:00 2006 +0000

    Use appropriate help text.

commit fc2c2f412ac7a087efc4e59d4616a2901605dc53
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 19 17:57:55 2006 +0000

    * configure.ac: when we use the packed attribute we really mean it so don't output useless compilation warnings.

commit 375920365554d46e9dba43106722648d37598621
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sun Nov 19 17:03:59 2006 +0000

    * src/control/playlist.c: Fix typo vlc_mutex_unlokc -> vlc_mutex_unlock

commit 638c59db01fa49450fd87037ae2972ce71a660a7
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 19 16:34:09 2006 +0000

    Reenables device probe header

commit 5a989669c617078efd638d0a4edd3d51d929a349
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 19 16:12:43 2006 +0000

    Input options inheritance in directory access (Closes:#353)

commit 9fa2642c44cc79793530eda5ab44c03c6ab47d46
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 19 16:09:16 2006 +0000

    Fixes wxwidgets compilation

commit d732fd2fa33755a75aed8a560efab68a183f0d75
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 19 15:54:44 2006 +0000

    Beginning of implementation of art fetch when played

commit 420d5f170e9ff667e2a218ebb86eb9d7e4d9aa61
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 19 14:37:04 2006 +0000

    * Documentation belongs to the .h, step 1
    * Unexported a few internal functions
      (playlist_ItemDelete, playlist_ThreadCreate, playlist_ThreadDestroy)
    * Remove playlist_AddSDModules and merge its features into ServicesDiscoveryAdd
    * Fix a bug in signaling of node destruction (fixes Qt source selector assertion failures)
    * Disable unused generic devices probe code

commit b60d207ba59e04e151d8144be7dfa00ec77904a2
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sun Nov 19 14:34:36 2006 +0000

    * vlc.win32.nsi.in: Add shortcuts in seperate Utilities menu through the installer for easy access to main aout, vout and intf switches. Add NEWS.txt as Release Notes.

commit 4bdf68b034c871c37d27e9274da2d8068be5a5ad
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 19 14:04:06 2006 +0000

    Small doxygen doc fix (i hope)

commit 38b815953cd52fe7df5d94c06e06e63e286646a7
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 19 13:33:27 2006 +0000

    Compile fix

commit 0900f11014557ea895a290d2c1518d739f97a8b6
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 19 13:20:02 2006 +0000

    Finish the playlist API transition (hopefully)
     - Remove a bunch of transition now-useless API.
     - Remove all playlist_Lock* functions. Matching functions now accept a
       b_locked parameter that should be set to VLC_TRUE if the playlist is
       locked when calling the function. The advantages are that it reduces
       the API bloat and that the b_locked flag can be propagated in the
       call stack
     - Remove useless playlist testsuite
     - Remove broken daap plugin (unmaintained wrt VLC API changes, relies on
       an unmaintained library, probably unable to read content from new itunes,
       ...). Implementations exist in rhythmbox, xmms2 and
       daap-sharp, we should see if a proper lib exists or if we could
       make one
     - Reduce verbosity a bit
     - Documentation

commit a54f78686f8d800851b4ca51add91f16c71df645
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 19 03:43:32 2006 +0000

    Adds GetPlayingItem method
    Fixes Quit method
    Fixes TogglePause method

commit 69f569fc366ce8c87858ab67c29652821efa45ef
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 18 23:12:45 2006 +0000

    svn:propedit Id

commit b8ccb9cd99185864b78e45aa43ec7408020afa14
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 18 22:19:40 2006 +0000

    Add Next, Prev, and Stop methods

commit dcd116ad9cf88a0b9d1af5f7b541acea2db5a910
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 18 20:32:12 2006 +0000

    Add missing </method> tag

commit c3a79834086bf4670417ec690e7172beb00c3d34
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 18 20:26:51 2006 +0000

    Added quit method

commit 8c7506a011174bcb33ec74ae0091c01c51dee574
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Nov 18 19:38:40 2006 +0000

    * Don't use deprecated functions if libswscaler is present.
      - Note that these are not all replaced atm, so some functionality might be lacking
    * Make the minimum version of libavcodec version 5000 (september 2005).
      - Removed all the checks for previous API versions.

commit 147753f60c5ba3b97d4d16e1f7c9a167731e25ca
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 18 18:37:45 2006 +0000

    Initial support of D-Bus based control interface

commit a965899359c86f75b0a8c18365a7ea24a16b85b7
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Nov 18 13:20:29 2006 +0000

    Oups chnage that in [17846] by mistake

commit a2a2596a705161ddcb7c974e10cc36ea996d0c45
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sat Nov 18 10:49:53 2006 +0000

    fix for java bindings native files makefile

commit 28f8f9433f4dfb207a58d8126e8eff5ffd6566a0
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Nov 18 01:46:32 2006 +0000

    Acording to the latest test wxwidgets in unicode mode works better

commit ab8576a4c9bab86f7a09f1ab1f96324d2cae4df6
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Nov 18 01:32:26 2006 +0000

    Fix the alignment issue in ffmpeg. Based on patch by Thorsten Jordan. Almost closes #757. Forwardport of [17595]

commit 139a3929d996db28a1994b7a6a4f1bd2a7af9a6b
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sat Nov 18 00:47:23 2006 +0000

    jvlcpanel constructor added

commit 0f857561640bc81519df6d316b4aab748d202a41
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sat Nov 18 00:00:08 2006 +0000

    libvlc_playlist_add enabled

commit e1b9b4dafb0b99724435c86e64be2c7593899b0e
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Nov 17 23:59:37 2006 +0000

    * Update ffmpeg contrib

commit 39b7c3aaa034f89c68e57e528a6f8d1b401c6ce6
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Nov 17 23:34:45 2006 +0000

    * Fix ffmpeg include's

commit 5b173c09d06dd1587948319dd5e96a6ab8fe23fb
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Nov 17 22:52:24 2006 +0000

    * Other way around of course

commit 34db09b82dff72ee6ea72c25ce40926c224726b7
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Nov 17 22:40:45 2006 +0000

    * Disable swscale if we don't have it installed

commit 925e40a3e30df91f365eaca8b28c0b72639842d3
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Nov 17 22:18:44 2006 +0000

    * Remove the old swscale files, and use the newer libswscale from ffmpeg.
      Untested and likely to break stuff

commit 3a2462f647351fd9c87baaa4ac59d709eb61ed53
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 17 19:48:24 2006 +0000

    Forbid concurrent libnotify calls in multiple threads
    (Fixes #848)

commit 7e817c515abc0d110a86146698d82a19281126b2
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 17 17:25:38 2006 +0000

    typo

commit fafd568af791c1270543b72daf9e893b0d832870
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 17 16:57:04 2006 +0000

    Should fix API compatibility with HAL 0.5.0

commit 952d3486c2cfdea0c68553368cd19f1471c16029
Author: Mark Moriarty <markfm@videolan.org>
Date:   Fri Nov 17 02:15:07 2006 +0000

    Revert wxwidgets.hpp change -- problem appears to have been that gui/wxwidgets had been getting built against non-Unicode lib.

commit cd0a67724097315244f37aca1886d61ae5dbceca
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 17 00:32:48 2006 +0000

    Removes broken D-Bus version check
    HAVE_LIBHAL_1 means hal >= 0.5.0, which means dbus >= 0.3.0, which means HAVE_DBUS_1 and it has all required APIs

commit bb2c1996dd031b127567c2cdc62e1f07c0a03bbf
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 16 23:56:47 2006 +0000

    * forwardport [17824] WAVPACK and TTA in matroska

commit f2fe0dac250da17373980dc531c31a2a0374380f
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 16 23:54:55 2006 +0000

    * Forgot to commit the paranoia changes in the cddax module. see [17804]
      Patch by Patrick McLean <chutzpah at gentoo d0t org>

commit f793c0831e322c98e1529f907d03e7e58558b1ea
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 16 23:45:52 2006 +0000

    * Forwardport [17820] and [17823]. Live contrib compile fixes.

commit 94a01b814371bd263d446f48075df8c815a3eaa7
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Thu Nov 16 23:03:14 2006 +0000

    Make java bindings compile with libtool

commit 8d8e8f1cfce45eb7dbe2c346f6ee57e5178647dd
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 16 19:13:49 2006 +0000

    Fix local port number for multicast receival

commit d32fd7e1dce9518870be49628bd7b17a4f74835f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 16 14:15:36 2006 +0000

    pfff... Fortunes.

commit ce6d823658ee66cbe9fad22517009da89b55664b
Author: Marian Durkovic <md@videolan.org>
Date:   Thu Nov 16 13:41:17 2006 +0000

    Fix detection of FreeBSD version (the previous one doesn't seem to work)

commit 1cbc005bd347d6d9e72018608f70dbfb2068662a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 16 03:15:54 2006 +0000

    * Qt4: Display open dialog. Not yet functionnable.
    Sesame...

commit bd09462a27daa38bb255139eaca743ae24c8a689
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 16 02:39:48 2006 +0000

    Changes on live555 make MacOS-X patch fail in extras/contrib.
    This should repair NB.

commit 1b9fc13769a259169aa3c2f9400c80c2d5241b0d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 16 01:24:37 2006 +0000

    * Update version of libcdio. 0.78.2 is now the req. version
      Patch by Patrick McLean <chutzpah at gentoo d0t org>
    
      contrib update by me

commit 5d880fa8f6ff3854b24bf2dcd8eb1ee5bb0b545d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 16 00:58:47 2006 +0000

    * forwardport [17800]
      Before creating symlinks, make sure the actual binaries are installed. patch by Diego Petteno

commit cbed01df85cead6ec85bfeb9950298a2b97018a9
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 16 00:56:40 2006 +0000

    * VLC now requires libmatroska 0.7.7 because from then the libs are pic enabled.
      (no longer use libmatroska_pic ebml_pic)
      Patch by Diego Petteno, +additions by me.

commit 86247ba13dce74cb6a98b7b6e5ed57aba697be10
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 15 23:00:44 2006 +0000

    * LDLFAGS -> LDFLAGS

commit 29139a21cc72a9008f63f7b6f90c7ab77e15eb43
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 15 22:59:58 2006 +0000

    * CFAGS -> CFLAGS

commit 4167ffe3ee2f58564b1971ea19f028dd2bd41c82
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 15 22:12:32 2006 +0000

    Fixes devices removal, and crash on exit

commit 16093d941c54bf45a447e1157c96eb0c61813687
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 15 21:44:18 2006 +0000

    Manages hot ejection of devices
    Uses hal callbacks instead of pure D-Bus monitoring
    Uses HAL >= 0.5.0 only if D-Bus >= 0.9.2 is present
    (refs #99)

commit 772fa346a8229fcb4ed6aa7124783032964294bb
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 15 20:09:15 2006 +0000

    forwardport [17791]:
    * libc.c: Also define the lldiv function itself on FreeBSD < 5 refs #840

commit 1694eb692b04b492aa05c69fe2bdabc15854f063
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 15 19:36:26 2006 +0000

    Fix typo

commit 95db5344b35ef0d45271614b3dbd0f5a972b68f0
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 15 19:35:59 2006 +0000

    Use lldiv replacement on FreeBSD < 5.0 (fixes #840)

commit 5cb9c9d9b54f9481e14019618a35046a54d176d4
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Wed Nov 15 14:14:55 2006 +0000

    python/bindings/vlc_object.c: complete vlc_object_find parameters

commit c2d31f450ee2f282e36d18f12fe19c4f3352e050
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Wed Nov 15 14:13:44 2006 +0000

    python/bindings/setup.py: fix python binding building (ref. r17640)

commit 989bdaf62beb3c53deff9a5f15ef98dd644c3519
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 15 13:59:29 2006 +0000

    Update slovenian translation

commit 500d3e3b38cb7b0b3293d8c8c9df52c1d483c295
Author: Mark Moriarty <markfm@videolan.org>
Date:   Wed Nov 15 12:58:20 2006 +0000

    Attempt to fix wxwidgets file open and Messages display.

commit 73d74a1bdc3c426719de53f79ec3b18772ca6640
Author: Marian Durkovic <md@videolan.org>
Date:   Wed Nov 15 11:28:39 2006 +0000

    some news

commit 7467b74ca3b0396ae8baa2939256074d32d04a3d
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Wed Nov 15 08:45:28 2006 +0000

    Don't create Makefile.in in bindings/java/src

commit 1d330ec524b06c70970c0c370f768e2abe97c832
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 14 23:29:28 2006 +0000

    Adds real-time device adding (not removal yet)
    Don't add data DVDs when possible
    Only uses D-Bus code if version >= 0.9.2
    (refs #99)

commit f55fe3839d0008fc7de9cc1024ee518eb56706a4
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Nov 14 21:59:26 2006 +0000

    * Use utf8_open for the .bin vcdimage file
    * Try .bin when opening a .cue, instead of trying the filename in the .cue (it's usually wrong).
      When the .bin filename fails, then look into the .cue file for a possible alternate name.
    * Don't crash on non-existing cuefile's
    
    I would like to backport some of this, but 0.8.6 doesn't have utf8_open, so I need to see what i'm gonna do with that.

commit c4ba4c75ca7394f1f70c38581f2a58e362912be2
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Tue Nov 14 21:47:05 2006 +0000

    use libtool to compile java bindings. needs a cleanup (also thanks to megabug)

commit 4d3b55e41221c13d306e82cbcf3d0af806debdf2
Author: Pavlov Konstantin <thresh@videolan.org>
Date:   Tue Nov 14 21:22:28 2006 +0000

    This should fix beos linking problem

commit 81f3d9da78a62cc2a00dde3abf63142546ca2702
Author: Pavlov Konstantin <thresh@videolan.org>
Date:   Tue Nov 14 17:54:10 2006 +0000

    qt4: i really like readable debug output

commit f49d85712b344182c6e4bae359bebc8b4360c737
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 14 16:53:51 2006 +0000

    Clean up and avoid leak in sap decompression

commit 6154f386d654a5e60746f9e1ddef93166cced11f
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 14 16:23:27 2006 +0000

    Returns from Run() thread instead of sleeping eternally

commit 28a1f4c6267a8d4d8f130f367712710a694e6db1
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 14 15:52:27 2006 +0000

    Windows multicast bind kludge

commit 970cd4e80a0aa1b9ebafea65e4d915ddbcda5f71
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Nov 14 14:51:35 2006 +0000

    Fix the inclusion of extras/contrib/bin to the PATH

commit 73f6c8ba16b44ebc09b8cd68b43b82f8829b6241
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Nov 14 13:19:04 2006 +0000

    paf

commit cb0c86778982b8d25359f28c6abb112d152f9775
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Nov 14 09:53:03 2006 +0000

    Add DivX as supported filter to DShow interface.

commit 73c881f96557036a5cb17ee8a50301f5710fb89e
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Nov 14 02:11:37 2006 +0000

    * forwardport [17753]: sap sdp_t initialization
      - fix some const warnings
      - fix an "invalid" assert

commit 8599c6267fa37ac868350bdd56b89cb797c26436
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Nov 13 21:58:38 2006 +0000

    * Allow "empty" subtitle packets. These are used to "wipe" ephemer subtitles of the screen.
      Used by mp4 and 3gpp Timed Text

commit f02d5f707006cda9d09dd059780b3a3647e44519
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Nov 13 21:51:55 2006 +0000

    * ps.c: Base SET_TIME on the current byteposition. This helps seeking in VBR files. Seeking forward will no longer seek backward instead.

commit ebcd548797fa60603637f162b8871626a6f0a2be
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 13 21:14:34 2006 +0000

    Don't use D-Bus with hal < 0.5.0

commit 15de00eaf2b8be7f8d002e0385edd9467838cf58
Author: Cyril Deguet <asmax@videolan.org>
Date:   Mon Nov 13 18:24:08 2006 +0000

    * added missing -lm for plugin colorthres

commit 08b621f40b50947bdfe2886271d4a72db5ee3152
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Nov 13 17:25:26 2006 +0000

    * const char warning fix

commit d6ed3af14d4ba41b87519370a26f28f8c4ced335
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Nov 13 16:56:03 2006 +0000

    * Update wavpack libavcodec version for trunk as well. fixes #828

commit da7262d76793cf824d1b6aafc472eb84b01e5612
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 13 15:43:19 2006 +0000

    Fix another bunch of warnings

commit d5a9c50c28669e9a0ff725438ff142bdedd7e6e8
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 13 15:37:26 2006 +0000

    Fix warnings

commit a08afde81bad0c5b4982af375d6d93f0ced85c87
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 13 15:32:37 2006 +0000

    Fix some warnings

commit 14532988cfe0c2d919c136df29597153b08fe2f3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 13 15:25:50 2006 +0000

    Really fix the stat warning (tested on Mingw32)

commit bc3593fc3917ce7b081a3d23f203955274c9e2dc
Author: Marian Durkovic <md@videolan.org>
Date:   Mon Nov 13 14:14:09 2006 +0000

    Move unicode argv[] fetching into system_Init
    (before getopt_long gets the chance to reorder them)
    
    refs 830   (close requires backport)

commit d80535725e9b4ae02082d3ee27eb586f267870ca
Author: Pavlov Konstantin <thresh@videolan.org>
Date:   Mon Nov 13 11:20:42 2006 +0000

    updated russian translation, make update-po

commit bb727b7f3e315828597bcb5e45d066bc01d4a606
Author: Pavlov Konstantin <thresh@videolan.org>
Date:   Mon Nov 13 10:38:16 2006 +0000

    properly display translated strings in setWindowTitle in qt4 interface

commit d1f54c774eac5c0177292be9198832f98d368220
Author: Marian Durkovic <md@videolan.org>
Date:   Mon Nov 13 07:47:47 2006 +0000

    Warn the user about missing MLDv2 support in his OS

commit 955f1293277cd10ff24e60e7b73e95c16a4eaea3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 20:12:29 2006 +0000

    Try to fix the obnoxious _stati64 warning

commit 9a234d8f17398290ba38476995050a751a9b85ac
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Nov 12 19:52:46 2006 +0000

    vlc-config external also includes libvlc-control

commit 52f8f1dcad13e5b47921de61b5416aa7b06c653f
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 12 19:47:32 2006 +0000

    Makes configure fail on missing GL headers

commit fd1a965309497d080aa51c5c1ffcd68fce9c1866
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 12 19:46:15 2006 +0000

    Do not update gettext contrib to current CVS on MacOSX

commit 8a948e548bce5f3e925f58fc9fec53c0849f1d30
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 12 19:24:12 2006 +0000

    p_libvlc needs b_attached = TRUE for vlc_list_find. Fixes embedded vout

commit eb8b25f704b1c3e6d27fdee3bd562b46181f7d7e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 18:31:40 2006 +0000

    Remove another harmful FromLocale

commit 85f408e380b4dde8df2891d28de452b8e0988e91
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 12 18:28:37 2006 +0000

    Fix Qt4 play button

commit e8aa094f86e08a2c690555a0767763dcd63ffb90
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 12 18:19:49 2006 +0000

    Preparse playlist items that don't have enough meta
    If the item is not to be preparsed but has enough meta, mark it as preparsed

commit 8b5528ab646fc91e2edb9bdfcd0afd87cbf70859
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 12 17:48:21 2006 +0000

    Might fix compile

commit b0799ceaca0e858490e84d9bc8c144de11d0cbc0
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 12 17:15:15 2006 +0000

    Display --option=<value type> instead of --option <value type> on windows in usage help.

commit 43e8fc6a849718a973eb2e1c41fc391a4ed92c2d
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 12 17:06:24 2006 +0000

    * Qt4 stream output dialog
    * Fixes to the streaming chain generator
    * network: don't print an error message for EINTR

commit 559c7675e744ce8882a5081c98800f10601ed26c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 16:58:09 2006 +0000

    Compile fix

commit e19c47d2e42738732f2d9590922342cdbb30b255
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 16:30:09 2006 +0000

    Apply online help patch from Vincent Dimar.

commit 8810db47bebbf8389e633aa605c16a76946d76f6
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 16:29:44 2006 +0000

    Forgot the symbols again

commit babead8e9b9b1c0e59ad92a3b241d9c8ae5a42e8
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 16:19:58 2006 +0000

    Unexport vlc_current_charset()
    which is superseded by the Unicode wrappers and GetFallbackEncoding

commit 34bd463f8d7145761b032368037ad19e3cf038dc
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 16:18:31 2006 +0000

    Add VLC_INTERNAL, like VLC_EXPORT except it does not export

commit 2374e7bc034774261a1bd5b56c1a8e5903e30e68
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 12 16:16:24 2006 +0000

    Fix playlist unable to terminate (Closes:#829)

commit d63051021d0116a5934433de23b08654a9c1ba58
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 16:05:11 2006 +0000

    Remove unused iconv handle

commit ee5cf38b43fd7b323aeb4e9f650fe718e95650bc
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 15:46:52 2006 +0000

    Even WxWidgets is entitled to const blessing

commit 942cd8fe5d6d6c14198e275e64db635d21ce0ec9
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 15:36:27 2006 +0000

    Use Latin-1 rather than local charset for ASX files

commit 8704578164dfe71b45524a7722faf21a7ff7cbb8
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 15:35:45 2006 +0000

    Suppress unused variable

commit 340dfad4b5d305cad4d21044c79ca612506c3a65
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 15:33:59 2006 +0000

    Fix a few warnings

commit ceba8717d05b12df7d81ba80ab5cb0bb75a8309b
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Nov 12 15:32:24 2006 +0000

    dirty fix to correctly link libvlc-control during make

commit e131931fa3e4293a68388c79538543d2a747256c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 15:17:29 2006 +0000

    Remove debug message

commit 7b4e4d4e08161267ce202be7fc6f45f265d1ffd2
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 14:26:59 2006 +0000

    Fix warnings

commit a7cfd58b7e729e46a7fb6462332a4b0364a2f507
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 14:12:55 2006 +0000

    I did it.
    <subliminal message>
    http://www.googlefight.com/index.php?lang=en_GB&word1=wxwidgets&word2=qt
    </subliminal>

commit e68bba76e6a82d2070e444c1574ab2cbb25dad72
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 13:45:03 2006 +0000

    Try to fix contrib: don't build gettext java bindings

commit fdfdb5d479402062bbf99d009f7ab3e71a68d5a5
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 13:38:50 2006 +0000

    Remove bashism

commit 43a9e778e4c77d165486fe2731fc21a9e176db18
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 13:28:14 2006 +0000

    Another attempt to tame WxString

commit 1241e76243722cda296899293b12235c5162ea27
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 12:52:30 2006 +0000

    Fix make dist

commit cb285c57db9d79ae71f40b6fae3637a419774eff
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 12:49:13 2006 +0000

    Safer macros locale conversion macros for WxWidgets.

commit 77603707d00c6246a7a91c90cf1baf6ba1bab719
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 12:10:55 2006 +0000

    Do not use non-existing function playlist_PlaylistAddExt.
    Hopefully fix linking on Windows and Mac OS X.

commit 2f095050c21a3ade7573c02afcce92b8fe81d559
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 12:02:55 2006 +0000

    Don't use void * for utf8_(l)?stat() as it hinders bug detection

commit 65b7318b10fcd230b79ff10e2b7e4ac668681697
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 11:54:28 2006 +0000

    Some const

commit 5fd7f4679e34b30be86e6f9b98a9e5b8209318f5
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 11:50:06 2006 +0000

    Use stat instead of fopen to check for file existence

commit 8d9bd04728949bebaab21ca8e949bf4bde97b96a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 11:45:10 2006 +0000

    Another Win32 FromLocale -> FromWide

commit fa417ad8204a1442aa477db347f11b4ade4ef8eb
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 11:43:52 2006 +0000

    Don't use non existent file in Qt4 code

commit 21a6f2418f0404056cf22a8d0618cd62cd183b1b
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 11:35:38 2006 +0000

    Fix a few warnings

commit 4484cb2534c4664d348000914f8c90c5e5a85d75
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 11:30:00 2006 +0000

    More warning fixes

commit cae4a7ffe0c62da9114446169181ab3acfa4dca6
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 11:22:29 2006 +0000

    Warning fix

commit 59fb050fb794a508ce7e8777b5b4abbafc25558a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 11:17:10 2006 +0000

    Fix compiler warnings

commit dc326a62b54701e5f9410642888daed46aa0bef8
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 11:15:29 2006 +0000

    Do not use pointer arithmethic on void pointers.

commit 1f93e8318163c130e070f66289eafcbfd038bc82
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 11:02:56 2006 +0000

    Try to fix Qt4 build

commit a49795c90e4f9c99830a5cd64ec18036a6dc2aec
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 10:32:48 2006 +0000

    Don't use -shared with libtool

commit e4d731df8ad55f46bef898ef6de49318a3b2c9b5
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 12 10:25:28 2006 +0000

    Fix compilation of WxWidgets.
    But given how badly broken the plugin is (interaction stuff),
    you'd better not use it anyway.

commit 1f52d4926216f981aa525c55e31d73f60377f571
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 12 10:22:39 2006 +0000

    Qt4: add meta info panel and fix layout bug in stats

commit d439902689b4bc7bd4c8be5975d0e93a5c47ee0e
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Nov 12 00:24:31 2006 +0000

    also link libvlc-control in java bindings

commit eb7a893543650f7a782ac48f08e6b2f0814d803e
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 12 00:23:12 2006 +0000

    Various bugfixes
    Replaces gotos with #defines
    Put duplicate code in #defines
    Disables plugin by default

commit 3bed3c3385b506033c5c2e9d2d5880d819d042c1
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 12 00:02:36 2006 +0000

    Fix

commit fb3133439db2b4444ca1495d171104c4d26e5cca
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Nov 11 23:44:15 2006 +0000

    Only accept mouse coordinates inside video window

commit 673861da5ce8bfeb0a4adbd5be95aa5fd2da9e4b
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 11 23:37:25 2006 +0000

    * Remove some unneeded complexity in playlist and directory
    * Remove some unneeded wrappers and locking

commit d1b0d5205fe25610f697435bff3e60e938a7bb41
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Nov 11 23:37:11 2006 +0000

    Add "shuffle" button to puzzle in order to prevent shuffling when double clicking to go fullscreen once the puzzle is solved.

commit d35bb92634620a27de0023bfa36af69c8e154463
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sat Nov 11 22:48:42 2006 +0000

    * modules/gui/wxwidgets/extrapanel.cpp: Add the puzzle video filter to the Extended GUI.

commit 2ad6c313423c7fcdc23bd72a1121f1451d9a9a0d
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Sat Nov 11 21:44:34 2006 +0000

    - I422 to YUY2 now works (due to previous commit)

commit 7e00a8db9bf3f9017fb6e58ce71f6b0a8b4e2b9c
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Sat Nov 11 21:43:34 2006 +0000

    - make sure chroma converters respect picture line pitch for packed chroma

commit fb635e210354b1be0b04e2e1f941670036dae680
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Sat Nov 11 19:14:53 2006 +0000

    - access/file.c: fixed stat on win32, make sure the right stat structure is used, 'struct _stati64' on win32 and not 'struct stat'

commit 04cf4f559b33aeb0af223a7ee5c6fdb2b701c045
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Sat Nov 11 18:22:33 2006 +0000

    - compile fix

commit 8c2453995bb548f3ad8ccd740ac4d16704800df2
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sat Nov 11 17:58:22 2006 +0000

    * doc about SliderBackground (forgot to commit that a long time ago...)

commit 6e3e276ac07e0acad6fb69f99e1b9dcf6ae8503e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 17:48:01 2006 +0000

    Restore media control API for the obsolete build system

commit 8978e821a39f7a9202f9fde16a5391c6f74e208f
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 17:45:01 2006 +0000

    Win32 ANSI -> Unicode + UTF-8 wrappers

commit 7554c22cefdaa052b04d9e689cc61a7119dec976
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 17:44:37 2006 +0000

    Add missing UTF-8 wrapper

commit 0afbc3c3bcd0f747b3adbb15b4dcfae7977e2f9e
Author: Marian Durkovic <md@videolan.org>
Date:   Sat Nov 11 17:36:36 2006 +0000

    Sync IPv4 and IPv6 multicast debugs

commit 39401d06d8385a69ba0c6a9792fda760d1e2744b
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 17:28:34 2006 +0000

    Use Unicode wrappers to open HTTP interface files

commit 2beb123a6c00620050ec4694829c03f2f4c5bcfa
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 17:28:10 2006 +0000

    Fix a bunch of warnings

commit c8a17a09b17f671f6d6bbaabb78f92482f2f4796
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 17:16:50 2006 +0000

    Try to fix Mozilla plugin

commit bf36cd415d3428c2688624f8cba55f26b9f0986a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 17:11:59 2006 +0000

    Fix [17660]

commit b2e31be94e875c989bba9fd3f9192f6adb01d7d3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 17:10:59 2006 +0000

    C++ inclusion fix

commit 48eb86c62db5e181ba74436b34f6d0ff11a8a14d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 17:07:56 2006 +0000

    DRMS: use Unicode Win32 API

commit b8f4ee2e482ab89757bb0a5dde58830f38deef12
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 16:53:21 2006 +0000

    Leverage FromWide

commit 5d7f0d7838b7cf53100411da6083b38becc95166
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 16:49:41 2006 +0000

    ToLocale -> WideCharToMultiByte (refs #817)

commit de14672a43cbb0c236ecd9eba6a67f0b1d91e868
Author: Marian Durkovic <md@videolan.org>
Date:   Sat Nov 11 16:43:14 2006 +0000

    Fix endianes bug in automatic SDP source-filter

commit 865b8f0db9dedc2637effcb0bb985d50bf362e92
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 16:21:35 2006 +0000

    Remove another harmful extra ToLocale() call

commit 9da31dde31d94647f9fd72e7637c0093cde70516
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 16:19:17 2006 +0000

    Use Unicode wrapper

commit 3874df3b98cd17580d83de1c42ed566096b95317
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 16:14:37 2006 +0000

    Fix socket protection level.

commit 13b3f5c25fa31b546aed428b6b1352c12ace0198
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 16:13:25 2006 +0000

    Remove extraneous ToLocale().

commit 703490eae114dd294bf894e0db8a8bf725613f05
Author: Marian Durkovic <md@videolan.org>
Date:   Sat Nov 11 16:02:34 2006 +0000

    forwardport [17650]

commit c0f6a69c8a1af788fb829edde3b5f0fa8f3f18d7
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 15:48:05 2006 +0000

    Fix SAP group IPv6 addresses

commit fee133d6db5778c537cacd8233f1cf0df59a734a
Author: Marian Durkovic <md@videolan.org>
Date:   Sat Nov 11 15:40:48 2006 +0000

    forwardport [17646] (SDP source-filter fix)

commit 35316016201ae95114c3a99c84d976a5bb69b4b8
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 11 15:20:09 2006 +0000

    Update slovenian translation

commit e83a49c0621f71960357467391cec973e25fe206
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Nov 11 13:33:43 2006 +0000

    added a color threshold filter that can make effects similar to "the
    yellow guy" in sin city or the red dressed girl in the beginning of
    schindlers list

commit 698c348edc47e11dfdb5499f6385f8f938ad6645
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 12:52:49 2006 +0000

    Don't build Win32 code on Linux !

commit 4e3e7fceb1808f73dc802ebe1e40c758b7bc4336
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 12:48:49 2006 +0000

    Hmm oups

commit 91d059ece53de17e8bffba4a3c17eb7572b59144
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 12:30:16 2006 +0000

    Split the media control API from libvlc.so to libvlc-control.so
    The libvlc.so ABI is still way too unstable IMHO.
    
    This commit will probably break havoc in bindings in the short term,
    but hey, this is the unstable branch

commit 8d7e6079fa9b29910ac85c5686b3439ef6ce08e3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 12:15:53 2006 +0000

    Inline FromUTF16 and use Win32 API
    (suppress one more ugly piece of code)

commit 19a7634285f47ba0c568f7c18ba2a4c4b0d4dfea
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 11:48:20 2006 +0000

    Fix previous commit

commit 7b734c8b7b070e7ab55be757040c5de5cd1369c3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 11:44:59 2006 +0000

    Mark subtitles_Filter as static

commit 0b79316c62f8b380527ee97da5293c111ebe6d4a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 11:37:21 2006 +0000

    Suppress unused UTF-32 conversion functions

commit c3293262a84342deecad886042889a900e39d827
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 11 11:27:58 2006 +0000

    (From|To)Locale code factorization

commit 02199f335f68ebe63c3518dcf78eb35090007534
Author: Marian Durkovic <md@videolan.org>
Date:   Sat Nov 11 10:04:20 2006 +0000

    Cosmetics: Warn the user about lack of IGMPv3 support in his OS

commit ecd7382d08f2244a38f4f51a155aef7775c4fa42
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Nov 11 00:48:03 2006 +0000

    Really prevent illegal puzzles and prevent some illegal moves.

commit cf3059baf3fc0985c86e409277775299740bf795
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Nov 11 00:20:30 2006 +0000

    Put video in black slot when puzzle is solved

commit a1b3f1fb73800e62af87ee9d6a47aa8839d5f40a
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Nov 11 00:18:01 2006 +0000

    I'm not sure that this is ok but it definitively prevents impossible to solve puzzles from being generated here.

commit 5506025a7e34a93399fa8089920981e2d13d8488
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Fri Nov 10 23:58:17 2006 +0000

    Woops.

commit decd54e4396d0ecc1eecd057c968d7a74087eabd
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Fri Nov 10 23:51:33 2006 +0000

    Add --puzzle-black-slot option to change puzzle type

commit 4d8192c7f1c788b0c798c99ef22b49bd70b7bb50
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 10 22:15:27 2006 +0000

    Fix warnings

commit d21ca5d81d150ef4ea12bf8ce5a63701b8da7c0e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 10 22:14:24 2006 +0000

    Missing #include

commit a74a8625b6859edcdd07eddc7b30984d53f6d368
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 10 22:11:55 2006 +0000

    Hide vlc_fix_readdir_charset. It is now integrated in the UTF-8 wrappers.
    Though there is not an useless lock and iconv handler
    in the Darwin specific stuff.

commit bd3fbc7608179d5f0d39b1b46be59a2000334fad
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 10 22:09:51 2006 +0000

    Fix double free in previous commit

commit 3e0dc088fdd05f9e4d4238b0d17db43941ace964
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 10 22:07:52 2006 +0000

    Remove last redumdant vlc_fix_readdir_charset

commit 85d007c52d8bacc51208798dba4847b2e42ed17d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 10 22:00:36 2006 +0000

    Don't use Apple readdir fix twice

commit e55c57054af827ffa1105b376ff29b5675b2b6f9
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 10 21:59:21 2006 +0000

    Typo

commit 3c6a80224a0f235bcd4739f9d06f75f5c9ce88c4
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 10 21:53:26 2006 +0000

    Fix vlm pause

commit d97ee9123257157dbc422e2edbc1b126572f94eb
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 10 21:51:35 2006 +0000

    Fix error return value of utf8_open

commit 49bca36d8099e67f71606510e696b3e48553f1ac
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 10 21:50:39 2006 +0000

    Use free() instead of LocaleFree() for utf8_readdir() result

commit e1e9924a9a130bed2a614fa32b437a84474181bb
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 10 21:42:46 2006 +0000

    Fix leak

commit ad505d55df404ee284da041965f6a08c7a99eff9
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 10 21:35:08 2006 +0000

    Don't rely on an object in fix_readdir_charset

commit 378c8bedf2595b2fdc7f42f0550c7016099ea139
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 10 21:07:57 2006 +0000

    Add more debug

commit 0cd336b3fb3407d960382dd46f21112bc41be130
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Fri Nov 10 20:59:15 2006 +0000

    Puzzle vout filter. (vlc --vout-filter puzzle <your favorite disney cartoon>)

commit 128cbbabfd57761c125f35d64bae1f8ed83acfc4
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 10 20:56:10 2006 +0000

    Switch the directory to the UTF-8 wrappers

commit 69263809ad62332f167463d06cacad2504c47fda
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 10 20:50:34 2006 +0000

    Cosmetic changes

commit 717e0b68fee53c05d51eba98ec26783b6054f298
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 10 20:45:26 2006 +0000

    Ever const

commit 8724262b98ce86ded207ac9368453494a63c402c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 10 20:16:47 2006 +0000

    Forgot this file while forwarding ffmpeg fixes

commit 07b2e364addba87a4f304d3a3dfd2db79103e76e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 10 20:10:23 2006 +0000

    Code factorization and some warning fixes

commit 497a6b5b58f15feeb8340c392b7aec0bc9818f6e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 10 18:06:45 2006 +0000

    Partial forward port of thedj's [17597]:
     * Fix avformat demux IOSeek. Should improve playback of some flv's
     * Improve avformat demux SET_POSITION.

commit d9439192c047c76c2c26f8c20141e999cae7c3cb
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 10 17:40:03 2006 +0000

    Suppress sap-source-filter and compute The Right Value(tm) automatically
    -- Cette ligne, et les suivantes ci-dessous, seront ignorées--
    
    M    src/libvlc.h
    M    src/stream_output/sap.c

commit 0b54d9c6f4c82091c9c0e834aab51f2341f98df6
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 10 16:30:38 2006 +0000

    Support for disabling SDP source-filter in SAP announces

commit ab363722cb0b442c09635a4d3d8537bd611c2192
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Fri Nov 10 01:03:23 2006 +0000

    Remove msecseek command. Now seek works differently depending on the argument:
    control media seek 10   -> seek to position 10% (previous behavior)
    control media seek +10  -> seek 10% forward
    control media seed -10  -> seek 10% backwards
    control media seek 10s  -> seek to position 10s (works with +- too)
    control media seek 10ms -> seel to position 10ms (works with +- too)

commit 25b9b158e0d49fe5c51534305a32e4d3ecc80468
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Fri Nov 10 00:28:15 2006 +0000

    Add msecseek command in VLM to seek to a position given in milliseconds. Patch by Igor Helman ( http://forum.videolan.org/viewtopic.php?t=27989 )
    + misc variables handling changes by me

commit 14abbd807d9ffcfb993b603171a3e8ab10392ec0
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Fri Nov 10 00:08:16 2006 +0000

    Return syntax error message when issuing invalid instance specific control command in VLM. ("control test thisisaninstanceid play" is valid, "control test thisisaninstanceid asdqsd" isn't).

commit 90b9ae2633e858e69d69765c0b0543d7bd963d46
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Thu Nov 9 21:40:46 2006 +0000

    don't count more than argc

commit 68171b3434f3f83828961f97a4594b7f48edf30b
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Nov 9 21:08:11 2006 +0000

    Don't show visualizations selector (unused).
    A bit of cleanup in simple prefs

commit 5e2537971a6e4870333667628e014cfe2e7381e8
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 9 20:17:17 2006 +0000

    Handle seeking with best effort in dump filter
    instead of aborting

commit ea64177035896669780fc00f4edee086ab0094fa
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Thu Nov 9 20:07:25 2006 +0000

    * wxwidgets: revert go-where-you-click slider changes from [15391] and [15393] as it wasn't optimal (more accurate at the middle and not so much towards the beginning or end) and this also prevented proper slider select and drag usage.

commit 88014c2c057f523e457790f2baac0ae4d18295a3
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Thu Nov 9 19:22:26 2006 +0000

    better args handling

commit 919c654290c6a721259e25fd570fe78d57113235
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Thu Nov 9 19:21:38 2006 +0000

    include errno.h in dump.c

commit ec7a0ab610c8c9898164c710496edeafc3d26507
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 9 18:27:43 2006 +0000

    Fix IPv4 multicast subscription

commit aedf2f6c3548932fd7eac9e42e880f3e867d8589
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 9 18:08:36 2006 +0000

    You can't find the root object, so don't try to mess up with it

commit c84e332e33cce35369272ed4c42fa8d62f97615f
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 9 18:06:21 2006 +0000

    Add a bug. Fix compilation on Win32.

commit 9020d59c74c88e6a6b0e2665e2d620368b5d34fd
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 9 18:01:51 2006 +0000

    Fix TTL in c= line

commit 267cd7f9b7dac986e6d2bc490f778107be95a8fc
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 9 17:55:58 2006 +0000

    - Do not attach libvlc to the global data
      to avoid crashes in the messaging system (global data has no libvlc pointer)
    - Rename ROOT to GLOBAL to avoid confusion (the root is LIBVLC, not GLOBAL)

commit c6e7cf1b17ed414e1a803cdc4341d09884485e5e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 9 17:24:10 2006 +0000

    Cosmetic fix

commit e62d405c1aab342dcf8965eee7f4b14bac1d8063
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 9 17:10:38 2006 +0000

    Missing(?) header

commit dd0524cea674f8eabd0f780ef572ed838f2beb70
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 9 16:44:34 2006 +0000

    Avoid dummy error messages

commit ddff0fb8ff030b5af0f977fd8ed898dcd5933b91
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 9 16:41:04 2006 +0000

    Fully initialize p_session

commit d401286cd997e144126cf48037fb9c6b7862b621
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 9 16:25:58 2006 +0000

    Fix address in source-filter - fixes #804

commit d94f9061d6f8195a83ae1a740113a81674388e18
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 9 16:02:15 2006 +0000

    How to remove ~200 lines of code

commit 9f7a6e010950c745295645bf96f29ff722fae367
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Nov 9 15:55:36 2006 +0000

     * modules/stream_out/autodel.c: Removed unused call to sout_CfgParse().

commit 1cb0a68063fd96b02df133c3014208fcee5b203a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 9 15:53:34 2006 +0000

    Suppress copy-cat code (more to come)

commit 96c71691ae2ffa4d6cbbdffde7522f0910272adc
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 9 15:48:44 2006 +0000

    - Remove the rc-force option, and do the same automatically
    - Remove some cruft

commit aa55b21d23d2071e78c78beef522622c44069311
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 9 15:43:02 2006 +0000

    Of course localetime_r has to have another name on Windows.
    (And go fix your libc if this does not work for you.)

commit 83a3429c40533f4ee1317f1237883d5cd4bba688
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Nov 9 15:13:13 2006 +0000

     * modules/stream_out/autodel.c: New autodel module to work-around a memory
       leak in the TS mux which is triggered when the input PCR packets
       disappear from the stream without disappearing from the PMT (happens
       on the satellite when the video suddenly gets scrambled). Insert it in
       the sout pipeline : --sout="#autodel:std{...}".

commit 01b16b830c707aed4a1811adb05217417890c2d7
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Nov 9 14:17:25 2006 +0000

    * don't mix old and new pl API

commit b9c4dee2cf5ce9cb4353a1e7c1ad397b32f33282
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Nov 9 14:17:03 2006 +0000

    * added an option to disable auto-playback of newly added items

commit 1d524052e63bc299fe710f5d6ee97d0235da3a4b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Nov 9 13:32:45 2006 +0000

    * forward-port [17568]

commit fa22abdc48a3f4e7cfde0998203e959877d610f5
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Nov 9 11:39:27 2006 +0000

    retry on failure to connect to rc-unix socket. Patch by Greg Farrell (greg  a  lincor.com), submitted by Dermot McGahon (dermot  a  dspsrv.com)

commit 6382b7d9ba9be82534ea525bf14a473fd88095e3
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Thu Nov 9 07:44:26 2006 +0000

     * skins2/parser/skin_parser.cpp: Fixed a crash, and removed checks for unused attributes

commit 64c616acd22a52a62cbfd1e9916174da858a10db
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Wed Nov 8 21:37:20 2006 +0000

    readme update

commit 2d6efe40bce471b6a84649f2bc8ec04671a521f5
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 8 21:13:09 2006 +0000

    Add dump access filter to save original media to home
    (could be improved, but basically works)

commit 7b00af57bf15e907d590855852150d036d1a45b4
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 8 21:12:22 2006 +0000

    Add Dump hotkey

commit 017f4aed2b29fb7cd2785cf1b74f3ed6719af29b
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 8 20:34:12 2006 +0000

    * forwardport [17538] : Real RTSP selection fix. refs #821

commit 4e03e109f4357df5eb72b83db3da243543191726
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Wed Nov 8 20:33:07 2006 +0000

    --disable-libtool not needed anymore to build java bindings

commit 015a372b105406afcbf4ca5995ea62115c1c65bf
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Nov 8 19:59:07 2006 +0000

    Use add_bool where it is adapted

commit 5eb05446602a70de655f155e3808695fcd9fd648
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 8 19:22:15 2006 +0000

    Grammar

commit f11e37dc0b7364afa2d23799f59628712d72c615
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 8 16:31:05 2006 +0000

    Fix var_SetString

commit c4960477a8049eca0547bd9cde97895640af48a3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 8 16:26:26 2006 +0000

    Some more const and strdup avoidance

commit 1f5a8130c6d2f7a0280588182ba8d277c2ca38fc
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 8 16:23:33 2006 +0000

    Const as usual

commit fad2848881c175c1d14bdd10e6e8840c9ad31537
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 8 15:53:28 2006 +0000

    Some more const

commit 53b1aaf74be77c3b8415687ffb91b5c1d56a5def
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Nov 8 14:26:06 2006 +0000

     * modules/demux/ts.c: Fixed --ts-out used in conjunction with the dvb access.

commit 5d3d5ee7b9480de73e87a54355378447127735cd
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Nov 8 14:24:54 2006 +0000

     * modules/codec/libmpeg2.c, modules/packetizer/mpegvideo.c: Fixed wrong PTS
       and DTS for field pictures.

commit b1b72b632aed8ccf9624093214efe1329093e6f8
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Nov 8 14:21:01 2006 +0000

     * modules/codec/ffmpeg/encoder.c: MPEG compliance fixes for large pictures
       and low delay streams.

commit bb5f959c144718691b258b1e4150edcc03758456
Author: Marian Durkovic <md@videolan.org>
Date:   Wed Nov 8 13:37:57 2006 +0000

    Support non-ANSI CP characters from command line / click on media file

commit 4ab7aa3950413d0239752cc510129367f8e51a87
Author: Marian Durkovic <md@videolan.org>
Date:   Wed Nov 8 13:29:36 2006 +0000

    Fix skins2 Drag&Drop to accept files with non-ANSI CP characters

commit cc53b7150b10b2a3ac142f64e3647523170d99e6
Author: Marian Durkovic <md@videolan.org>
Date:   Wed Nov 8 13:21:08 2006 +0000

    Fix one instance mode for Win32 in trunk

commit f8a101115de2d063b7aa143ba00e3186f0aa8853
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 7 20:38:53 2006 +0000

    * forward-port [17536]

commit 4f679c9f7abd996ca0fb9124bcee210f5d9ebc87
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Nov 7 19:57:50 2006 +0000

     * modules/mux/mpeg/ts.c: Fixed --sout-ts-crypt-audio and
       --sout-ts-crypt-video options.

commit fcba019ffbf34d00dfeb7aa417519e1208e97467
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Nov 7 15:45:27 2006 +0000

    * memleak if normvol filter cannot be used.

commit 5d9f43a33847aad10334a7e5753bf4d8467f3edf
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 7 10:59:45 2006 +0000

    * restore nib targetted for 0.9.0

commit fbbf805c40dcec54f3841835b764816bc3f89bf0
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 7 10:52:08 2006 +0000

    * commit the modified nib in the correct rep..

commit b50ce689a3cf898bc36f73efabe5c919f054e17d
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Nov 6 21:44:08 2006 +0000

    Use str_format_time and str_format_meta here too. Make sure that we only call these functions when needed.

commit cccd51a5b8026f20830aeec3473efa24553013c3
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Nov 6 21:26:46 2006 +0000

    Use str_format_time and str_format_meta in file output. (these are the %char and $char variables defined in marq help)

commit 34b7d77d9ef2b09ac31b328beae8953f81e2cb8a
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Nov 6 21:16:58 2006 +0000

    Allow using format meta stuff in --snapshot-path when defining a filename (see marq help for available variables).

commit a3cdce42236d598baa89f041a04238009bd54e75
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 6 21:05:11 2006 +0000

    Cosmetic fix

commit 53cf4a01e51723479b2a845716b715ac7882dbd9
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Nov 6 21:03:33 2006 +0000

    Move string formating functions used in marq to the core.

commit 8da1371426fd17cf2902cda3932ea9cdb321e67b
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Nov 6 20:05:19 2006 +0000

    Tab/trailing spaces police

commit d4d67e796f7436a29e5a55c0bfebd09b6b408444
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Nov 6 20:00:40 2006 +0000

    s/Warm/Warn/

commit 2833f91336c22cf4e6a893309c480bbb8301ed5b
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Nov 6 19:25:12 2006 +0000

    Revert [17482]. pkgconfig buildsytem is broken on native win32

commit 4543041350489f7fe6072fc683e483f723a589b1
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 6 17:59:01 2006 +0000

    Fix export

commit 89136d0144cfeaa1c73d37e711834d1ed37561f9
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 6 17:58:08 2006 +0000

    Add a few harmless const

commit c1cf01a6699bb7f434fc6e512051e630081d3545
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 6 17:30:21 2006 +0000

    Fix previous commit

commit 209a00c674b57f182fb47fca9b1ad306a7165793
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 6 17:29:07 2006 +0000

    Cleanup

commit 0dc1ef3e1d35207d7ae301ee04e4dea5210694c2
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 6 17:28:55 2006 +0000

    Fix warning

commit e3f73d0e3652438ad6c7473bf43531e7c6054b07
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 6 17:07:55 2006 +0000

    Cosmetic fix

commit e91c23bee06d2dc4ec059812b1720acffafd2b8f
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Nov 6 17:03:01 2006 +0000

    Simplify

commit 868d7cc14cf400f687eca92ae7fbcb54e4652aaf
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 6 17:01:44 2006 +0000

    Fix boundary checks on file seek

commit 4df6be770b481c7f6e8b812c01b544a0701d491d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 6 16:33:30 2006 +0000

    DV can't (fast)seek; it does not even have a Seek callback.
    This was seemingly erronously added when Pause support was added.

commit ba24a82495e4bd04438502f29402b10bb48206db
Author: Marian Durkovic <md@videolan.org>
Date:   Mon Nov 6 12:49:21 2006 +0000

    Forwardport Unicode wxWidgets fixes - [17434], [17436], [17452]

commit 833af67f6d5505f24e8f02517141e1e2b4e1c544
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 5 23:46:37 2006 +0000

    * restored the error panel and removed all 0.9.0 stuff

commit 8d3b5b8ebc3dc2c2125ed7a835c10025dc045144
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 5 23:32:49 2006 +0000

    * commit the non-fixed nib to get a diff (work-around for a svn stupidity)

commit f88be5057b27cdc11e149c9ca02056bc486a372e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 5 23:23:35 2006 +0000

    * update after recent back-ports

commit 5d011500813b770c6cc7c0af713fac09fb2da4be
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 5 23:09:23 2006 +0000

    * forward-port [17501] and [17500]

commit 3d27df46937b5181b8bd05646ce21fb8a141db25
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 5 22:52:10 2006 +0000

    * forward-port [17497] with the addition of an 'embedded' check, because this work-around triggers the fspanel to keep hidden all the time when using detached vouts. Ideas on this issue are welcomed ;)

commit 8c2241f9665663f2d53c3a6c9fa7dbc1617965f5
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 5 20:05:48 2006 +0000

    Uncomment if multicast starts failing on Windows

commit 1aeb369df40c956520d382f4105c8921aab07ed3
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sun Nov 5 20:02:49 2006 +0000

    patch silly configure.

commit 704c851d5819430877a20496a9940d142defcb28
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 5 20:02:08 2006 +0000

    Export and use ListenUDP

commit ab48ec9308f1a15f5299b06e2e9c8073064c4ff1
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 5 19:30:16 2006 +0000

    Use ListenUDP

commit 1ed9a7d9b6e007cce723f02f4ce00d701e7ff2b2
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 5 19:20:52 2006 +0000

    Add net_ListenUDP

commit 4fa4d3faf320fbc2b925919ca0c43e2297d0ab7c
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sun Nov 5 18:36:12 2006 +0000

    the pkg.m4 in pkgconfig 0.21 is buggy. stay with 0.20 while we fix it

commit 99cb9a81233e6fc45a6cfda49ef5b221ed85a676
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sun Nov 5 17:59:37 2006 +0000

    Use an uptodate pkg-config version

commit 3dbec4e54b7087d59a418ca992dd9591d675387d
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sun Nov 5 17:34:46 2006 +0000

    Add pkg-config to win32 contribs as Msys suc^W doesn't have it

commit 2b9c222b4c33d7396c3f5b56fa49a8836fab3dbe
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 5 16:59:47 2006 +0000

    Add net_SockAddrIsMulticast

commit 790ca220c08476e348e987632f8a0d9415fcbaa6
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 5 16:41:00 2006 +0000

    Fix and revive the net_OpenUDP warning

commit 2f9d56c59010d1f61949600dfb7af0c371350c6c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 5 16:26:53 2006 +0000

    Cleanup

commit f6b814ba6a53e8b608b11dd255a1ab682e22a7d7
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 5 16:17:35 2006 +0000

    Suppress bogus extraneous boundary check

commit acefb78d24c0dfa25c8e427f023cc616b3da5a3a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 5 16:14:52 2006 +0000

    Cosmetic fix

commit cb33f9d13f5df8c06f0432b6599ad394cd6abd27
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 5 16:03:04 2006 +0000

    Missing #include

commit 900ba5380c5a307e8489bafed00a553679b8cebb
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sun Nov 5 15:51:46 2006 +0000

    Some safety fix pointed by pjrm on irc

commit 5c0d53e41a9bc53a611e0984c47ae4c5dae63980
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 5 15:50:31 2006 +0000

    Factorize socket listen code

commit 3640b72ca1bc0be62ea95307cdb1bffad2fb358e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 5 15:46:26 2006 +0000

    Fix core deps again

commit d89621d05a5b0857090fbabd3040f8e12c4357be
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 5 14:57:56 2006 +0000

    Please run update-po (or whatever it's named) before commiting.

commit 4ddf635979d18a6f0b05ba1d61c429eba4ceb35f
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 5 12:16:44 2006 +0000

    Fix make core not to remove libvlc if not needed

commit 5b21c755317a4713716759134253641f5df6d65d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 5 12:16:27 2006 +0000

    Look for DLLTOOL
    (surprise surprise, one has to define $(DLLTOOL) if you want to use it...)

commit d87c7f9d1c3a7e7650bdfd5c5dd6b9bc758a6797
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 5 12:02:15 2006 +0000

    Fix warning

commit 10d06d38eb57a3e133c424776f13cd58496d256a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Nov 5 11:46:43 2006 +0000

    Fix warning

commit d5f8852de104e89560116b75dd453930f0686ca9
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 4 22:34:40 2006 +0000

    Forward port translations from [17318] and [17414]

commit 9bd0934a22e902ad530d31bdecae0ff2c99ae063
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 4 17:56:43 2006 +0000

    Fix error passing from IPv4 plugin
    in case of resolution failure.
    This should fix the "lame stack" + "Non-socket handle" bug.

commit 465627aba620a0ffc15dc9cd5d77e9d1ec8e9972
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 4 17:09:54 2006 +0000

    Fix remotely triggerable memory leak

commit 0d91bee07e3e1cfb6f87f3417e72951729f9f03f
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 4 16:29:16 2006 +0000

    Fix const warning

commit 13a79c4f582e9564dff23c3d74a3264d7a6e06dd
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 4 16:25:26 2006 +0000

    Ignore missing TTL in c= line.
    It was about time I fix VLC to accept SAP announces on my campus.

commit f30d703a6f53606e4db0344eb2a639b73a1c0ebe
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 4 16:05:27 2006 +0000

    Fix various problems with the SDP parser:
    - the reserved bit must be ignored
    - off-by-one in decompression
    - decompression did not *read* realloc() result
    etc

commit c32f5ca08da07066106fd4e462e660fb68c8971c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 4 15:29:25 2006 +0000

    Use utf8_open

commit 29daf1b172d3e939770815a066c607c4a2880ded
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 4 15:18:57 2006 +0000

    Add utf8_open wrapper

commit 7c9438e94f34ff3558aef4bbaf169ce76645d009
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 4 15:18:24 2006 +0000

    Add some const

commit abecc78ae9e26deedc62e34364b8ebcafcea0fdd
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 4 14:37:26 2006 +0000

    Fix warning

commit 4059d487e2c16e24549123cf6abfba240e57bcf5
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 4 14:20:16 2006 +0000

    - Fix quoting of IPv6 addresses in SAP source-filter
    - Fix const warnings
    - Remove dead code

commit 9e430e6b5ba4effc6a5d273acd9031e47930d76b
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Nov 4 13:56:49 2006 +0000

    Fix warning

commit 1cd4b4db68e240966b814efbfea4716d2ac079c8
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 4 05:18:45 2006 +0000

    Fixes gettext 0.16 in the contribs

commit 01812ddbf6f0f7e1e0d20435c61ef68bc5d28c01
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 4 03:49:39 2006 +0000

    Uses C++ tests to detect mozilla headers
    Fixes detection when using mingw

commit 977378fab191a15d7202121710ac6ea6457a2589
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 4 01:17:43 2006 +0000

    * trying to repair gettext 0.16 documentation on MacOS-X

commit 7078d5da6717531fe9b02e620a80ae1f6766e4ca
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Fri Nov 3 22:06:14 2006 +0000

    Remove libvlc_set_video_drawable, libvlc_video_set_parent offers the same functionality

commit 474d6a5a890da5c1f5526532f905092d23b9e1a4
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Fri Nov 3 17:21:31 2006 +0000

    access_output/udp.c: Don't crash horribly when trying to send a packet
    larger than the mtu in rtp mode

commit 01cca2b2bc4d485eddce427eb582aaf76d85f254
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 3 00:19:05 2006 +0000

    Removes a fucking UTF-8 character that looks like a space, smells like a space, but is far from being a space

commit 11390074753cc36741787113e7ee11324315f4ac
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 2 23:05:27 2006 +0000

    Replaces check for xpidl by check for required mozilla headers

commit 4d4f72b82d2f1ae4209e0118791275e83488468c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 2 20:23:57 2006 +0000

    * forwardport the mjpeg fix and the dvbsub color fixes

commit 267b66c87256ba2b421bae9f0d679404edbc9829
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 2 20:22:36 2006 +0000

    Revert [17400], uses the right header for gettimeofday

commit fbfa084ebf2bb282bac647b6446524186fb12037
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 2 19:29:03 2006 +0000

    Useless patches.

commit 1699620eb718893afce41599d235291d861e1407
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 2 19:27:57 2006 +0000

    Cleans gecko-sdk too

commit 72afda2faac021438f4ab2dc25826a2875fdb84c
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Thu Nov 2 19:08:13 2006 +0000

    * modules/video_output/directx/direct3d.c: add experimental support for I422 (RGB conversion is very CPU intensive).

commit c3de2971bdd6774fd9c313038f1037211355cb38
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 2 15:11:56 2006 +0000

    Don't use a configure constant that we don't actually define

commit f3206c3ea1d349f184354e1e60b1aaf84e5b4031
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 2 01:53:28 2006 +0000

    Disable speex on BeOs.

commit 22df6a925125fbb078b8cad9304d59188acbefc1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 2 01:49:52 2006 +0000

    Forgotten file. Sorry.

commit 1bd3ccaea6394c8380010c310789d14b7ab3e3be
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 2 01:44:16 2006 +0000

    * Contrib : update version of gettext (it needs autoconf 2.60)

commit d90d34c1d94c858f21324cdac8e3751fe077e263
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Wed Nov 1 22:45:37 2006 +0000

    mux/avi.c: write '\0' rather than an uninitalized byte to output file.
    Fixes one, but not all of valgrinds warnings relating to this

commit c3f9f8e1627ff8f0f42e12b7ba80f2503bd1d48c
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Wed Nov 1 22:24:50 2006 +0000

    mux/avi.c: fixed a crash when trying to make audio only avi files.
    Hopefully fixed a issue with the generated avi file in the same go

commit 6572dc7341076728ed72fe4929d733536c2b896c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 1 21:30:49 2006 +0000

    * Fix a bug discovered by Chris Rath on seekable files that don't start from point 0.
        http://forum.videolan.org/viewtopic.php?t=27848
    * Fix a few compiler warnings.

commit b8433e0d828fe96ded4d13660a17bce05cc55b0b
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 1 21:03:53 2006 +0000

    Support filenames outside the ANSI Code Page

commit 11566f0abb63ddfed244e07591af1b163df09be8
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 1 20:54:51 2006 +0000

    * Handle <ref></ref> ASX items

commit 345b608740d64dd7a4c1c722ced7d4f1b44c793e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 1 20:50:18 2006 +0000

    Get rid of broken file-cat option (closes #807)

commit 6b6232121e3a2e753b5d51a7e7645eeb211aeb2e
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 1 19:52:41 2006 +0000

    * Don't do intf-show after the last p_vout closes on OSX.

commit f2371212e7a1c47fef15b3931ef97233b3d68ad2
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 1 19:49:04 2006 +0000

    Attempt to work-around the Winsock bug-of-the-day

commit bcf43dd0314852f6a7ae3a9112021da75a045359
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Wed Nov 1 16:44:13 2006 +0000

    avoid VLC_VariableSet to set the drawable, use libvlc_set_video_drawable instead.

commit 491321f3ee6baa391046bd86feb5bd934af82143
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Nov 1 15:30:12 2006 +0000

    Add missing space in comment.

commit 537d79a973870b15bc3a369e998c25ed6c80c02a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 1 15:15:44 2006 +0000

    - Revert [17394] which reintroduced TOCTOU issues
    - Re-fix directory handling

commit 35998f05f1cdc3f4eba2ba7d904873f66b0d2d64
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Nov 1 14:58:36 2006 +0000

    Fix libgcrypt compil under cygwin. It doesn't have gettimeoftheday() and it's wongly detected, so force it. (from markfm 's debugging and googling)

commit 08e228e290502f64b095cafe94c876609b2b285d
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Wed Nov 1 11:25:05 2006 +0000

    setSize native function signature fixed

commit f4fd4afc62069f34a88d7be3c3b316fea97d73a1
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Nov 1 09:20:20 2006 +0000

      * Mouse motion and mouse click support in the libcaca vout.

commit b096694504dfd19991cd4f475630143cd4cd99d8
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 1 08:17:42 2006 +0000

    Removes useless sanity checks

commit 914f20188c38ba6657c578fce381e1b42e651766
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 1 07:50:44 2006 +0000

    Makes file plugin fail to access directories
    Some sanity checks

commit 8741be0247e758e02802869b6e2616fc79fa4370
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Oct 31 20:01:28 2006 +0000

    Forward port [17386].

commit f81778e9a7be3ba1eb45851b2e81a89884857c7c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Oct 31 17:51:59 2006 +0000

    fix Windows build

commit bb24808cf580d17948910676038f36293ac1be61
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Oct 31 17:41:04 2006 +0000

    Rewrite of the file access

commit b1a3bd05cf6083ed2ec6e42ae6006a5b14002bad
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Oct 31 15:47:07 2006 +0000

    Suppress some useless variable

commit dde789cdb1cbf112f9459afe1b76c1d9d4dcee3c
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Oct 31 11:05:04 2006 +0000

    use playlist_LockClear() instead.

commit d9d39662d21a371c49a8df78600cfab18459859a
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Oct 31 03:05:35 2006 +0000

    Fixes double free()

commit c2fd8c606f9614a69e5153f4f4410a0a42af10ef
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 30 22:19:21 2006 +0000

    Rename flacdec codec plugin to flac, to show it can encode too
    Rename flac demux plugin to flacsys

commit 043ddf1233f41165bae28497ce86fc9a4e8e06a4
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Oct 30 19:21:06 2006 +0000

    Fix property get_aspectRatio (forward port of [17383])

commit a3995514291fdf25bbcdfc5873419e0b429af76f
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Oct 30 16:26:43 2006 +0000

    (Forward port of [17380]) Aspect ratio property for ActiveX plugin

commit d370b165a726eb92bda1bcc2fe8ccdd571e834e2
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 30 12:33:37 2006 +0000

    Update slovenian translation

commit 680eeea9624853f2ac12a68284d3253b523df0bb
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Oct 30 12:17:33 2006 +0000

    Oops typo

commit 82e4cda859b48b8df7e0cabf45dc6d854fbb8ed5
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Oct 30 12:15:47 2006 +0000

    (Forward port of [17371]) Implement Aspect Ratio property for Mozilla plugin

commit e86b20c4e3b9d65dd91970367560dcf49b72d650
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Oct 30 09:13:32 2006 +0000

    Forward port of 17368. Make it easier to build a macosx package when build in debug mode.

commit f788b61890cf2141d572390680c835996a637f58
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Oct 30 08:35:31 2006 +0000

    Remove excess empty lines

commit c7070a8cb10b3f51ad581560d71417610a51e647
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 30 03:49:15 2006 +0000

    Make configure fail if missing avcodec or postproc headers on debian too
    Fix typo of [17361]

commit c23e83c4169257a4d64f7d7f9852dbb5664356ba
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 30 02:49:49 2006 +0000

    Make configure fail if missing avcodec or postproc headers on non debian system
    Closes #758

commit 729eaa1338ea872eed52025621ad949535953db2
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sun Oct 29 18:31:44 2006 +0000

    Don't build libnotify on win32

commit 945182d81ffc535ee9d1069414a5aa99219c53e0
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 29 16:49:43 2006 +0000

    - Fix TOCTOU problem (utf8_stat -> fstat)
    - Fix file descriptor leak when opening an empty file
    - Don't close STDIN.

commit 51b87d9b7ecac7e364530b2dca277e5c80570b39
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 29 16:33:10 2006 +0000

    Minor simplification

commit 5ecdf63107123d82303932d3eea38878a7947a62
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 29 16:30:48 2006 +0000

    Cosmetic fix

commit 57d2983b03a656783ba67b0d38118319028d0687
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 29 16:29:07 2006 +0000

    Allow seeking of character devices with non-zero size

commit 0e4e3e85dce566ee8cda7f68b3ca4548fbc3964f
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 29 13:41:00 2006 +0000

    Remove superfluous "," introduced in [17328]

commit db602ee3cfc392c9a30d4048981bd083497c1d46
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 29 13:37:30 2006 +0000

    Forward port of [17351]. Report input error condition to JavaScript

commit 7cc0536377aa04acf26f48db60b3609d32e326c6
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 29 10:28:23 2006 +0000

    Try to unbreak dependency
    (of course, it was obvious reverting the earlier fix would break it,
     but some people don't seem to care about the build system as long as
     "their" feature works).
    Oh, and don't let version.c twice in CLEANFILES.

commit 1b75ee7b7116fb7507896920d2a0ecf4c156fe4f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 29 10:10:06 2006 +0000

    * don't use nested functions please.  --- fixes compilation on OSX, which was broken in [17281]

commit ff6d1b16e358c36882dc240cadb81725ab62862d
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 29 09:56:11 2006 +0000

    Implement VersionInfo as property. (Forward port of [17345])

commit 43b5cae75d484829153b085c89739b551207b2d9
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 29 09:41:42 2006 +0000

    Fix define

commit 50873f0122a0c4512e61d1de27eb9ef4811d5ea4
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 29 09:40:56 2006 +0000

    Remove excess whitespace

commit 85a4b2ad91de9dbd2a4d6d78eae39a3ab71ffe6d
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 29 09:40:14 2006 +0000

    Unbreak automatic buildversion information. Revert [17226]

commit 7799bb9cec6e5d83ec99268435e398a369088f15
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 29 09:38:43 2006 +0000

    Remove empty line

commit 3b86ec1d20f892852683677a80c0a5b33e6dc739
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 29 09:35:43 2006 +0000

    Readibility cleanup

commit 4a80777b4ebf5a5634d5b725b3fbd801d7b0a246
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 29 09:33:30 2006 +0000

    Forward port of rev 17335. Implement versionInfo() method

commit fc7795f191b1dce05d3da5088a119976bc1f7aad
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Sat Oct 28 23:41:06 2006 +0000

    log.c: fixed operator priorty when estimating message count

commit 056c9fe39df9442749a95671c0463c773a64b0da
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Sat Oct 28 23:39:18 2006 +0000

    - added log APIs to javascript for mozilla

commit 3a168d9ed240b9622ba77ef7bf02146d08fb1f1a
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Oct 28 23:04:27 2006 +0000

    forwardport [17330]

commit d1df16f0970b91a8a7ede9ceb3a34ec651075268
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Oct 28 20:32:31 2006 +0000

    Make configure fail if a52 headers are not found

commit 514c92ede4216945a430f328294a318b538d3155
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sat Oct 28 17:30:27 2006 +0000

    * modules/codec/x264.c: Fix range enforcement and string selection (deprecated was in the way). Use actual default values for options direct, me and deblock filter params (mainly for the gui).

commit 6c0f19222c2bb141570890caff87cf9f59a8b2f4
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Oct 28 15:53:39 2006 +0000

    Forward port of 17324

commit 387c26ca7f38dcf9349d99694c02f10d9b9a9968
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Oct 28 14:43:51 2006 +0000

    taglib.cpp: Don't put empty info in playlist for files with no tag

commit 027fcc8a5cd0f6a5be67d7f6f96f50f0975be924
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sat Oct 28 14:40:13 2006 +0000

    * modules/codec/x264.c: proper descriptions for options b-bias and chroma-me

commit fc10369f211c52b04d7ba5b0c5415a1df4ab3768
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Oct 27 23:14:30 2006 +0000

    fix stupid error by me

commit b6389d88820650f0681c58d14d0389d93ad34d47
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Oct 27 22:35:14 2006 +0000

    typo

commit da471d12f279ba367ad099e58e469b81c4501c31
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Oct 27 22:28:19 2006 +0000

    Don't try to distribute misc/version.c

commit 2f8a6ee2e3fe4ce5a01b6830acad5a14b1b3b1ed
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Oct 27 21:22:10 2006 +0000

    Hrm

commit 72a42b973f33ed907a9ff806f429476c9011e39b
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Oct 27 21:03:53 2006 +0000

    spec files have been renamed

commit a34c6ca94042b77a8789954bb97880f045940f55
Author: Yoann Peronneau <yoann@videolan.org>
Date:   Fri Oct 27 18:39:29 2006 +0000

    * toolbox: use vlc.mandriva.spec in distclean test

commit c4df6204812f43d256441339fbddf055443ec176
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Fri Oct 27 17:40:46 2006 +0000

    messages.c: added msg_GetObjectTypeName

commit 604bcea0bce2d1560b1170608cc25fff3bfa49c7
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Oct 27 16:26:55 2006 +0000

    Enables "stay on top" with window managers that don't handle _NET_WM_STATE_STAYS_ON_TOP
    That atom is not defined at http://www.freedesktop.org/wiki/Standards_2fwm_2dspec, and is not used by metacity, or xfwm4 for example

commit fe029daeaf84de77c28dd59e9818a3398bb06c12
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Fri Oct 27 16:16:16 2006 +0000

    - core.c: const, const, etc...

commit 817653d94704ace8d6120c88921f8185a8707264
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Fri Oct 27 16:09:02 2006 +0000

    - add log APIs to Activex
    - cleanup

commit 54ca1c9a1568a34251a0c4082e74b6c7919a6725
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Fri Oct 27 16:07:01 2006 +0000

    - added public log apis to access message log

commit 762c2acdecb761f2b511c4853db33bf99d128584
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Oct 27 14:53:46 2006 +0000

    Add Slovenian translation

commit ff402cb311791813b92bfc14a307f36ba9f17b28
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Oct 26 19:12:43 2006 +0000

    Avoid flags duplication when configure cache not present

commit cbff530cdf0882f1421a31e37253a9c669ccd4cb
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Oct 26 18:27:29 2006 +0000

    Terminates string with '\0'

commit e5209c6fac180a8755ac67a4ab77d815dff44264
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Oct 26 18:22:23 2006 +0000

    Fix typo

commit 0040043b065c449bb1dc894fdb6c2b69a4326c51
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Oct 26 18:05:00 2006 +0000

    typo

commit eb2c34416ae55ca3c7d0b77a63d99b9744a3118d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Oct 26 18:01:49 2006 +0000

    Hmm, lets see.
    Yeah, we are stupid because we manage to make the perfect WxWidgets toolkit
    fail. Go figure. I suspect the WxWidget live in another planet or something.

commit 4cce00ca8d81d1afe838e607f2aaca31c7b1e528
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Oct 26 17:54:11 2006 +0000

    Revert [17287].
    What the heck? can't you pay attention to SVN warnings about CONFLICTS?
    Thanks for introducing a memory leak on top of that.

commit c131e6633674efc1fef9b0dc1e0b4a7920b0bcd7
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Oct 26 17:36:49 2006 +0000

    Reverse supposedly bogus fix

commit dbcdc5893118a415c25f3ea58a590747d69e610d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Oct 26 17:35:57 2006 +0000

    *Ahem*

commit d39a408ad2aac6ca74626a174e9a6aac851f9d81
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Oct 26 14:58:56 2006 +0000

    I suggest you stop being sarcastic because your fixes are broken
    (Hint: reading errno multiple times is incorrect)

commit 3d7b3dabffe247baa9d56ae0c561e87c6bdb3ee6
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Oct 26 14:54:39 2006 +0000

    Character devices are not seekable.
    Thanks to Ed Schouten for noticing.

commit ea293f9eb037b3e1d5830f395cb44b2d6436dcd2
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Oct 26 00:14:59 2006 +0000

    frontport [17287] from branch

commit c85bee10466334631f7894cdb06dc518a875ffa3
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Oct 25 21:38:56 2006 +0000

    Add GIF decoding support (thanks to FFmpeg once more). This is untested.

commit 747cea42c6ef090743e6349d1a1e962c7be937db
Author: Pavlov Konstantin <thresh@videolan.org>
Date:   Wed Oct 25 14:40:37 2006 +0000

    Unify specfiles names, other specs should be added as vlc.%name.spec

commit 933d7b13ffe892930f7505aef7a9f7d37662f131
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Oct 25 11:53:38 2006 +0000

    Compile fix + handle case with no xml:base

commit 04be77f7939305821d2a05220294998dceae947e
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Wed Oct 25 10:17:11 2006 +0000

    - fixed changes in [17146], [17234]
    
    I suggest that you actually TEST those fundamental changes BEFORE committing them.

commit ba3d99e9ae3a5740ba6ed9b3f620b782f4ffeab3
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Oct 24 22:32:19 2006 +0000

    honor xml:base

commit c26e07cde4403f7a105dbef4dce4df755ec4f9f7
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Tue Oct 24 22:23:49 2006 +0000

    integrate patch from Ticket #725. needs testing.

commit b6eebc11bd561be90ed73c3fdd575645c3370b49
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Tue Oct 24 22:22:41 2006 +0000

    fix audio_filter/channel_mixer/mono module linking

commit 516de417906d883913760a012e9cea4806bf3973
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Oct 24 19:24:40 2006 +0000

    Add missing void

commit 9920b9f3ebb72d546b5974a3764ee5cf425fcda6
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Oct 24 19:19:55 2006 +0000

    Fix linking of DLL loader

commit dd411293165f6f1868cfe6cbd240cdcbb1c3f910
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Oct 24 14:06:02 2006 +0000

    Untested attempt to fix multicast IPv4 on Windows

commit 3f8b63067e9a8eb55f436b7a79bcc43136b9a71c
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Oct 23 21:16:55 2006 +0000

    Support for X11 Unichrome and XvMC extensions. The patch includes hw codec and video_output module for testing on VIA boards (CLE266). Patch by Christophe Burgalat <c.burgalat _at_ broadcastavenue _dot_ com>
    
    This patch is not tested yet and is disabled by default.

commit d3217fc729bc813a19e6743db7c5b18c7d66524c
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Oct 23 21:02:45 2006 +0000

    Clean up and improve core handling for album art. Still only "always fetch" implemented

commit d6050322ee28bb2797cbbefc9dfdedb009ee94e6
Author: Philippe Morin <phmo95@videolan.org>
Date:   Mon Oct 23 20:50:17 2006 +0000

    Fixing a typo in WIN32 #ifdef

commit 2b70e76ddcc641d2bf96264d0c4a7041be7bb8dd
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Oct 23 19:55:59 2006 +0000

    fix realaudio linking

commit 7976d6454b3830dd3ebffd583ea7d0564ab4c65a
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Oct 23 19:05:47 2006 +0000

    Patch by aurelien: properly test for NULL.

commit 54f116c79a9d6d96a2caf578d6b580f575d05d45
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 23 17:35:10 2006 +0000

    missing $LDFLAGS, thanks to ZeMaria

commit 1b54fac70122f994fbae44e2d2fc07d3e6b554b3
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 22 22:06:38 2006 +0000

    typo

commit a52263a7395ab76afebe1d1a543c97490b5ac1a2
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 22 21:33:50 2006 +0000

    fix xosd, thanks to hobophobe

commit fe0174183cc5a0d6a06bcc8a28b490049e80ea0b
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 22 21:03:13 2006 +0000

    Fix linking for mod plugin

commit 5559ca8a35123148a3b2b4261cea06a5892a3c64
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 22 20:45:29 2006 +0000

    Link wxwidgets_plugin with gtk2 on unix

commit a2d0da928f85ea06a36c5a863e636f255189843a
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 22 20:14:22 2006 +0000

    Link mod against libmod, stdc++ and math library

commit cec9172253864e692db9eee8b6eed676f0fdb981
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 22 19:25:25 2006 +0000

    Declare extern vlc_symbol_... explicitly

commit 46f5a8a57cc260c98559ac5450611a99d9690f81
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Oct 22 18:37:26 2006 +0000

    explicitly link the upnp_intel plugin against ixml to make libtool happy

commit 7f2cb95b034aedc881b8e3ada7ce12771d8971b8
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 22 18:16:18 2006 +0000

    Remove check for Fortran (Parental advisory: Explicit kludge)

commit b5703dcaef750542534fdd7f4d217bc03b6add1e
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 22 15:45:16 2006 +0000

    typo

commit 79dfff4d5ee5d808e7d65466dc2e536bea152a57
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Sun Oct 22 15:29:56 2006 +0000

    - apply proper const casting since C++ has become more stringent

commit 5e0f332ec651b164c6eb5980c4189225d640c80a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 22 14:57:24 2006 +0000

    Drop wcslen() and back to original DnD. Refix it.

commit 0328a8a96ea2f0f05cd34273c0f5d5971ee6a685
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 22 14:35:03 2006 +0000

    frontport [17255]

commit 39919b151d77a1918e34a29211b8de2c3bf0184b
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 22 11:22:22 2006 +0000

    Fix linking of vorbis

commit 955b873df37a3f0beb70c7bd0da1a0471ba206f0
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 20:43:06 2006 +0000

    - Remove useless global variable
    - Fix threading qualifier warnings

commit 41f75f96fa802a33cd4777b1b052cf3f4eee9512
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Oct 21 20:36:36 2006 +0000

    Turn #if DVBDEBUG into #ifdef DVBDEBUG

commit 073c529c599ad0d35b08ee1b69a5a6e3ef265209
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Oct 21 20:36:11 2006 +0000

    This might be better

commit 240841e1e51f28c0b74f62cf7a8f3e471063eb51
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Oct 21 20:26:42 2006 +0000

    Fix opengl module post compile checks (or something)

commit a1bf9e2ee20b0d37ab3c67451d469f579e6d7df6
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 20:25:31 2006 +0000

    Rush fix for 0.8.6

commit 2c036cf31c4e81f5ebaf01b863fbf48fabdb22f1
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 20:21:03 2006 +0000

    Fix Bonjour discovery

commit fca47616535d31d7cd321d86e08da32cdb9108dd
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 20:05:02 2006 +0000

    Attempt to fix my previous commit

commit 5a843a7f222ad3cd31bce94bc2c92967ecce8633
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Oct 21 20:04:36 2006 +0000

    * Updates due to the new playlist core

commit 718e1e051546b81ec650ea7bc6a7218daf038e2d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 19:52:23 2006 +0000

    Ensure that shared objects have no unresolved symbols.
    
    This will catch broken plugins at build-time rather than run-time.

commit 0856d3ae70c252e950b2b9a80ec5e05abc311d8c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 19:30:04 2006 +0000

    Attempt to fix dshow build

commit 1dfa47c08284d591ecf8747914c5fc2eff19e7da
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 19:24:47 2006 +0000

    More fixes

commit 4119f97f857ae9f6ed4919daddedefd777aa6aaa
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 19:17:09 2006 +0000

    Qt compile fix

commit bd2e2e8d5b16f64444a059e7e53aca760428d977
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 19:08:19 2006 +0000

    Const fixes

commit de3972b96c3f9dabe46f9bcea94be94d24757c08
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 18:52:47 2006 +0000

    Cleanup

commit af5759ac1afa3904560f1e5fff47d09d6e35b05c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 18:40:30 2006 +0000

    Input fixes

commit fcef2e3a6d1f450b4411af8a7a94eaaf8eb9fd3c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 18:36:42 2006 +0000

    Fix

commit 51c4db8c713f58fa1146b605f54e4f6b33c99db6
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 18:20:37 2006 +0000

    Fixes from hobophobe on IRC

commit 5fe42b8eb4cec44998293b6eeb9c83820eb43080
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 18:03:49 2006 +0000

    I might have finally got it right

commit 37d272d3de49648cfc62421b5c73b100b2feddba
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 17:51:36 2006 +0000

    Compile fix attempt

commit e634fbcf2b208150971780538dba6ed8be56cb8e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 17:49:35 2006 +0000

    const rulez

commit 8f1b24457b1b735b348575ea42654ae361bb8fdc
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 17:28:22 2006 +0000

    Fix a bunch of warning.

commit 0a525c7cbb62a289fef05dbc3e2df524f0b4a318
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 17:18:28 2006 +0000

    Try harder to rid of this annoying dependency

commit 00fa060e234b59ef4aabfbd5dadbfd0100d67a74
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 17:14:57 2006 +0000

    Shorter version

commit f57eaf6da82d2061fe77861f622c651f0315c880
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 17:12:22 2006 +0000

    Untested bug-to-bug fix for clueless file browsers.
    I don't have a broken file browser, and I can't compile wxWidgets,
    so no way I can test that.

commit f96942ab684d56e40b73e9d5b57dc6062fcf58c4
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 17:08:03 2006 +0000

    Fix many warnings

commit b6d0e5a07a9a32894e31da69e25e81dec0366dc5
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Oct 21 16:59:09 2006 +0000

    Rebuild the array of currently playing items as a background task.
    This array is now usable as a reliable source of data for size
    Use playlist_CurrentSize(p_playlist) to retrieve the size of the current playset.

commit 36a14991a5d4bbb9217276ed8c9c0f0c4e0ec0ca
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 14:54:42 2006 +0000

    A few more sanity checks

commit de0f8ecbe207ed2f8272c7cb84dfa161dba9a8a5
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 14:13:29 2006 +0000

    Fixes

commit b3621b5278e6b7a34f758d6a3b2e6cd3428e2c01
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 14:04:02 2006 +0000

    Don't build obsolete+broken wxwidgets in distcheck

commit e03d7e7b122743951c4a2b09fb6a74290c071bf7
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Oct 21 14:02:49 2006 +0000

    Fix compiler warning: missing initializer

commit 61871f5f300861f70e8709b8b51086e54cc5ec05
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 13:36:58 2006 +0000

    Lalala

commit 2d3be24e0f67e19dc29baced87af42481dafde21
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Oct 21 13:33:06 2006 +0000

    Don't loop continuously the playlist thread, use cond.
    Not tested heavily yet ...
    
    For interaction implementers: you need to call playlist_Signal after changing the status of a dialog. Please see the diff for qt4/dialogs/interaction.cpp

commit 0f382e7498b5285d73fd034d363e9aa5589289e1
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Oct 21 13:31:44 2006 +0000

    Remove unused variables

commit 4bcb2f21a9d5c13992e2430bbe335695567fb7be
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 13:24:26 2006 +0000

    Desperate attempt to recover the wxwidgets plugin

commit 424e2940ccaab63e63f82bd91db074fd11fc6233
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 13:17:16 2006 +0000

    Another distcheck fix attempt

commit 4ee061441ab14ec2d81cfd6198608a62ceea0a4d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 13:12:57 2006 +0000

    Revert flawed [17208]. Really fix the sign comparison.
    (Hint: man 3 iconv)

commit 21154aabf259772a144e33d9d8fc1463861e178e
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Oct 21 13:10:37 2006 +0000

    Remove unused variable val

commit f6332edf95624784cf8d9be2ad80882829d37054
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Oct 21 12:54:39 2006 +0000

    Remove useless comparisson (n >= 0) was always true (n is unsigned int)

commit b20a4ac4a711a050a1a8fdb34d9e778729ba39c1
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Oct 21 12:44:12 2006 +0000

    Remove unused variable p_meta

commit 562dc13be82f723cf48dab68fc363c965f33ba76
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Oct 21 12:43:36 2006 +0000

    Fix invalid comparison, result was always false.

commit a79b5f6e2cd67041502c258315daf578f47cabe0
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 12:37:07 2006 +0000

    *Ahem*

commit 034d137a91abddb95922576464bf790f36c37e2d
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Oct 21 12:36:36 2006 +0000

    Fix compiler warning: comparison between signed and unsigned

commit f530aa7a74b10fe6155d8ef371f12098915bfaf4
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 12:35:13 2006 +0000

    Fix [17200]

commit 0aa9a402c5e360de1ab156f4cd73de0273a3b2b0
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 12:32:23 2006 +0000

    Remove annoying warnings.
    Nobody will ever be bored enough to fix these ones.

commit 514245552fff2c89017fb51402e34413892373db
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Oct 21 12:32:12 2006 +0000

    Fix compiler warning: implicit declaration of function 'asprintf'

commit 0d7f2354e56a03b150e608cec553a5670c804ff3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 12:28:52 2006 +0000

    Fix a few warnings

commit b527c3fce129904df12d50d000d74919763c0853
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Oct 21 12:27:27 2006 +0000

    * minor update to the current playlist API

commit 020e0268dd7089c8e0eb38703d03680ac5f6ff7b
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Oct 21 12:25:05 2006 +0000

    Fix compiler warning: implicit declaration of function 'asprintf'

commit 5a1e2c84b0693b388cfe9974bf509faab7530def
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 12:08:16 2006 +0000

    Code factorization

commit eac2117fcd9de41b13e4d7163a0e0aa8e40a543c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 11:55:09 2006 +0000

    Some autoconf fun

commit ba2199dbb62d88804bb4b913fa5f1721a33a0e6f
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Oct 21 11:16:00 2006 +0000

    * copy paste error

commit 799b2826ee321796c8c4695c5a7b7489ed5da851
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Oct 21 11:09:51 2006 +0000

    Playlist
     * Remove the random special case
     * Use the array of currently playing items for all cases
     * Convert array items to array API
     * Replace standard searches in sorted arrays by bsearches
     * Size is not yet fixed (next round).
    
    Array
     * Add reset/value and bsearch functions
     * Add foreach helper

commit c925ed563df12610851862d43f0cd6b30c37dec8
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Oct 21 11:03:19 2006 +0000

    * Add 24bit and 32bit PCM stream support to avcodec

commit 891d40741b4d87df4b436ffa88d18713c680a8be
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 10:24:21 2006 +0000

    GNUTLS plugin require libgcrypt explicitly since it calls gcry_control.

commit 91854175802df46ec820998ed3bbb6f1c144ec09
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 09:59:18 2006 +0000

    Remove dead code

commit ef99cea817948655d231ebde085d93e0951b01d1
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 09:55:23 2006 +0000

    Cleanup

commit 5114101ae70c45401fc390aea578e02861a74833
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 09:26:50 2006 +0000

    Try to distcheck wrt Java bindings

commit 7a035788e59c0f946f673b0f150984cf3f2d3118
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 09:26:37 2006 +0000

    Make sure vlc_LDFLAGS is always set
    (automake bug?)

commit 1352c6305e74c36f0297695188f5c32655ae0d00
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Oct 21 09:18:06 2006 +0000

    * target -> host in Makefile.am

commit 4a2f80fe41b6f1a14e65fbaa42bf38e981ee6163
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 09:16:34 2006 +0000

    Remove no-op

commit 9e44246acb0649d7d803359cc9628b24fa33d496
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 08:56:19 2006 +0000

    Multiple confirmation that is it works on Linux.
    Anyway, there is no libiconv_* invocation in src/vlc.c

commit fcbffaa9e5f2f0b33b76d5fe27c3ca7c4394e4a1
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 21 08:51:19 2006 +0000

    Merge UDP access output with core TTL handling

commit 1180a63aa99714d54a84da3d521c2cb5a985b6af
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Oct 21 08:48:15 2006 +0000

    Revert revision [17165] because it broke libtool build on linux

commit 3d0593abb165669758cab8f178976d7bf17709d9
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 20 22:25:03 2006 +0000

    * Update some contribs

commit 816e9b21b72d1051ee02f10fcd7e9a92c08914ae
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Oct 20 21:29:35 2006 +0000

    Another TTL string unduped

commit 75413cdd8670c745342818937f34a15c99594d71
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Oct 20 21:29:07 2006 +0000

    s/target/host/

commit 026c8f5b28a31ea776f861d93d171ac67dcefd13
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Fri Oct 20 21:12:59 2006 +0000

    Put lower priority than ffmpeg. (when SDL_image was used it couldn't decode videos like http://dionoea.chewa.net/pa150001.mov ).

commit 27f2ced10726fb76326fb796365b973bc2504f1b
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 20 19:31:15 2006 +0000

    * spelling error hostt_cpu -> host_cpu

commit c43de506375534dd7c49efdff699fa56f2d93316
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Oct 20 19:24:38 2006 +0000

    Unduplicate TTL strings

commit 495353bb08f93ba5b01caaa1cc7cb71d4a17fda4
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Oct 20 19:16:25 2006 +0000

    - Support for setting DSCP via dscp option
    - Support for setting outgoing IPv4 multicast interface
      (note that only the Linux kernel can do that)
    - Some cleaning/dirtying up

commit e4f7eb8e91b05d9e56375119793bef68073b058e
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Oct 20 19:10:37 2006 +0000

    Fix syntax errors

commit 42405764a4972577914dd72e77b9fc76c5442419
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Oct 20 17:11:14 2006 +0000

    Fix syntax error

commit 2bdac4e4a9aa53c810bfec040c578757dca89209
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Oct 20 17:05:42 2006 +0000

    WTF?! VLC is NOT a f***ing COMPILER.
    It has NO target.

commit affe4d59e6abf2ee8054d5f8f69b11ca9545878f
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Oct 20 16:46:31 2006 +0000

    - Don't try altivec compiler flags except on PPC and PPC64
      (some PPC user should review this)
    - Don't find canonical build and target (heck, VLC is not a compiler!)

commit 1a79ea4e39953aacf2e97db89c84ddc94cb5a269
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Oct 20 16:18:44 2006 +0000

    Remove superfluous function nesting from configure checks

commit c145241b31ecc37e07e4f3d00c4436e7a5736f77
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Oct 20 15:58:06 2006 +0000

    Remove some obsolete code

commit 7104644b7773a705d94c1f1c651aeb2decd8cf10
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Oct 20 15:55:18 2006 +0000

    Explicit disclaimer

commit dc130e1e244b5be9a46ad031825f8fba02d3a8ad
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Oct 20 15:48:03 2006 +0000

    Try to fix distclean, but you'd better not use it anyway.
    
    I TOLD YOU TO NOT BOTHER ME WITH YOUR UNCLEAN BUILD TREES.

commit 532bea49ffaf746cc3c66947ed5ebbef2d1131bf
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Oct 20 15:18:23 2006 +0000

    Repair CONFIGURE_LINE (fixes #696)

commit d6abc4d998de2ade55a0a8d20b0d8d0c3517e188
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Oct 20 14:59:14 2006 +0000

    Build plugins with -no-undefined

commit fcf1a8e5836b444b2265784bd197fbd450ff75db
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Oct 20 14:49:47 2006 +0000

    Don't build quicktime plugin with loader since it is broken

commit c3b3c2a8d7e720321afcd1efb31cf1fe02120db2
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Oct 20 14:39:55 2006 +0000

    Remove useless link flags from vlc program

commit b487fffebdc52e6fea7b9a43bedc86adaac1ffac
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Oct 20 14:28:19 2006 +0000

    Fix dts_pic check

commit 6b3fce8ff5c0cb936d8caf16d8e96637ebaaff64
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Oct 20 09:57:50 2006 +0000

    Detect MSYS mingw compiler (mingw32-gcc)

commit 2357ae94a373a5c2e4e2043cbeb81c2c775e97c5
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Thu Oct 19 22:06:55 2006 +0000

    Stop confusing the users with n shortcuts

commit c03307953d86b68ca252ee6efaf96d652b5fe8fc
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Thu Oct 19 21:55:31 2006 +0000

    make playlist stop synchronous

commit 30ff712980000d016bf20ace8ff0a4c1ef3a8625
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 19 21:45:07 2006 +0000

    * prevent potential crashes on files with broken channelcount

commit 4e03ca065ded0cc31035159887479ace86004182
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Oct 19 21:30:39 2006 +0000

    Reset playlist status to STOPPED after stop

commit 266fb28cd7fdd0db6926f807bf4f9bcdd1b29010
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Oct 19 21:00:14 2006 +0000

    Dynamic array with log allocation

commit 531bbc546238a0067f76869d123fae139d3f2157
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Oct 19 19:56:04 2006 +0000

    Woops

commit 9574d3b56183242c7cb3d9532e2ed2f5ca6cf10a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Oct 19 19:52:49 2006 +0000

    Remove some more cruft

commit d854ee25d7644ef2169f617db73344fe5eeda0c2
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Oct 19 19:42:35 2006 +0000

    Remove some build system cruft

commit 6b5014ade2790fa8aa9dae1205e38b755525162b
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Oct 19 19:42:10 2006 +0000

    Kill duplicated function

commit 69ce7365db8c12a9a92ec1078bf1ea8135ec4a5c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Oct 19 19:41:55 2006 +0000

    Put version-info to libvlc instead of vlc, as I assume was intended

commit 29d8ffc9beea30a6344f4e642779bcb20eac616b
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Oct 19 19:29:46 2006 +0000

    Oh! No more builtins!
    (well only for libtool and shared libvlc)
    
    Clean your build tree before whining.
    
    And yes, it breaks the mostly-builtin option (obviously).
    It also speeds up automake a tiny bit.

commit 40356097fea4dba1e8d8d22dc3d62f86337b291e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Oct 19 19:00:54 2006 +0000

    Remove -version-info; it is plain meaningless for a program

commit 8c891efbf1c854851c1657e7dfed61bbb1d03f7b
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Oct 19 15:30:43 2006 +0000

    Oups

commit 80fb50ea92225717e42372819737e44bd6a6f341
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Oct 19 15:27:58 2006 +0000

    Code factorization

commit e5ca059b5c8e8b038c0d91261bb942ffc6daf5fa
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Oct 19 15:07:43 2006 +0000

    Simplify EOF handling

commit 8c1e99ea8995e880e3a60b0f9a808e496541227b
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Oct 19 15:05:35 2006 +0000

    Dirty up. Ahaha.

commit c55bcff9ce7b061b6caea220221c2254e6dd9af8
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Oct 19 14:55:57 2006 +0000

    Interrupt blocking socket reads

commit cc1791f39b2271ecc8adfcac16509770faec1b8c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 19 13:59:23 2006 +0000

    * Support 5.1 channels in Flac (untested with a 5.1 device)
    * Don't crash on Flac samples that have more channels than we can handle.

commit 58609589ce3692f2bcad740597d8ff01f4d1c270
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Oct 18 21:16:16 2006 +0000

    Real fix for time/length issues in VLM ([17130] didn't fix anything)
    Needs to be backported

commit 1105c8b0c4f01dd18283b010977b0d6e32ec6511
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Oct 18 20:11:10 2006 +0000

    postproc also need avutil to link.

commit 9a662c01193187a59cf99971315d0b29bf4f07f6
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 18 15:25:42 2006 +0000

    TTA: Forgot to update Modules.am for the TTA demux

commit 1106928872d16c12afaf20ccdd69e792bf9998e4
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Oct 18 15:24:32 2006 +0000

    Fix typo

commit 8902dce1cd9caccc01ab46256bc6402a84995dec
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Oct 18 15:08:47 2006 +0000

    Fallback to IGMPv2 when IGMPv3 fails - fixes #734

commit bfcdde9526dc1630143f1505b27a2f3706610764
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Oct 18 15:01:16 2006 +0000

    - Try DNS resolution before creating socket as per Best Current Practices.
    - Don't handle impossible (and would-be harmless) errors.
    - Don't try Source Specific Multicast when not implemented by libc
      (this *includes* Mac OS X on the build bots)

commit 9db36c2d20c767073ee350932895b50fc4323394
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Oct 18 14:53:32 2006 +0000

    Don't assume multicast address are in dotted notation - fixes #780.
    Not tested. Needs testing + backport.

commit 40dd14a29e920ba0c04789fdd6ef418801584885
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Oct 18 14:32:07 2006 +0000

    Don't put Linux-specific defines in the wild.
    This hides bugs on all other OSes (incl. Windows).
    Better update your glibc instead.

commit 11947665eae998328705adc80d86bf9db64c4bc1
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Oct 17 23:50:57 2006 +0000

    Fix the shoutcast TV listings SD menu item in the Mac OS X GUI. To be backported

commit e366e4058e3513e79b1a74178a3b28fad254044c
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Oct 17 20:16:00 2006 +0000

    Fix 32bit/64bit issue in http interface time/length reporting.
    This needs to be backported to 0.8.6.

commit c4ec9be036d1369828b2d0ab470199065d087464
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Tue Oct 17 19:44:49 2006 +0000

    - libvlc.h: use C99 designated initializers to partially initialize help module config (this disable a bunch of warnings, and non-initialized members are automatically set to nil)

commit f7be5ba378b985ceddc6e72ec15b85f4b605e7de
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Tue Oct 17 19:40:53 2006 +0000

    - vlc-config.in.in: remove that annying MODULE_NAME redefined warning

commit c453453edbec65581505b6752688a4107fa30fb2
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Oct 17 19:39:15 2006 +0000

    Enable ffmpegs TTA decoder, and add a TTA demux to VLC. duration and seeking supported.

commit b725ca4af86867d20b66c43a9d518f1fcda53d57
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Oct 17 18:23:48 2006 +0000

    * packetizer h264: Donwq't gather the block chain when resending the headers. Only insert the blocks

commit a91a6abce1490715f570956c5d30bac7fa25de28
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Oct 17 13:58:20 2006 +0000

    * Let the libmpeg2 module decode video with the mp2v fourcc

commit 3290fe117e606117c5562c2783da4e0963f576ed
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Oct 17 08:36:50 2006 +0000

    Add missing ms.po + make update-po

commit 5e44df17aee73c3e64b0f5149ace1779921992c4
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Oct 17 08:00:53 2006 +0000

    Added Malay translation

commit 7d1cff0bb27541abd0f34bd6fd1224c437d83632
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Oct 16 21:58:12 2006 +0000

    Apparently ffmpeg doesn't like how we were feeding the SPS/PPS to it. At least this way it works. There is still something wrong. Instead of directly starting to work after the SPS/PPS is received (from MPEG-TS), it waits 1 extra I frame. If I just output the SPS/PPS directly instead of reinserting it, it works directly after the SPS/PPS is received on the I frame directly following them.

commit e7ad059e36db8fa273b6bc7a4f2abb25d4c8fe8f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 16 21:10:11 2006 +0000

    Qt4: File / Disk / Network tabs for Open Dialog
    * Some design
    * Tab order

commit bf68c0feabbf5a6abb8ff8c84703b3abe5f9943c
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Oct 16 20:57:36 2006 +0000

    noise video filter

commit 56fc945314ebc4bdc7f0443491a90ca8dc3fcfc4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 16 19:59:34 2006 +0000

    Better compression for win32.zip packages building in order to make E-bola happy.

commit a2f138f238cb0e062c0ee5eace07e49bc9779a7e
Author: Philippe Morin <phmo95@videolan.org>
Date:   Mon Oct 16 19:49:31 2006 +0000

    Fixing a cast in Win32 part.

commit dfd24ab656c4edffd4ed952472ef8e4b4c95c214
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Oct 15 19:09:02 2006 +0000

    D&D fixes

commit 6a2febe51b1d65826ea5d257dc244e11a88c8d2b
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Oct 15 19:00:21 2006 +0000

    Don't use doubles when doing the rotation

commit 308d7c4354df86074583e4635cde5cfbb705e00c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 15 18:00:01 2006 +0000

    *demux/asf Support for dvr-ms ASF. This is a a priorietary extension to ASF that allows Media Center to store MPEG2 in ASF.

commit 9cd8ee7b4ee1f29fc1c0d584be813b4130492246
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Oct 15 15:28:34 2006 +0000

    Improve drag&drop handling

commit 0e5c9717a4c084737ec6e2f85635ef691d42723a
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 15 14:35:58 2006 +0000

    * Support for AVI DV Type I

commit 64dc9f24a6124e38285af8cee9a3ec095d6fd137
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 15 14:23:56 2006 +0000

    forward-port 17091 and 17104 from 0.8.6

commit e551d2c428c3158ffd7e2035900ef474e841fed6
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 15 14:16:06 2006 +0000

    * forward-port [17102]

commit 4a334283cd5d0d6aa4bbd82927abbf46679d9956
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Oct 15 13:20:47 2006 +0000

    Fix bogus warnings

commit dbbbe51bc06df2f496caf68e52db3f547662d7ef
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 15 13:17:18 2006 +0000

    * port [17096]

commit 71707910ab3274a3e4b50321e782eb9d6afc43ac
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 15 13:14:51 2006 +0000

    * switch MainMenu to the XML-based text archive format, which is fatter, but svn-mergeable

commit cde22b4f79f11e0b4b4a4e15a1ddae567b8738a8
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 15 13:07:36 2006 +0000

    Gets title for goom visualization from meta information if available

commit 5f95753fec29b6c47b5b2370551efb604d76f2e6
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 15 13:01:29 2006 +0000

    skins2 fullscreen button work with audio visualizations

commit c0fe2d356d1cb278825ca05a833af18ce09d6e5c
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Oct 15 10:55:36 2006 +0000

    libvlc_audio_set_mute logically simpler

commit 4e4171f1ae1f088029fd5635ec5ad81f9331e4e3
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Oct 15 10:54:15 2006 +0000

    Use playlist loop libvlc facility

commit 62e9fa55913c30ad3af773c5ec3de7270034ccbe
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 15 03:44:57 2006 +0000

    Use a smaller icon for notifications

commit 44f794f8a2a59810f62b7f9bf4562c509a3ed754
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Oct 14 22:34:16 2006 +0000

    Sets PKG_CONFIG_LIBDIR when building contrib

commit c273a3be8ca83d5ac183a230f15873da80611607
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Oct 14 21:20:27 2006 +0000

    remove endif from 17081

commit 96b6d5777cbbf3850531e864e9abf7c0447432bd
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Oct 14 21:08:04 2006 +0000

    goom is patched on win32 too

commit 8e1590cc762c507646c1b1e721ca7e6eaadad1da
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Oct 14 20:30:59 2006 +0000

    Detect mingw for other distros than debian

commit 2c505b4b808ba239eef56089d7e97bf68465e8e9
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Oct 14 20:08:05 2006 +0000

    upnp_cc: compile fix (tested this time)
    upnp_intel: fix a potential crash, and add some more debug output

commit 9cbc1e852c40541aef57361f870f57feeef541f9
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Sat Oct 14 20:07:29 2006 +0000

    * Hopefully close the dbus connection correctly
    * Do not poke the screensaver is the stream is paused (idea from Adam Dane)
    * Poke the screensaver every 30s as told in the comments (fix from Adam Dane)

commit 288e70a01cb6f88aef3c3a0051507bb8fd311602
Author: Philippe Morin <phmo95@videolan.org>
Date:   Sat Oct 14 20:03:22 2006 +0000

    Add a method to set playlist in loop mode in Java

commit 822485d5b4d2891fae7f1a2c23ca8af1b23d51c8
Author: Philippe Morin <phmo95@videolan.org>
Date:   Sat Oct 14 19:53:08 2006 +0000

    Add a method to set playlist in loop mode.

commit be639def75997f2d41440b39c77ddc20390276d3
Author: Philippe Morin <phmo95@videolan.org>
Date:   Sat Oct 14 19:52:16 2006 +0000

    Add a method to set playlist in loop mode.

commit 7a5a63a7c0e59e4ab8471dfd4ad1da21a92ee34e
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Oct 14 17:06:38 2006 +0000

    Motion control interface can now be used with the rotate video filter. (Should be usefull when watching videos on a boat i guess ... :) ) Command line: vlc --control motion --motion-use-rotate --video-filter rotate <the video>

commit 4963328e1199b46f65a3e1287358fc8e4ebec8b7
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Oct 14 16:45:11 2006 +0000

    Fix HTTP deletion

commit ac471f21023adf4d3784ab3856b9a6040689d65c
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Oct 14 16:44:55 2006 +0000

    Initial drag and drop support for Qt

commit 85f6dac57eff2d455420d1f4bbb4d7f41bae0ec0
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Oct 14 14:44:06 2006 +0000

    fixed compilation, not tested though

commit ca5af2c3685e9c904c903564f351e65b6f00068e
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Oct 14 14:41:55 2006 +0000

    Ahem...

commit 4b1b4f89399a8a9a2fdb5228291736d196bb0aaf
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Oct 14 14:38:11 2006 +0000

    New rotate video filter. Can rotate video by any integer angle between 0 and 359 degrees.
    
    This still needs work to make it look better, and be able to use it with the "motion" control module.

commit 212dce0e5063359ef5f6505d12617c6993474258
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Oct 14 13:59:50 2006 +0000

    Ahem...

commit adb0d2e102ffa06eb6916bf2af37e0920d18ee92
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Oct 14 13:40:32 2006 +0000

    oops left in a typo

commit d549e5a0cfd8b2ece0261e197b98d2d34666bd5d
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Oct 14 13:27:15 2006 +0000

    Correctly count the children of a node. The previous code counted the endpoints too, which gave a too high children count.

commit b010250da90f4a8de9a0f41404c46c8e59ad93e4
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Fri Oct 13 22:35:49 2006 +0000

    [vlc] http streaming interface bug (with fix) by Mitch at hasbox dot com
    
    (needs backporting)

commit de0420fb8a7e94cabb9bc735d3b2c53971cc2fa4
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Oct 13 22:30:57 2006 +0000

    Update the x264 patch
    Don't use dl_open on win32
    Both patches by Tim Schuerewege. thanks.

commit 2169e1cded187838191158e7ad08e279095d9d60
Author: Loren Merritt <pengvado@videolan.org>
Date:   Fri Oct 13 20:05:23 2006 +0000

    sync to x264 r591

commit cf8b7e4df17f0e7931f40dccf9a38ddc7677207c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 13 19:16:24 2006 +0000

    * modules/gui/wxwidgets: small code cleanup.

commit 337c717f28180bbd167a6ba27e3d5cfcacab958a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 13 19:14:20 2006 +0000

    * modules/gui/qt4/qt4.cpp: lower the priority of the QT4 dialogs provider so the skins interface is usable again.

commit 3267066db2af32d3d5838d9575ae8c6a189b8333
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 13 14:04:54 2006 +0000

    Don't add MPEG-TS program data for programs that don't exist. Patch by Dnumgis. This fixes #683

commit e4ba74a88adc63fcd59284b70e9070a619b38598
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 13 13:55:46 2006 +0000

    Tune MacIntel for prescott. Also add tuning to contrib (prescott vs. G4)wq

commit f68336d9d489e4f0cb483217ca12c00ee5349bff
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Thu Oct 12 21:21:29 2006 +0000

    remove unused import from core-jni.cc

commit a219f12a163a56561c39e38d55bc6d078574cca9
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Thu Oct 12 21:20:01 2006 +0000

    add more include folders

commit 8b1a79bbbd619b2d09c6c794d7907cb18c06b77f
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 12 21:13:02 2006 +0000

    Fix MacOS X black screens and play as background options. These are 'window level' options and as such should not use p_real_vout, because that's just for options shared by the opengl and the quickdraw renderer

commit a324ed1beec7fd155633aea9bed8133209db886f
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Thu Oct 12 21:05:40 2006 +0000

    [PATCH] Repeat and Loop - Remote Control Interface by Dermot McGahon.

commit 80f01f29572e010c11847016852f032f997634da
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Thu Oct 12 21:01:47 2006 +0000

    [PATCH] marquee crash fix by Dermot McGahon.

commit 09ee4533243c686bb5f1d54f6255d390fbb0e08d
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Thu Oct 12 20:54:36 2006 +0000

    this should fix compilation errors on included headers

commit 169870dc45c7a0e5c884f23c8592adc16a0445e6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 12 19:38:56 2006 +0000

    Compile fix for Open in Qt4

commit b57de680a32e598f209d874f3d075ae587345416
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 12 19:20:37 2006 +0000

    First work on File_Open_Qt4...

commit 6ee4bbdd880b828ebffbccbcb80ccf85e667d0ed
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 12 18:24:34 2006 +0000

    * fade in quicker and fix the fade-in/out problems reported by Benjamin. Thanks for the feedback

commit 75df49da5fffe35ecee76d45a53fb16ef98eddcd
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 12 16:33:35 2006 +0000

    * added the fspanel-related files to the respective targets

commit a0d585994ffc2d9b995ea0c2c16c56f4c8fd50b0
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Oct 12 06:00:00 2006 +0000

    Compile fix

commit c4232d210f01ec6c492612bc1789de6184f0652a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 11 22:44:15 2006 +0000

    * src/input/input.c: fixed nasty bug with preparsing where a mutex was used uninitialized.

commit baba0c81da445b04e5d2f7f247f465f87ffaa4cb
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Wed Oct 11 19:57:44 2006 +0000

    make really java bindings compile again

commit 884e353696fe206a224fe85bfafa1759c5d515e3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 11 19:56:48 2006 +0000

    * configure.ac: same thing for Wno-unused-parameter.

commit 5de8105fbabc40ea4f79a83de02df82d0acc499a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 11 19:54:05 2006 +0000

     * configure.ac: when checking for Wextra support, don't check for Werror instead.

commit e5db0823bf56e89b1e7247bb697443a7ddcdee8c
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Wed Oct 11 19:34:38 2006 +0000

    make the java bindings compile again (use --disable-libtool in configure)

commit 9a78b063cac29d3a3a87f95dff8c426812b21dca
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Oct 11 19:20:06 2006 +0000

    A bit of cleanup

commit ba0aca83c8fac83f81ca495f2160f98929b3f99f
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Tue Oct 10 20:53:05 2006 +0000

    - added altivec acceleration for i420 -> YVYU, i420 -> UYVY (probably of no use to anyone)

commit 9e17f766ce734c11243e2686af39209c0b5eaedb
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Oct 10 18:36:21 2006 +0000

    * forward-port [17020]

commit f03e39c385ddbdf61b7021eaa17d03cdbd8fef5a
Author: Pavlov Konstantin <thresh@videolan.org>
Date:   Tue Oct 10 15:54:41 2006 +0000

    yeah, writing 4 0 times is fun, but..

commit b210a0ea8404474981220c3e3837d061bee5cb86
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Tue Oct 10 08:52:30 2006 +0000

    plugin.cpp: formatting
    supportinfo: use static IIDs as previous method wouldn't work in a multithreaded environment

commit 12efe797994da9153a6c1275f28631888d3d2a80
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Oct 10 08:47:43 2006 +0000

    Forward port [17015] + a few more i18n fix

commit dc8b128a9f34d9eb75d3158566cbb95df8bae61b
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Oct 9 22:37:29 2006 +0000

    forward port [17012] and make update-po

commit c1064aa4950b5725e00627a24ee6498ff8771df0
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Mon Oct 9 19:10:13 2006 +0000

    * modules/codec/x264.c: copy/paste oops in 17009..

commit c88a9d665d8f950a3dab2744884466bef329c733
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Mon Oct 9 19:01:34 2006 +0000

    * modules/codec/x264.c: H.264 level options patch by Ilkka Ollakka <ilkka dot ollakka a t oamk dot fi>. add options aud, sps-id. deprecate options analyse and filter for partitions and deblock.

commit 2b37ec2d3d1aea84e903fc7b354db8f613604f2d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 9 18:51:03 2006 +0000

    * modules/misc/xml/xtag.c: fixed memory leak.

commit c6039822f1e43e9c74dfe0e0c319dd60fdf4c02b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 9 18:36:14 2006 +0000

    * modules/demux/mpeg/mpga.c: oups, no need to free p_sys->p_block_in as it is freed by the packetizer.

commit acb895005c2578e0c1c9de09253ed0ff89075638
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Mon Oct 9 18:02:01 2006 +0000

    - added support for returning custom error messages from libvlc exception messages
    - added missing video.toggleFullscreen() API

commit 141dd1d88e87cb9f820ca5fa939079af7b93a9fd
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Oct 8 20:10:42 2006 +0000

    Remove visual button, put back in the menu

commit b8bc19e5d1982165c6bc1db14c4fbfa7b5abf583
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Oct 8 19:56:30 2006 +0000

    Save hotkeys (Closes:#714)

commit be4cca987ba9de8ae3dd33243ef863263d7723d7
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Oct 8 19:28:49 2006 +0000

    Hotkey selector widget. Save not implemented yet

commit 0190d857921fee449b8f9ad4bbdf94bb1c364ede
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 8 18:39:01 2006 +0000

    * modules/video_output/x11/xcommon.c: proper fix for the previous memory leak.

commit ab2bdb9eaeef1c34e302e3d0d3c9ec176705b267
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 8 17:31:33 2006 +0000

    * modules/codec/ffmpeg/ffmpeg.c: add RV20 fourcc.

commit bfffe8bfbce5ec499f4ab04f89c18b4b3752df93
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Oct 8 17:02:56 2006 +0000

    Very beginning of hotkey widget + Fix 4.2 compilation issue

commit d5d5ebfa1834a3601e1f15969b06c7d6c949c6b8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 8 17:00:02 2006 +0000

    * src/input/input.c: fixed memory leak.

commit 7003cd39e8de1a49c9c960a2ec782eed32f0923e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 8 16:32:47 2006 +0000

    * modules/demux/asf/libasf.c: fixed memory leak.

commit 94e3a9b93ef83d9ef67cf35def47da9a204a9887
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 8 16:09:13 2006 +0000

    * Fixed another bunch of memory leaks.

commit dbe51edf074ebf71066c9c5544508e5f062d0927
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sun Oct 8 13:56:27 2006 +0000

    Add Slovak l10n (Forward port of [16989], [16990] and [16991])

commit d4384d0bb99752225f46de0614a1d3c423e947d0
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 8 13:15:18 2006 +0000

    (Forward port of rev 16987) Fix number of compiler warnings

commit 8d840d90fdd27fefed219dcbe51aedff4b5e6afd
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 8 10:44:42 2006 +0000

    * undo [16970]. Stick to 4 byte startcodes and single packets.

commit 517d31de214ad1a373d67fd9adc4ce9e51231ab6
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 8 10:40:59 2006 +0000

    * Don't skip SPS/PPS after all. Apparently there is sometimes proper data behind such a NAL, which makes this break. Unfortunately there doesn't seem to be a way to properly skip data in the mp4 mux.

commit e987d21394a1c2a065bb1744dc84a91b29b37e06
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 8 10:31:37 2006 +0000

    * Skip h264 SPS/PPS in bitstream when muxing mp4

commit 7a8c59f79b581b8e36510348f8b2d7e37aeef486
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 8 09:41:58 2006 +0000

    (Forward port of 16977) Fix bunch of compiler signedness warnings in x11/

commit 02854d2ae736054bf980d180513d9f365cef6724
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 8 00:20:42 2006 +0000

    * modules/demux/real.c, modules/codec/ffmpeg/demux.c: removed debug I left in there.

commit af043e92018a08dde87892f6e708a12c431d272c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 8 00:12:28 2006 +0000

    * Fixed another bunch of memory leaks.

commit ee16b381c3b58d01898e03e6c754cef2c7aaf027
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 7 23:53:44 2006 +0000

    * src/input/stream.c: fixed invalid memory access in stream_ReadLine().

commit 1369d55b16a19dc00d7b5ed0756ce847c0e904db
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 7 23:37:33 2006 +0000

    * src/input/meta.c: stop the spamming of the meta engine.

commit 318e9b862b1792bee23521a459ca44ef1e40f7ed
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 7 23:14:58 2006 +0000

    * Fixed a bunch of memory leaks.

commit 3595258c6130d3b1611e2ffe9e4aeed1733787e8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 7 22:19:50 2006 +0000

    * modules/gui/wxwindows/menus.cpp: avoid using the C++ STL. This gets rid of weird crashes in the vector template.

commit a606d69a30229ee203e2c18e3c813c1fafaf0efe
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Oct 7 19:49:51 2006 +0000

    * Improve the h264 rtp muxing even more. Should now be able to handle multiple h264 units in one block_t

commit edbb9f0497401841f8941f9b359de066d50b00e9
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Oct 7 19:37:45 2006 +0000

    Stop playback if --no-playlist-autostart (Closes:#718)

commit a856e366bb0002005f3c7583dd5c0882a27057e0
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Oct 7 19:08:59 2006 +0000

    * Skip nal type 7 and 8 in RTP muxing.

commit febe7d21213036cc670ff40a67b82c0e027d0a9b
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Oct 7 12:36:40 2006 +0000

    Panoramix video filter by Cédric Cocquebert.
    + temporarily re-enable vout-filter until video-filter is updated
    
    I include this so that it can get some testing and debugging, but it has some issues:
    * Several coding style / indentation problems that make the code quite hard to read
    * Use of config_Get/config_Put instead of vars
    * In my tests, it crashes as soon as bz-length is not == 0, which basically makes the attenuation effect inoperant

commit 64220f44562b9338084042b862ed86440fd75b7a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 6 19:23:36 2006 +0000

    * modules/demux/playlist/gvp.c: fixed segfault in detection code.

commit 9361dd4a55eb771f3f5ee093bab569cf3149393f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 5 22:01:01 2006 +0000

    * modules/demux/mpeg/m4v.c,h264.c: fixed detection and use p_demux->b_force.
    * src/misc/modules.c: only set b_force when we have b_strict.
    * src/input/demux.c: add m4v and h264 extensions.

commit 410b11fd0f49e1c0b1afc895c3ff4c2de093b347
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 5 20:38:05 2006 +0000

    * modules/codec/faad.c: adjust stream info when dealing with AAC with SBR/PS.

commit 2e0102d92da57379e9b65457b36c8e96f93f35b0
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Oct 5 16:35:01 2006 +0000

      * Spelling fixes here and there.

commit 81ac662973eda626235f40407d5cda038666e519
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Oct 5 16:21:45 2006 +0000

    Fix off-by-one buffer overflow

commit 7f052bbda30d117c6fe9e545dad10ba4e234629f
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Oct 5 16:20:41 2006 +0000

    Fix "Fix httpd stack corruption"

commit 6941f189136416a775b3636ed3970fd53498947d
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Oct 5 16:08:45 2006 +0000

    Fix stack corruption in httpd

commit b0288ab5b8fdbe8e97a37e85fe6d671639c10ec1
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Wed Oct 4 22:56:54 2006 +0000

    - directshow: added fps in debug info

commit ff6739d00dc2e8481b7bc97750df2b84d0b3983d
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Wed Oct 4 22:55:57 2006 +0000

    - direct3d: minor fixes, no improvement (where are those pixel shaders gurus ?)

commit 6c2611669f9f871c94c8af8f62036c70efd7d76e
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Wed Oct 4 22:52:12 2006 +0000

    - use nearest integer value from integer division (i.e. round() ) in volume and time calculation, looks more accurate that way.

commit 5e45f57e88eaff51a875b3dec9791b7496d4484f
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Wed Oct 4 22:48:12 2006 +0000

    - Optimized clipping, removed the extra child window which prevented some buggy Intel DirectX drivers to render (can't handle too many sub-windows ?). Resizing looks smoother on IE, needs a lot of compatiblity checks on other apps such as VB, Delphi, etc...
    - Fixed initial volume setting

commit c03f5feeec23d4d72a0daf21d4566704af880d22
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Wed Oct 4 22:39:05 2006 +0000

    - mozilla: misc fixes

commit 06e05c1de24b8bafb5639bd7b647a0563b68da40
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 4 21:11:25 2006 +0000

    * rm unnecessary LDFLAG

commit ae483cf8801a01b83540accb7e57894cfc9404e8
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Oct 4 21:07:10 2006 +0000

    [PATCH] bugfix: mosaic-[hv]border reversed (v2) by Thomas Parmelan

commit eb463cabc5b17631d5c6a1ca46c074602829f659
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Oct 4 19:42:38 2006 +0000

    Fix a few bugs

commit b5c956997c8370a10ad89aff05ac6ec86117367e
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Oct 4 17:13:02 2006 +0000

      * modules/misc/logger.c: don't truncate logfile upon creation.

commit cec52bcea74e3d0faaad065d9af7619a33410d86
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 4 13:47:41 2006 +0000

    * forward port my fixed temporary fix and re-enable x264 in the contribs

commit 9d7bec36794b4a1918a8f36a581d0f0dd89bcd74
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 4 08:19:38 2006 +0000

    * implemented the volume slider
    * major speed and memory improvements to the image handling (the panel launches noticebly faster now) and controls
    * coding style fixes
    
    - just FYI: The VLCFSVolumeSlider and VLCFSTimeSlider classes will be merged later on to add as little code duplication as possible.

commit e06a88a4645ca6e2e4f8dbfe5360e7e695d1c191
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Oct 3 22:17:44 2006 +0000

    Re-enable mad decoder on OSX. It was disabled because it was a CPU hog, but the issue seems to no longer be a problem

commit 998c5eac2ecff6eaab435e556a284482b6d27cae
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Oct 3 13:22:07 2006 +0000

    make update-po

commit 1a3692efa09bf95a908d853af13c7d227618f67f
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 2 20:35:25 2006 +0000

    Track, Artist, Album MusicBrainz IDs reading with libid3tag

commit 0ddce802500f45a3f4126f6448ec6e5921a4abe1
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Mon Oct 2 17:52:24 2006 +0000

    * modules/codec/x264.c: add interlaced, deadzone-inter/intra and direct-8x8 options

commit 233ee00c6a27d6456509ba0d7178e84dac07dd21
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Sun Oct 1 22:08:22 2006 +0000

    Fix makefile to generate header files from java classes

commit 6c59d97646dd32d2c1684d97e2dd302ea06584d5
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Sun Oct 1 21:56:23 2006 +0000

    - test.html: use position rather than time to update slider

commit a4119701e92d37875b16b1ec0f1f998588ed905a
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 1 21:49:28 2006 +0000

    Ugly patch to make the mmx compile on MacIntel. This might be a GCC ASM bug in 4.0.1

commit 17c15b2e631cc3480970dd2ccfff20d6013de71a
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 1 20:32:30 2006 +0000

    Added psz_trackid, psz_artistid, psz_albumid to vlc_meta_t to store musicbrainz unique identifiers
    Make use of psz_trackid in audioscrobbler.c
    Reading of this data is only implemented in vorbis.c
    taglib.cpp and id3tag.c need to be updated

commit 88c6527d9c7caa379f638f998c8b32d332e28e38
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 1 20:16:00 2006 +0000

    * commit the svg file as well, so we can change stuff later on

commit 3dea2eae35f0bf19e0549a79b86e04f8ca7f5bf4
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 1 20:05:50 2006 +0000

    * finished the time slider
    
